Microsoft Office 对象

AnswerWizard
AnswerWizardFiles
Assistant
Balloon
BalloonCheckboxes
BalloonCheckbox
BalloonLabels
BalloonLabel
COMAddIns
COMAddIn
CommandBarButton
CommandBarControl
CommandBarComboBox
CommandBarControl
CommandBarPopup
CommandBarControl
DocumentProperties
DocumentProperty
FileDialog
FileDialogFilters
FileDialogFilter
FileDialogSelectedItems
FileSearch
FileTypes
FoundFiles
PropertyTests
PropertyTest
SearchFolders
ScopeFolder
ScopeFolders
SearchScopes
SearchScope
ScopeFolder
ScopeFolders
HTMLProject
HTMLProjectItems
HTMLProjectItem
LanguageSettings
MsoEnvelope
CommandBars
NewFile
OfficeDataSourceObject
ODSOColumns
ODSOColumn
ODSOFilters
ODSOFilter
Scripts
Script
SignatureSet
Signature
WebPageFonts
WebPageFont

图例

对象和集合
只有对象


为 Microsoft Office 开发人员提供的新增功能

Microsoft Office Visual Basic 对象模型进行了广泛改进，以支持共享组件中的新增和改进功能，添加了很多对象、属性、方法和事件。

请访问 MSDN Online 上的 Office 开发人员中心获取最新的 Microsoft Office 开发信息，包括新技术文章、下载、范例、产品新闻等更多内容。

新增语言元素

下列主题提供了 Office 中新增语言元素的列表：

新增对象

新增属性（按对象）

新增属性（按字母顺序列表）

新增方法

新增事件


New 对象

请访问 MSDN Online 上的 Office 开发人员中心获取最新的 Microsoft Office 开发信息，包括新技术文章、下载、范例、产品新闻等更多内容。

下表列出了 Microsoft Office 中添加到 Visual Basic 的对象。

对象
FileDialog
FileDialogFilter
FileDialogFilters
FileDialogSelectedItems
FileTypes
MsoEnvelope
NewFile
ODSOColumn
ODSOColumns
ODSOFilter
ODSOFilters
OfficeDataSourceObject
ScopeFolder
ScopeFolders
SearchFolders
SearchScope
SearchScopes
Signature
SignatureSet


新增事件

下表列出了 Microsoft Office 中的新增事件。

事件
EnvelopeHide
EnvelopeShow


新增方法

下表按对象排序列出了 Microsoft Office 中已有对象添加的方法。

对象 方法
Assistant
 DoAlert
FileSearch
 RefreshScopes
OfficeDataSourceObject
 ApplyFilter

SetSortOrder


新增属性（按字母顺序列表）

下表（按字母排序）列出了 Microsoft Office 中已有对象添加的属性。

属性
AllowMultiSelect
AttachCertificate
ButtonName
Column
Columns
CommandBars
CompareTo
Comparison
Conjunction
ConnectString
DataSource
DialogType
DisableAskAQuestionDropdown
DisableCustomize
ExpireDate
Extensions
FileTypes
FilterIndex
Filters
InitialFileName
InitialView
Introduction
IsCertificateExpired
IsCertificateRevoked
Issuer
IsValid
Mask
Path
Picture
RowCount
ScopeFolder
ScopeFolders
SearchFolders
SearchScopes
SelectedItems
SignDate
Signer
Table


新增属性（按对象）

下表（按对象名称排序）列出了 Microsoft Office 中已有对象添加的属性。

对象 | 属性
CommandBarButton | Mask Picture
CommandBars | DisableAskAQuestionDropdown DisableCustomize
FileDialog | AllowMultiSelect ButtonName DialogType FilterIndex Filters InitialFileName InitialView SelectedItems
FileDialogFilter | Extensions
FileSearch | FileTypes SearchFolders SearchScopes
MsoEnvelope | CommandBars Introduction
ODSOFilter | Column CompareTo Comparison Conjunction
OfficeDataSourceObject | Columns ConnectString DataSource Filters RowCount Table
ScopeFolder | Path ScopeFolders
SearchScope | ScopeFolder
Signature | AttachCertificate ExpireDate IsCertificateExpired IsCertificateRevoked Issuer IsValid SignDate Signer


“Office 助手”概述

本主题中的某些内容可能不适用于某些语言。

通过 Assistant 对象的对象、属性和方法可对“Office 助手”、“Office 助手”气球和气球中的所有项进行可编程控制。

下图显示了“Office 助手”、“Office 助手”气球以及气球的所有可编程的对象：

有关如何在设计时间和运行时间修改“Office 助手”的详细信息，请参阅以下主题：

使用“Office 助手”

创建和修改气球

在运行时间修改气球


命令栏概述

本主题中的某些内容可能不适用于某些语言。

在 Microsoft Office 中，工具栏、菜单栏和快捷菜单都可由同一种类型的对象进行编程控制，这类对象就是命令栏。以下所列的各项在 Visual Basic for Applications 中均可由 CommandBar 对象代表：

  • 菜单栏、工具栏和快捷菜单
  • 菜单栏和工具栏中的菜单
  • 菜单中的子菜单、子菜单和快捷菜单

对任意内置菜单栏或工具栏均可进行修改，也可为 Visual Basic 应用程序创建和修改自定义工具栏、菜单栏和快捷菜单栏。可通过工具栏中单个按钮的形式来提供应用程序的功能，也可作为菜单中的一组命令名提供给用户。因为工具栏和菜单都是命令栏，所以在其中可使用同样的控件。例如，下图所示的固定工具栏包含三个按钮。

下图所示的菜单包含三个命令，这三个命令与前面图示中的按钮作用相同，但在这里却作为菜单项显示。

在 Microsoft Office 中，菜单栏和工具栏都可包含菜单。下图所示的浮动工具栏包含三个按钮，还包含一个菜单，同样的三个命令在该菜单中作为菜单项显示。

在 Visual Basic 中，按钮和菜单项均由 CommandBarButton 对象代表。显示菜单和子菜单的弹出式控件由 CommandBarPopup 对象代表。在下图中，名为“菜单”的控件和名为“子菜单”的控件均为弹出式控件，它们分别显示菜单和子菜单。该菜单和子菜单都是独立的 CommandBar 对象，具有各自的一套控件。

在 Microsoft Office 中，还可给任意命令栏添加文字框、下拉式列表框和组合框。这三种类型的控件在 Visual Basic 中均可由 CommandBarComboBox 对象代表。

注意 命令栏控件和 ActiveX 控件尽管具有相似的外观和功能，但两者并不相同。所以既不能在命令栏中添加 ActiveX 控件，也不能在文档或表格中添加命令栏控件。

容器应用程序中的内置命令栏控件在 Visual Basic 中也可由 CommandBarButton、CommandBarPopup 和 CommandBarComboBox 对象代表，尽管它们的外观和功能可能比用户添加的控件更复杂。对内置控件可修改其位置和外观，但不能修改它们的内置功能，然而可为内置控件指定一个自定义宏来完全取代其内置功能。


使用命令栏

一般来说，要为 Visual Basic 应用程序创建或修改命令栏、菜单栏和快捷菜单，可以应用该容器应用程序的自定义功能部件。用容器应用程序的自定义功能部件对工具栏、菜单栏、快捷菜单所作的修改，称为“设计期”修改。有关用容器应用程序作设计期修改的详细信息，请参阅该应用程序的联机帮助。

用 Visual Basic 代码中 Microsoft Office 对象模型的 CommandBars 部分可添加和修改工具栏、菜单栏和快捷菜单（及其内部部件）。可书写代码以创建工具栏和菜单栏。实际上，该代码模拟了设计期修改过程。然而，在一些容器应用程序中，可能需要用这种 Visual Basic 代码和自定义接口的组合来设计 Visual Basic 应用程序。以下是一些需用代码和容器应用程序接口组合的地方：

  • 如果容器应用程序没有提供接口来添加或修改工具栏中的编辑框、下拉式列表框或组合框，那么需用 Visual Basic 代码来添加和设计这些控件。
  • 如果容器应用程序提供了创建工具栏的接口，但没有提供创建新的菜单栏的接口，那么就需用 Visual Basic 来创建菜单栏。用 Visual Basic 创建了菜单栏后，就可用容器应用程序接口在该菜单栏上设计菜单了。
  • 如果容器应用程序没有提供在显示自定义接口时显示自定义快捷菜单的方法，那么就需用 Visual Basic 代码修改那些快捷菜单。

通过书写放在 Visual Basic 应用程序中的代码可在运行应用程序时修改工具栏和菜单栏（例如，可书写代码使菜单栏中某条命令在一定的条件下无效，或根据用户的选择在工具栏中添加按钮）。在 Visual Basic 应用程序运行时，由代码引起的改变称为“运行时间”修改。

参阅以下主题，以了解如何用 Visual Basic 代码对工具栏和菜单栏作设计期修改和运行时间修改。

添加和修改工具栏

添加和管理菜单栏和菜单项

添加和显示快捷菜单

注意 任务窗格是一种 CommandBar 对象，可通过如下方式引用：

Dim cbTaskPane As CommandBar
Set cbTaskPane = Application.CommandBars("Task Pane")
MsgBox "The current task pane's title is """ & cbTaskPane.Controls(1).Caption & """"
但是，当许多命令栏方法和属性应用于“任务窗格”时，将表现出与普通 CommandBar 对象不同的行为。例如，Delete 和 ShowPopup 方法没有效果，更改AdaptiveMenu、Context、Name、NameLocal 或 Protection 属性的值也没有效果。


添加和修改工具栏

所有宿主应用程序都有一个扩展接口，以便添加和设计自定义工具栏（添加内置按钮、添加作为按钮的宏，甚至给工具栏添加弹出式控件）。用 Visual Basic 代码所作的设计期修改通常用于添加或修改组合框控件。而用代码对工具栏所作的修改几乎完全属于运行时间修改（改变按钮的状态、外观、功能等等）。

对工具栏作运行时间修改

在运行时间可对工具栏作多种不同的修改。其中之一是改变命令栏按钮在工具栏上的状态。每个按钮控件都有两种活动状态：按下状态 (True) 和未按下状态 (False)。要改变按钮控件的状态，可为 State 属性赋予适当的常量，如本主题后面的表中所述。

在运行时间可作的另一种修改是改变按钮的外观或功能。要改变按钮的外观而不改变其功能，可用 CopyFace 和 PasteFace 方法。这些方法可用于将某个特殊按钮的图符复制到“剪贴板”，或将该按钮图符导入另一个应用程序以改变它的某些特性。用 PasteFace 方法可将按钮图符从“剪贴板”转移到指定的按钮上。

要将按钮的动作改为自定义的功能，可给该按钮的 OnAction 属性指定一个自定义过程名。

下表列举了大多数常用的修改按钮状态、外观或动作的属性和方法。

属性或方法 | 说明
CopyFace，PasteFace | 将图像复制或粘贴在按钮的图符上。用 CopyFace 方法可将指定按钮的图符复制到“剪贴板”上。用 PasteFace 方法可将“剪贴板”上的内容粘贴到指定按钮的图符上。如果“剪贴板”上没有图像，那么 PasteFace 方法失效。如果“剪贴板”上的图像对按钮图符来说太大，那么该图像不会按比例缩小。 一般来说，在设计期复制和粘贴按钮图符更方便，但也可在运行时间修改按钮图符。还可用 FaceId 属性为按钮指定一个不同的内置按钮图符。
Id | 指定代表按钮内置函数的值。例如，一个可将突出显示文本复制到“剪贴板”上的按钮，具有的 Id 值为 19。
State | 指定按钮的外观或状态。该值可设置为 MsoButtonState 的以下常量之一：msoButtonDown、msoButtonMixed 或 msoButtonUp。
Style | 指定按钮图符是显示其图标还是显示其标题。该值可设置为 MsoButtonStyle 的以下常量之一：msoButtonAutomatic、msoButtonIcon、msoButtonCaption、msoButtonIconandCaption、msoButtonIconAndCaptionBelow、msoButtonIconAndWrapCaption、msoButtonIconAndWrapCaptionBelow 或 msoButtonWrapCaption。
OnAction | 指定在用户单击按钮、显示菜单或更改一个组合框控件的内容时所运行的过程。
Visible | 指定控件对用户是显示还是隐藏。
Enabled | 使一个命令栏生效或失效。失效的命令栏名不显示在有效命令栏列表中。

以下示例创建了包含一个命令按钮的命令栏。通过 CommandBarButton 对象的 OnAction 属性，可用 CopyFace 方法将内置的“打开”按钮的按钮图符复制到“剪贴板”上，再用 PasteFace 方法将其粘贴到已存在的按钮上。这样就在运行时间修改了命令栏按钮的外观。

Sub testAddModifyToolbars1()
Set myBar = CommandBars _
    .Add(Name:="ChangingButton", Position:=msoBarTop, _
    Temporary:=True)
myBar.Visible = True
Set oldControl = myBar.Controls _
    .Add(Type:=msoControlButton, _
    ID:=CommandBars("Standard").Controls("Copy").Id)
oldControl.OnAction = "changeFaces"
End Sub

Sub changeFaces()
Set newControl = CommandBars.FindControl _
    (Type:=msoControlButton, _
    ID:=CommandBars("Standard").Controls("Paste").Id)
newControl.CopyFace
Set oldControl = _
CommandBars("ChangingButton").Controls(1)
oldControl.PasteFace
End Sub

添加和修改组合框控件

编辑框、下拉式列表框和组合框都是功能强大的新控件，可以添加到 Visual Basic 应用程序的工具栏中。然而，大多数容器应用程序需要用 Visual Basic 代码来设计这些控件。要设计一个组合框，可用下表所述的属性和方法。

属性或方法 | 说明
Add | 如果要在命令栏中添加一个组合框控件，可为 Type 参数指定以下 MsoControlType 常量之一：msoControlEdit、msoControlDropdown 或 msoControlComboBox。
AddItem | 在下拉式列表框或组合框的下拉式列表区中添加一个列表项。可为已有列表中的新项指定一个索引号，但其数值不能大于列表中的项目数，否则 AddItem 方法失败。
Caption | 为组合框控件指定标签。如果将 Style 属性设置为 msoComboLabel，那么该标签将在该控件旁显示。
Style | 确定指定控件的标题是否显示在该控件旁。该值可设置为 MsoComboStyle 的以下常量之一：msoComboLabel（显示标签）或 msoComboNormal（不显示标签）。
OnAction | 指定当用户改变组合框控件的内容时要运行的过程。

以下示例在自定义工具栏中添加一个带标签“Quarter”的组合框，并给该控件分配一个名为“ScrollToQuarter”的宏。

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
myBar.Visible = True
Set newCombo = myBar.Controls _
    .Add(Type:=msoControlComboBox)
With newCombo
    .AddItem "Q1"
    .AddItem "Q2"
    .AddItem "Q3"
    .AddItem "Q4"
    .Style = msoComboNormal
    .OnAction = "ScrollToQuarter"
End With

在运行应用程序时，每次用户改变组合框控件时，都将调用分配给该控件的 OnAction 属性的过程。在该过程中，可用 CommandBars 对象的 ActionControl 属性找出被修改的控件，并返回改变的值。ListIndex 属性将返回组合框中所键入或选择的项。


添加和管理菜单栏和菜单项

有些容器应用程序不提供新建菜单栏的方法，因此，需用 Visual Basic 创建菜单栏。在用 Visual Basic 创建了一个菜单栏之后，就可用容器应用程序接口或继续用 Visual Basic 定义该菜单栏。

在运行时间添加菜单栏

要在运行时间给应用程序添加一个菜单栏，可用 CommandBars 集合的 Add 方法并将 MenuBar 参数指定为 True。以下示例将添加一个不可移动的菜单栏，并将该菜单栏固定在应用程序窗口的右边。

Set menubar = CommandBars.Add _
    (Name:="mBar", Position:=msoBarRight, MenuBar:=True)
With menubar
    .Protection = msoBarNoMove
    .Visible = True
End With

运行时间修改菜单栏

在运行时间可同时修改菜单栏及其控件。对菜单栏的修改可能会影响其外观或位置；对控件的修改取决于该控件的类型。下表是在运行时间修改菜单栏的最常用属性和方法。

属性或方法 | 说明
Add | 用 CommandBars 集合的 Add 方法添加一个菜单栏并指定 MenuBar 参数为 True。
Enabled | 如果该属性设置为 True，那么用户可用 Visual Basic 代码显示指定的菜单栏；如果该属性设置为 False，那么用户不能显示菜单栏，但该菜单栏将列在有效菜单栏列表中。
Protection | 禁止用户对菜单栏进行特定操作。可将该值设置为以下 MsoBarProtection 常量之一或组合：msoBarNoChangeDock、msoBarNoChangeVisible、msoBarNoCustomize、msoBarNoHorizontalDock、msoBarNoMove、msoBarNoProtection、msoBarNoResize 和 msoBarNoVerticalDock。
Position | 指定新菜单栏相对于应用程序窗口的位置。可将其设置为以下 MsoBarPosition 常量之一：msoBarLeft、msoBarTop、msoBarRight、msoBarBottom、msoBarFloating、msoBarPopup（用于创建快捷菜单）或 msoBarMenuBar（Macintosh 专用）。
Visible | 指定对用户是显示还是隐藏控件。如果该控件对用户是隐藏的，那么该菜单栏名仍将显示在有效命令栏列表中。

以下示例可实现：隐藏活动菜单栏并用一个临时菜单栏代替，该临时菜单栏固定在应用程序窗口右边，并且对用户处于保护状态。

Set oldMbar = CommandBars.ActiveMenuBar
Set newMbar = CommandBars.Add _
(Name:="newMenubar", Position:=msoBarRight, _
MenuBar:=True, temporary:=True)
With newMbar
    .Visible = True
    .Protection = msoBarNoMove
End With

在运行时间合并菜单栏

对加载应用程序中的自定义菜单栏，如果要指定其在容器应用程序中的表示方式，可用 CommandBarPopup 对象的 OLEMenuGroup 属性指定菜单栏合并的方式。

对菜单项作运行时间修改

对菜单项的修改范围取决于控件的类型。通常，按钮具有有效和隐藏两种状态，而编辑框、下拉式列表框和组合框可进行的操作更为多样化：可在列表中添加或删除列表项，也可根据选中的值确定要执行的动作。用户可将任意控件的动作改为内置功能或自定义功能。

下表是改变控件状态、动作或内容的最常用的属性和方法。

属性或方法 | 目的
Add | 在命令栏中添加一个菜单项。对内置控件，Type 变量可以是以下 MsoControlType 常量之一：msoControlButton、msoControlEdit、msoControlDropdown 或 msoControlComboBox。
AddItem | 在下拉式列表框或组合框的下拉式列表区中添加一个列表项。可为已有列表中的新项指定一个索引号，但其数值不能大于列表中的项目数，否则 AddItem 方法失败。
Style | 指定按钮外观是显示其图标还是显示其标题。该值可为以下 MsoButtonStyle 常量之一：msoButtonAutomatic、msoButtonIcon、msoButtonCaption、msoButtonIconAndCaption、msoButtonIconAndCaptionBelow、msoButtonIconAndWrapCaption、msoButtonIconAndWrapCaptionBelow 或 msoButtonWrapCaption。
OnAction | 指定当用户改变特定控件的值时要运行的过程。
Visible | 指定控件对用户是显示还是隐藏。

以下示例在活动菜单栏的末尾添加一个命名为“Custom”的临时弹出式控件，然后在该自定义弹出式命令栏中添加一个按钮控件“Import”。

Set myMenuBar = CommandBars.ActiveMenuBar
Set newMenu = myMenuBar.Controls.Add(Type:=msoControlPopup, _
    Temporary:=True)
newMenu.Caption = "Custom"
Set ctrl1 = newMenu.Controls _
    .Add(Type:=msoControlButton, Id:=1)
ctrl1.Caption = "Import"
ctrl1.TooltipText = "Import"
ctrl1.Style = msoButtonCaption


添加和显示快捷菜单

快捷菜单是一个浮动命令栏，它在用户单击鼠标右键时显示。快捷菜单可包含与命令栏同样的控件类型，控件在其中的行为与在命令栏中一样。然而，在大多数应用程序中，不能由应用程序接口创建或修改快捷菜单，因此，必须在运行时间创建和修改快捷菜单。

在运行时间添加快捷菜单

快捷菜单和其他工具栏的唯一区别是：用 Add 方法创建快捷菜单时，必须将 msoBarPopUp 指定为 position 参数的值。以下示例新建一个快捷菜单，在其中添加两个控件（带标题），然后用 ShowPopup 方法显示该新菜单。

Set copyAndPasteMenu = CommandBars.Add( _
    Name:="Custom", Position:=msoBarPopup, _
    Temporary:=True)
Set copy = copyAndPasteMenu.Controls.Add
With copy
    .FaceId = CommandBars("Standard").Controls("Copy").Id
    .Caption = "Copy the selection"
End With
Set paste = copyAndPasteMenu.Controls.Add
With paste
    .FaceId = CommandBars("Standard").Controls("Paste").Id
    .Caption = "Paste from the Clipboard"
End With
copyAndPasteMenu.ShowPopup 200, 200

显示快捷菜单

如前面示例所述，可用 ShowPopup 方法显示快捷菜单。

如果容器应用程序可为用户的操作指定相应的事件过程，那么就可用显示一个快捷菜单的过程响应一个单击鼠标右键的事件。然而，并非所有的应用程序都支持事件过程。请查看容器应用程序的文档以确定该应用程序是否支持事件过程。

对快捷菜单作运行时间修改

对快捷菜单的任意修改都必须在运行时间进行，并且所作的修改通常仅限于改变菜单中控件的外观或功能。有关添加和管理菜单项的详细信息，请参阅添加和管理菜单栏和菜单项。


OLE 编程标识符（ActiveX 控件）

本主题中的某些内容可能不适用于某些语言。

用 OLE 编程标识符（有时也称 ProgID）可创建一个 Automation 对象。下表中列出了 ActiveX 控件、Microsoft Office 应用程序和“Microsoft Office Web 组件”的 OLE 编程标识符。

ActiveX 控件

Microsoft Access

Microsoft Excel

Microsoft Graph

Microsoft Office Web 组件

Microsoft Outlook

Microsoft PowerPoint

Microsoft Word

ActiveX 控件

用相应的 OLE 编程标识符可创建下表中列出的 ActiveX 控件。

要创建控件 | 请使用标识符
复选框 | Forms.CheckBox.1
组合框 | Forms.ComboBox.1
命令按钮 | Forms.CommandButton.1
框架 | Forms.Frame.1
图像 | Forms.Image.1
标签 | Forms.Label.1
列表框 | Forms.ListBox.1
多页控件 | Forms.MultiPage.1
选项按钮 | Forms.OptionButton.1
滚动条 | Forms.ScrollBar.1
数值调节钮 | Forms.SpinButton.1
TabStrip | Forms.TabStrip.1
文本框 | Forms.TextBox.1
切换按钮 | Forms.ToggleButton.1

Microsoft Access

用相应的 OLE 编程标识符可创建下表中列出的 Microsoft Access 对象。如果使用没有版本号后缀的标识符，将会创建在运行宏的计算机中可用的最新版本 Access 的对象。

要创建对象 | 请使用以下标识符之一
Application | Access.Application
CurrentData | Access.CodeData、Access.CurrentData
CurrentProject | Access.CodeProject、Access.CurrentProject
DefaultWebOptions | Access.DefaultWebOptions

Microsoft Excel

用相应的 OLE 编程标识符可创建下表中列出的 Microsoft Excel 对象。如果使用没有版本号后缀的标识符，则会创建运行宏的计算机中可用的最新版本 Excel 的对象。

要创建对象 | 请使用标识符 | 备注
Application | Excel.Application |
Workbook | Excel.AddIn |
Workbook | Excel.Chart | 返回包含两个工作表的工作簿；一个包含图表，另一个包含数据。图表工作表是活动工作表。
Workbook | Excel.Sheet | 返回包含一个工作表的工作簿。

Microsoft Graph

用对应的 OLE 编程标识符可创建以下列表中的“Microsoft Graph”对象。如果使用没有版本号后缀的标识符，将会创建在运行宏的计算机中可用的最新版本“图表”的对象。

要创建对象 | 请使用标识符
Application | MSGraph.Application
Chart | MSGraph.Chart

Microsoft Office Web 组件

用对应的 OLE 编程标识符可创建以下列表中的“Microsoft Office Web 组件”对象。如果使用没有版本号后缀的标识符，将会创建在运行宏的计算机中可用的最新版本“Microsoft Office Web 组件”的对象。

要创建对象 | 请使用以下标识符之一
ChartSpace | OWC.Chart
DataSourceControl | OWC.DataSourceControl
ExpandControl | OWC.ExpandControl
PivotTable | OWC.PivotTable
RecordNavigationControl | OWC.RecordNavigationControl
Spreadsheet | OWC.Spreadsheet

Microsoft Outlook

用对应的 OLE 编程标识符可创建以下列表中的 Microsoft Outlook 对象。如果使用没有版本号后缀的标识符，将会创建在运行宏的计算机中可用的最新版本 Outlook 中的对象。

要创建对象 | 请使用标识符
Application | Outlook.Application

Microsoft PowerPoint

用对应的 OLE 编程标识符可创建以下列表中的 Microsoft PowerPoint 对象。如果使用没有版本号后缀的标识符，将会创建一个在运行宏的计算机中可用的最新版本 PowerPoint 的对象。

要创建对象 | 请使用标识符
Application | PowerPoint.Application

Microsoft Word

用对应的 OLE 编程标识符可创建以下列表中的 Microsoft Word 对象。如果使用没有版本号后缀的标识符，将会创建在运行宏的计算机中可用的最新版本 Word 的对象。

要创建对象 | 请使用以下标识符之一
Application | Word.Application
Document | Word.Document, Word.Template
Global | Word.Global


AnswerWizard 对象

AnswerWizard (AnswerWizardFiles)

本主题中的某些内容可能不适用于某些语言。

代表 Microsoft Office 应用程序的 AnswerWizard。每个应用程序只有一个 AnswerWizard，并且对 AnswerWizard 或 AnswerWizardFiles 集合所做的所有更改都将立刻影响活动的 Office 应用程序。

使用 AnswerWizard 对象

用 ClearFileList 方法可删除当前“应答向导”可用的文件列表中所有的项目。可用此方法确保用户无法再通过“应答向导”访问 Office 宿主应用程序中使用的默认文件，例如当您用自定义的 .AW 文件替换“应答向导”文件时，即需要用此功能。以下示例清除默认的“应答向导”文件列表，然后将两个文件添加到自定义“应答向导”中。

customAnswerWizard.ClearFileList
customAnswerWizard.Files.Add ("c:\awfiles\custom_1.aw")
customAnswerWizard.Files.Add ("c:\awfiles\custom_2.aw")

用 ResetFileList 方法可将当前“应答向导”中的文件列表恢复为 Office 宿主应用程序的默认文件列表。也可通过向相应的注册表项中加入自定义文件名的方式，在 Windows 注册表中建立自定义默认文件列表；注册表项中指定的文件将在调用 ResetFileList 时恢复。本示例重置当前“应答向导”的文件列表。

customAnswerWizard.ResetFileList

用 Files 属性可获取“应答向导”文件引用的集合。Files 属性返回引用 .AW 文件的字符串的集合。以下示例返回 AnswerWizardFiles 集合并在消息框中显示文件数。

Dim customAnswerWizardFiles As AnswerWizardFiles
Set customAnswerWizardFiles = Application.AnswerWizard.Files

MsgBox customAnswerWizardFiles.Count


AnswerWizardFiles 集合对象

AnswerWizard (AnswerWizardFiles)

本主题中的某些内容可能不适用于某些语言。

由 AnswerWizard 文件组成的集合。AnswerWizardFiles 集合包含活动 Microsoft Office 应用程序中可用的所有 AnswerWizard 文件（文件扩展名为 .AW）。

使用 AnswerWizardFiles 集合

用 Files 属性可获取“应答向导”文件引用的集合。Files 属性返回引用 .AW 文件的字符串的集合。以下示例返回 AnswerWizardFiles 集合并在消息框中显示文件数。

Dim customAnswerWizardFiles As AnswerWizardFiles
Set customAnswerWizardFiles = Application.AnswerWizard.Files

MsgBox customAnswerWizardFiles.Count

用 Add 方法使当前“应答向导”可以使用附加的文件。以下示例向活动 Office 应用程序的“应答向导”列表中添加文件 Custom_1.aw。

Dim customAnswerWizard As AnswerWizard
Set customAnswerWizard = Application.AnswerWizard

customAnswerWizard.Files.Add ("c:\awfiles\custom_1.aw")

用 Item 属性可获取现有“应答向导”文件引用项目的名称。以下示例用消息框显示 Item(1) 所引用的文件名。

MsgBox customAnswerWizard.Files.Item(1)


Assistant 对象

Assistant
Balloon
BalloonCheckBoxes (BalloonCheckBox)
BalloonLabels (BalloonLabel)

本主题中的某些内容可能不适用于某些语言。

代表“Microsoft Office 助手”。

使用 Assistant 对象

可用 Assistant 属性返回 Assistant 对象。不存在 Assistant 对象的集合，任意时刻只有一个 Assistant 对象是活动的。可用 Visible 属性显示“助手”，用 On 属性启用“助手”。

说明

默认的“助手”是“大眼夹”（英文名字是“Clippit”）。用 FileName 属性可有针对性地选择不同的“助手”。

以下示例将显示“助手”及其动画效果。

With Assistant
    .Visible = True
    .Animation = msoAnimationGreeting
End With


Balloon 对象

Assistant
Balloon
BalloonCheckBoxes (BalloonCheckBox)
BalloonLabels (BalloonLabel)

本主题中的某些内容可能不适用于某些语言。

代表一个气球，在该气球中，“Office 助手”可显示标题和文字信息。一个气球可包含诸如复选框和标签等控件。

使用 Balloon 对象

用 NewBalloon 属性可返回一个 Balloon 对象。不存在 Balloon 对象的集合，任意时刻都只有一个气球是可见的。但用户可定义多个气球并在需要时调用其中之一。有关详细信息，请参阅本主题后面的“定义和重新使用气球”部分。

用 Show 方法可显示指定的气球。用 Callback 属性可根据非模态气球中的选择情况运行相应的过程。非模态气球是指在用户使用应用程序时仍然显示的气球。用 Close 方法可关闭非模态气球。

以下示例创建一个气球，其中包含保存输入数据的提示。

With Assistant.NewBalloon
    .BalloonType = msoBalloonTypeBullets
    .Icon = msoIconTip
    .Button = msoButtonSetOk
    .Heading = "Tips for Saving Information."
    .Labels(1).Text = "Save your work often."
    .Labels(2).Text = "Install a surge protector."
    .Labels(3).Text = "Exit your application properly."
    .Show
End With

定义和重新使用气球

通过将对象赋予变量并显示该变量，您可在需要时重新使用已创建的气球对象。本示例分别定义了两个独立的气球：balloon1 和 balloon2，以便重新使用它们。

Set balloon1 = Assistant.NewBalloon
balloon1.Heading = "First balloon"
Set balloon2 = Assistant.NewBalloon
balloon2.Heading = "Second balloon"
balloon1.Show
balloon2.Show
balloon1.Heading = "First balloon, new heading"
balloon1.Show

另外，除了使用单独的变量外，也可将气球对象组合在一个数组中。


BalloonCheckBox 对象

Assistant
Balloon
BalloonCheckBoxes (BalloonCheckBox)
BalloonLabels (BalloonLabel)

本主题中的某些内容可能不适用于某些语言。

代表“Office 助手”气球中的一个复选框。BalloonCheckBox 对象是 BalloonCheckBoxes 集合中的一个成员。

使用 BalloonCheckbox 对象

用 CheckBoxes(index) 可返回一个 BalloonCheckBox 对象，其中的 index 是一个 1 到 5 的数字。一个气球中可有 1 到 5 个复选框，每个复选框在其 Text 属性赋值后就会显示出来。

下面的示例创建一个有标题、文字和三个区域选项的气球。用户选中一个或多个复选框并单击“确定”按钮后，示例就调用指定的一个或多个过程。

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select your region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Button = msoButtonSetOkCancel
    .Show
    If .CheckBoxes(1).Checked Then
        runregion1
    End If
    If .CheckBoxes(2).Checked Then
        runregion2
    End If
    If .CheckBoxes(3).Checked Then
        runregion3
    End If
End With

说明

在用户清除气球之前，气球复选框将一直显示用户的选择。在用户单击标签旁的按钮后，气球标签立即返回与用户在 Select 方法中的选择相对应的数字。若要将用户选择的数字值传递给 Select 方法，则必须将气球类型设置为 msoBalloonTypeButtons。


BalloonCheckboxes 集合对象

Assistant
Balloon
BalloonCheckBoxes (BalloonCheckBox)
BalloonLabels (BalloonLabel)

本主题中的某些内容可能不适用于某些语言。

一个 BalloonCheckbox 对象的集合。该对象代表“Office 助手”气球中所有的复选框。

使用 BalloonCheckboxes 集合

用 Checkboxes 属性可返回 BalloonCheckboxes 集合。

用 Checkboxes(index) 可返回单个的 BalloonCheckbox 对象，其中的 index 是一个 1 到 5 之间的数字。一个气球中可有 1 到 5 个复选框，每个复选框在其 Text 属性赋值后即可显示出来。如果指定的复选框超过五个，将发生运行时间错误。

下面的示例创建一个有标题、文字和三个区域选项的气球。当用户选中一个或多个复选框并单击“确定”按钮后，将调用指定的一个或多个过程。

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select your region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Button = msoButtonSetOkCancel
    .Show
    If .CheckBoxes(1).Checked Then
        runregion1
    End If
    If .CheckBoxes(2).Checked Then
        runregion2
    End If
    If .CheckBoxes(3).Checked Then
        runregion3
    End If
End With

显示气球后，将不能再向 BalloonCheckBoxes 集合中添加或删除复选框。

说明

在用户清除气球之前，气球复选框将一直显示用户的选择。在用户单击标签旁的按钮后，使用气球标签连同 Select 方法可返回与用户所选复选框相对应的数字。若要将用户选择的数字值传递给 Select 方法，则必须将气球类型设置为 msoBalloonTypeButtons。


BalloonLabel 对象

Assistant
Balloon
BalloonCheckBoxes (BalloonCheckBox)
BalloonLabels (BalloonLabel)

本主题中的某些内容可能不适用于某些语言。

代表“Office 助手”气球中的一个标签。BalloonLabel 对象是 BalloonLabels 集合中的一个成员。

使用 BalloonLabel 对象

用 Labels(index) 可返回一个 BalloonLabel 对象，其中的 index 是一个 1 到 5 之间的数字。一个气球中可有 1 到 5 个标签，每个标签在其 Text 属性赋值后就会显示出来。

以下示例创建一个气球，要求用户单击与其年龄相对应的标签。

With Assistant.NewBalloon
    .Heading = "Check Your Age Group."
    .Labels(1).Text = "Under 30."
    .Labels(2).Text = "30 to 50."
    .Labels(3).Text = "Over 50."
    .Text = "Which of the following " _
        & .Labels.Count & " choices apply to you?"
    .Show
End With

说明

在用户清除该气球之前，气球复选框将一直显示用户的选择。在用户单击标签旁的按钮后，气球标签立即返回与用户在 Select 方法中的选择相对应的数字。只有将该气球的类型设为 msoBalloonTypeButtons 才能将值传给与用户选择相关的 Select 方法。


BalloonLabels 集合对象

Assistant
Balloon
BalloonCheckBoxes (BalloonCheckBox)
BalloonLabels (BalloonLabel)

本主题中的某些内容可能不适用于某些语言。

一个 BalloonLabel 对象的集合，该集合代表“Office 助手”气球中所有的标签。

使用 BalloonLabels 集合

用 Labels 属性可返回 BalloonLabels 集合。

用 Labels(index) 可返回一个 BalloonLabel 对象，其中的 index 是一个 1 到 5 之间的数字。一个气球中可有 1 到 5 个标签，每个标签在其 Text 属性赋值后就会显示出来。如果指定标签超过五个，将发生运行时间错误。

以下示例创建一个包含三个选项的气球。变量 returnValue 设置为 Show 方法的返回值，对应于用户单击的标签，可为 1、2 或 3。本示例显示变量 returnValue 的值，可以将这一值传递给另一过程，或在 Select Case 语句中使用该值。

Set b = Assistant.NewBalloon
With b
    .Heading = "This is my heading"
    .Text = "Select one of these things:"
    .Labels(1).Text = "Choice One"
    .Labels(2).Text = "Choice Two"
    .Labels(3).Text = "Choice Three"
    returnValue = .Show
End With

说明

在用户清除气球之前，气球复选框将一直显示用户的选择。在用户单击标签旁的按钮后，气球标签立即返回与用户在 Select 方法中的选择相对应的数字。若要将用户选择的数字值传递给 Select 方法，则必须将气球类型设置为 msoBalloonTypeButtons。


COMAddIn 对象

COMAddIns (COMAddIn)

代表一个 Microsoft Office 宿主应用程序中的 COM 加载项。COMAddIn 对象是 COMAddIns 集合的成员。

使用 COMAddIn 对象

可以使用 COMAddIns.Item(index)，其中 index 既可以是一个能够返回 COMAddIns 集合中相应位置的加载项的序数，也可以是代表指定 COM 加载项的 ProgID 的 String 值。以下示例将在消息框中显示一个 COM 加载项的说明文字。

MsgBox Application.COMAddIns.Item("msodraa9.ShapeSelect").Description

用 COMAddin 对象的 ProgID 属性返回 COM 加载项的编程标识符，并用 Guid 属性返回该加载项全局唯一标识符（GUID）。以下示例在消息框中显示第一个 COM 加载项的 ProgID 和 GUID。

MsgBox "My ProgID is " & _
    Application.COMAddIns(1).ProgID & _
    " and my GUID is " & _
    Application.COMAddIns(1).Guid

用 Connect 属性设置或返回与指定 COM 加载项的连接状态。以下示例在消息框中显示 COM 加载项是否已经注册以及当前是否已经连接。

If Application.COMAddIns(1).Connect Then
    MsgBox "The add-in is connected."
Else
MsgBox "The add-in is not connected."
End If


COMAddIns 集合对象

COMAddIns (COMAddIn)

COMAddIn 对象的集合，它提供有关在 Windows 注册表中注册的 COM 加载项的信息。

使用 COMAddIns 集合

用 Application 对象的 COMAddIns 属性返回 Microsoft Office 宿主应用程序的 COMAddIns 集合。如以下示例所示，该集合包含了某个应用程序中所有可用的加载项，并利用 COMAddins 集合的 Count 属性返回可用的 COM 加载项的数目。

MsgBox Application.COMAddIns.Count

以下示例使用 COMAddins 集合的 Update 方法，根据 Windows 注册表中的信息对 COM 加载项列表进行刷新。

Application.COMAddIns.Update

可以使用 COMAddIns.Item(index)，其中 index 既可以是一个能够返回 COMAddIns 集合中相应位置的 COM 加载项的序数，也可以是一个代表指定 COM 加载项的 ProgID 的 String 值。以下示例在消息框中显示一个 COM 加载项的说明文字和 ProgID(“msodraa9.ShapeSelect”)。

MsgBox Application.COMAddIns.Item("msodraa9.ShapeSelect").Description


CommandBar 对象

CommandBars (CommandBar)
CommandBarControls (CommandBarControl)
CommandBarButton
CommandBarComboBox
CommandBarPopup

本主题中的某些内容可能不适用于某些语言。

代表容器应用程序中的一个命令栏。CommandBar 对象是 CommandBars 集合中的成员。

使用 CommandBar 对象

用 CommandBars(index) 可返回一个 CommandBar 对象；此处 index 是该命令栏的名称或索引号。以下示例逐个筛选命令栏集合中的每个成员，以查找命令栏“Forms”。如果找到，那么本示例显示该命令栏并保护其定位状态。在本示例中，变量 cb 代表一个 CommandBar 对象。

foundFlag = False
For Each cb In CommandBars
    If cb.Name = "Forms" Then
        cb.Protection = msoBarNoChangeDock
        cb.Visible = True
        foundFlag = True
    End If
Next cb
If Not foundFlag Then
    MsgBox "The collection does not contain a Forms command bar."
End If

可用名称或索引号指定位于容器应用程序的有效菜单栏和工具栏列表中的菜单栏或工具栏，但只能用名称指定菜单、快捷菜单或子菜单（所有这些内容均可由 CommandBar 对象表示）。本示例可实现：在“工具”菜单底部添加一个新的菜单项。单击该菜单项将运行过程“qtrReport”。

Set newItem = CommandBars("Tools").Controls.Add(Type:=msoControlButton)
With newItem
    .BeginGroup = True
    .Caption = "Make Report"
    .FaceID = 0
    .OnAction = "qtrReport"
End With

如果两个或两个以上的自定义菜单或子菜单具有相同的名称，那么 CommandBars(index) 返回第一个具有该名称的菜单。为确保返回正确的菜单或子菜单，可找到显示该菜单的弹出式控件，然后对该弹出式控件应用 CommandBar 属性以返回代表该菜单的命令栏。

假定工具栏“Custom Tools”中第三个控件是一个弹出式控件，本示例可将 Save 命令添加到该菜单的底部。

Set viewMenu = CommandBars("Custom Tools").Controls(3)
viewMenu.Controls.Add ID:=3    'ID of Save command is 3


CommandBarButton 对象

CommandBars (CommandBar)
CommandBarControls (CommandBarControl)
CommandBarButton
CommandBarComboBox
CommandBarPopup

代表命令栏中的一个按钮控件。

使用 CommandBarButton 对象

用 Controls(index) 可返回一个 CommandBarButton 对象；此处 index 是该控件的索引号。（该控件的 Type 属性必须是 msoControlButton。）

假定命令栏“Custom”中的第二个控件是一个按钮，以下示例更改该按钮的样式。

Set c = CommandBars("Custom").Controls(2)
With c
If .Type = msoControlButton Then
    If .Style = msoButtonIcon Then
        .Style = msoButtonIconAndCaption
    Else
        .Style = msoButtonIcon
    End If
End If
End With

用 FindControl 方法也可返回一个 CommandBarButton 对象。


CommandBarComboBox 对象

CommandBars (CommandBar)
CommandBarControls (CommandBarControl)
CommandBarButton
CommandBarComboBox
CommandBarPopup

代表命令栏中的一个组合框控件。

使用 CommandBarComboBox 对象

用 Controls(index) 可返回一个 CommandBarComboBox 对象；此处 index 是该控件的索引号。（该控件的 Type 属性必须是 msoControlEdit、msoControlDropdown、msoControlComboBox、msoControlButtonDropdown、msoControlSplitDropdown、msoControlOCXDropdown、msoControlGraphicCombo 或 msoControlGraphicDropdown。）

以下示例可在命令栏“Custom”的第二个控件中添加两项，然后调整该控件的尺寸。

Set combo = CommandBars("Custom").Controls(2)
With combo
    .AddItem "First Item", 1
    .AddItem "Second Item", 2
    .DropDownLines = 3
    .DropDownWidth = 75
    .ListIndex = 0
End With

用 FindControl 方法也可返回一个 CommandBarComboBox 对象。以下示例可在所有命令栏中查找一个显示于屏幕上的 CommandBarComboBox 对象，该对象的标识为“sheet assignments”。

Set myControl = CommandBars.FindControl _
(Type:=msoControlComboBox, Tag:="sheet assignments", Visible:=True)


CommandBarControl 对象

CommandBars (CommandBar)
CommandBarControls (CommandBarControl)
CommandBarButton
CommandBarComboBox
CommandBarPopup

代表一个命令栏控件。CommandBarControl 对象是 CommandBarControls 集合中的成员。CommandBarControl 对象与 CommandBarButton、CommandBarComboBox 以及 CommandBarPopup 对象具有同样的属性和方法。

注意 若要为自定义命令栏控件编写 Visual Basic 代码，可使用 CommandBarButton、CommandBarComboBox 和 CommandBarPopup 对象。若要为容器应用程序中的内置控件写代码，而该控件又不能用上述三个对象中的任意一个表示，那么可使用 CommandBarControl 对象。

使用 CommandBarControl 对象

用 Controls(index) 可返回一个 CommandBarControl 对象；此处 index 是该控件的索引号。（该控件的 Type 属性必须是 msoControlLabel、msoControlExpandingGrid、msoControlSplitExpandingGrid、msoControlGrid 或 msoControlGauge。）

注意 声明为 CommandBarControl 的变量可取的值为：CommandBarButton、CommandBarComboBox 和 CommandBarPopup。

用 FindControl 方法也可返回一个 CommandBarControl 对象。以下示例查找一个 msoControlGauge 类型的控件。如果找到，那么显示该控件的索引号及其所在命令栏的名称。在本示例中，变量 lbl 代表一个 CommandBarControl 对象。

Set lbl = CommandBars.FindControl(Type:= msoControlGauge)
If lbl Is Nothing Then
    MsgBox "A control of type msoControlGauge was not found."
Else
    MsgBox "Control " & lbl.Index & " on command bar " _
        & lbl.Parent.Name & " is type msoControlGauge"
End If


CommandBarControls 集合对象

CommandBars (CommandBar)
CommandBarControls (CommandBarControl)
CommandBarButton
CommandBarComboBox
CommandBarPopup

CommandBarControl 对象的集合，该集合代表一个命令栏中的命令栏控件。

使用 CommandBarControls 集合

用 Controls 属性可返回 CommandBarControls 集合。以下示例将工具栏“Standard”中每个控件的题注改为该控件当前的 Id 属性值。

For Each ctl In CommandBars("Standard").Controls
    ctl.Caption = CStr(ctl.Id)
Next ctl

用 Add 方法可在 CommandBarControls 集合中添加一个新的命令栏控件。本示例可在命令栏“Custom”中新添一个空白按钮。

Set myBlankBtn = CommandBars("Custom").Controls.Add

用 Controls(index) 可返回一个 CommandBarControl、CommandBarButton、CommandBarComboBox 或 CommandBarPopup 对象；此处 index 是该控件的题注或索引号。以下示例将命令栏“Standard”中第一个控件复制到命令栏“Custom”中。

Set myCustomBar = CommandBars("Custom")
Set myControl = CommandBars("Standard").Controls(1)
myControl.Copy Bar:=myCustomBar, Before:=1


CommandBarPopup 对象

CommandBars (CommandBar)
CommandBarControls (CommandBarControl)
CommandBarButton
CommandBarComboBox
CommandBarPopup

代表命令栏中的一个弹出式控件。

使用 CommandBarPopup 对象

用 Controls(index) 可返回一个 CommandBarPopup 对象；此处 index 是该控件的索引号。该控件的 Type 属性必须是 msoControlPopup、msoControlGraphicPopup、msoControlButtonPopup、msoControlSplitButtonPopup 或 msoControlSplitButtonMRUPopup。

用 FindControl 方法也可返回一个 CommandBarPopup 对象。以下示例可在所有命令栏中查找一个 CommandBarPopup 对象，该对象的标记为“Graphics”。

Set myControl = Application.CommandBars.FindControl _
(Type:=msoControlPopup, Tag:="Graphics")

说明

每个弹出式控件包含一个 CommandBar 对象。对 CommandBarPopup 对象使用 CommandBar 属性可从弹出式控件返回一个命令栏。


CommandBars 集合对象

CommandBars (CommandBar)
CommandBarControls (CommandBarControl)
CommandBarButton
CommandBarComboBox
CommandBarPopup

一个代表容器应用程序中工具栏的 CommandBar 对象集合。

使用 CommandBars 集合

用 CommandBars 属性可返回 CommandBars 集合。以下示例在 Immediate 窗口显示每个菜单栏和工具栏的名称和本地名称，并显示一个数值以表明该菜单栏或工具栏是否出现在屏幕上。

For Each cbar in CommandBars
    Debug.Print cbar.Name, cbar.NameLocal, cbar.Visible
Next

用 Add 方法可在集合中添加一个新的命令栏。以下示例创建一个自定义工具栏“Custom1”并将其作为浮动工具栏显示。

Set cbar1 = CommandBars.Add(Name:="Custom1", Position:=msoBarFloating)
cbar1.Visible = True

用 CommandBars(index) 可返回一个 CommandBar 对象；此处 index 是该命令栏的名称或索引号。以下示例将工具栏“Custom1”固定在应用程序窗口的底部。

CommandBars("Custom1").Position = msoBarBottom

注意 可用名称或索引号指定位于容器应用程序的有效菜单栏和工具栏列表中的菜单栏或工具栏，但只能用名称指定菜单、快捷菜单或子菜单（所有这些内容均可由 CommandBar 对象表示）。

如果两个或两个以上的自定义菜单或子菜单具有相同的名称，那么 CommandBars(index) 返回第一个具有该名称的菜单。为确保返回正确的菜单或子菜单，可找到显示该菜单的弹出式控件，然后对该弹出式控件使用 CommandBar 属性以返回代表该菜单的命令栏。


DocumentProperties 集合对象

DocumentProperty 对象的集合。每个 DocumentProperty 对象代表容器文档的一个内置或自定义属性。

使用 DocumentProperties 集合

用 Add 方法可新建一个自定义属性，并将其添加到 DocumentProperties 集合中。用 Add 方法不能创建内置文档属性。

用 BuiltinDocumentProperties(index) 可返回一个单一的 DocumentProperty 对象，该对象代表一个特定的内置文档属性；此处 index 是该内置文档属性的索引号。用 CustomDocumentProperties(index) 可返回一个 DocumentProperty 对象，该对象代表一个特定的自定义文档属性；此处 index 是该自定义文档属性的索引号。


DocumentProperty 对象

代表容器文档的一个自定义或内置文档属性。DocumentProperty 对象是 DocumentProperties 集合中的成员。

使用 DocumentProperty 对象

用 BuiltinDocumentProperties(index) 可返回一个单一的 DocumentProperty 对象，该对象代表一个特定的内置文档属性；此处 index 是该内置文档属性的名称或索引号。用 CustomDocumentProperties(index) 可返回一个 DocumentProperty 对象，该对象代表一个特定的自定义文档属性；此处 index 是该自定义文档属性的名称或索引号。

下表列出了所有有效的内置文档属性名：

标题

主题

作者

关键词

备注

模板

上一个作者

修订次数

应用程序名

上次打印时间

创建时间

上次保存时间

编辑时间总计

页数

 字数

字符数

安全性

类别

格式

经理

单位

字节数

行数

段落数

幻灯片数

备注数

隐藏幻灯片数

多媒体剪辑数

容器应用程序不一定为每个内置文档属性都定义一个属性值。如果所给的应用程序没有为某内置文档属性定义一个属性值，那么返回该文档属性的 Value 属性将产生错误。


FileDialog 对象

FileDialog
多个对象

提供文件对话框，功能与 Microsoft Office 应用程序中标准的“打开”和“保存”对话框类似。利用这些对话框，解决方案的用户可以简便地指定解决方案中应该使用的文件和文件夹。

使用 FileDialog 对象

使用 FileDialog 属性返回一个 FileDialog 对象。FileDialog 属性位于每个单独 Office 应用程序的 Application 对象中。该属性使用一个参数 DialogType 确定该属性返回的 FileDialog 对象类型。FileDialog 对象有四种类型：

  • “打开”对话框：让用户选择一个或多个可以在主机应用程序中使用 Execute 方法打开的文件。
  • “另存为”对话框：让用户选择一个可以使用 Execute 方法保存当前文件的文件。
  • “文件选取器”对话框：让用户选择一个或多个文件。用户选择的文件路径将捕获到 FileDialogSelectedItems 集合。
  • “文件夹选取器”对话框：让用户选择一个路径。用户选择的文件路径将捕获到 FileDialogSelectedItems 集合。

每个主机应用程序只能实现一个 FileDialog 对象实例。因此，在创建多个 FileDialog 对象时将延续 FileDialog 对象的很多属性。所以，在显示对话框之前请确保已经针对用途正确设置了所有属性。

要使用 FileDialog 对象显示一个对话框，必须使用 Show 方法。对话框显示后，在用户消除对话框之前将不执行任何代码。本示例创建并显示“文件选取器”对话框，并在消息框中显示每个选定的文件。

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'The user pressed the action button.
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "The path is: " & vrtSelectedItem

            Next vrtSelectedItem
        'The user pressed Cancel.
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


FileDialogFilter 对象

FileDialogFilters
FileDialogFilter

返回通过 FileDialog 对象显示的文件对话框中的一个文件筛选。每个文件筛选确定文件对话框中显示的文件。

使用 FileDialogFilter 对象

使用 FileDialogFilters 集合的 Item 方法返回一个 FileDialogFilter 对象。使用 Add 方法向 FileDialogFilters 集合中添加一个 FileDialogFilter 对象。可以使用 Extensions 属性返回 FileDialogFilter 对象用于筛选文件的扩展名，使用 Description 属性可以返回筛选的说明，但是这两个属性均为只读。如果要设置扩展名和说明，必须使用 Add 方法。

本示例在“另存为”对话框的默认筛选中迭代，并显示每个包括 Microsoft Excel 文件的筛选说明。

Sub Main()

    'Declare a variable as a FileDialogFilters collection.
    Dim fdfs As FileDialogFilters

    'Declare a variable as a FileDialogFilter object.
    Dim fdf As FileDialogFilter

    'Set the FileDialogFilters collection variable to
    'the FileDialogFilters collection of the SaveAs dialog box.
    Set fdfs = Application.FileDialog(msoFileDialogSaveAs).Filters

    'Iterate through the description and extensions of each
    'default filter in the SaveAs dialog box.
    For Each fdf In fdfs

        'Display the description of filters that include
        'Microsoft Excel files.
        If InStr(1, fdf.Extensions, "xls", vbTextCompare) > 0 Then
            MsgBox "Description of filter: " & fdf.Description
        End If
    Next fdf
End Sub


FileDialogFilters 集合

FileDialog
FileDialogFilters
FileDialogFilter

表示文件对话框中可选文件类型的 FileDialogFilter 对象的集合，该对话框由 FileDialog 对象显示。

使用 FileDialogFilters 集合

使用 FileDialog 对象的 Filters 属性返回一个 FileDialogFilters 集合。下列代码返回“打开文件”对话框的 FileDialogFilters 集合。

Application.FileDialog(msoFileDialogOpen).Filters

使用 Add 方法向 FileDialogFilters 集合中添加 FileDialogFilter 对象。本示例使用 Clear 方法清除集合，然后向集合添加筛选。Clear 方法将集合完全清空，但是，如果在清除后没有向集合中添加任何筛选，将自动添加“所有文件”筛选。

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Change the contents of the Files of Type list.
        'Empty the list by clearing the FileDialogFilters collection.
        .Filters.Clear

        'Add a filter that includes all files.
        .Filters.Add "All files", "*.*"

        'Add a filter that includes GIF and JPEG images and make it the first item in the list.
        .Filters.Add "Images", "*.gif; *.jpg; *.jpeg", 1

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'The user pressed the action button.
        If .Show = -1 Then

            'Step through each String in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Path name: " & vrtSelectedItem

            Next vrtSelectedItem
        'The user pressed Cancel.
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub

在更改 FileDialogFilters 集合时，请记住每个应用程序只能实现一个 FileDialog 对象。这意味着在调用一个新对话框类型的 FileDialog 方法时，FileDialogFilters 集合将重置为默认筛选。

本示例在“另存为”对话框的默认筛选中迭代，并显示每个包括 Microsoft Excel 文件的筛选说明。

Sub Main()

    'Declare a variable as a FileDialogFilters collection.
    Dim fdfs As FileDialogFilters

    'Declare a variable as a FileDialogFilter object.
    Dim fdf As FileDialogFilter

    'Set the FileDialogFilters collection variable to
    'the FileDialogFilters collection of the SaveAs dialog box.
    Set fdfs = Application.FileDialog(msoFileDialogSaveAs).Filters

    'Iterate through the description and extensions of each
    'default filter in the SaveAs dialog box.
    For Each fdf In fdfs

        'Display the description of filters that include
        'Microsoft Excel files
        If InStr(1, fdf.Extensions, "xls", vbTextCompare) > 0 Then
            MsgBox "Description of filter: " & fdf.Description
        End If
    Next fdf

End Sub

注释 当应用于“另存为”FileDiaog 对象时，如果 Filters 属性与 Clear、Add 或 Delete 方法结合使用，将导致运行时出错。例如，Application.FileDialog(msoFileDialogSaveAs).Filters.Clear 将导致运行时出错。


FileDialogSelectedItems 集合

FileDialog
FileDialogSelectedItems

String 类型值的集合，对应于通过 FileDialog 对象显示的文件对话框中用户所选文件或文件夹路径。

使用 FileDialogSelectedItems 集合

使用 FileDialog 对象的 SelectedItems 属性返回一个 FileDialogSelectedItems 集合。本示例显示一个“文件选取器”对话框，并在消息框中显示每个选定的文件。

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

         'Allow the selection of multiple file.
        .AllowMultiSelect = True

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'The user pressed the action button.
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next vrtSelectedItem
        'The user pressed Cancel.
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


FileSearch 对象

FileSearch
多个对象

本主题中的某些内容可能不适用于某些语言。

代表“文件”菜单中“打开”对话框的功能。

使用 FileSearch 对象

用 FileSearch 属性可返回 FileSearch 对象。以下示例可实现：查找指定文件并显示找到的文件数及每个找到的文件的标题。

With Application.FileSearch
    If .Execute() > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
            " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With

用 NewSearch 方法可将搜索条件重新设置为默认设置。所有属性值在每次搜索过程后仍然保持不变，用 NewSearch 方法可有选择地为下一次文件搜索过程设置属性，而无须手动重新设置原先的属性值。以下示例可实现：在开始新的一轮搜索之前将搜索条件重新设置为默认设置。

With Application.FileSearch
    .NewSearch
    .LookIn = "C:\My Documents"
    .SearchSubFolders = True
    .FileName = "Run"
    .MatchTextExactly = True
    .FileType = msoFileTypeAllFiles
End With


FileTypes 集合

FileSearch
FileTypes

msoFileType 类型值的集合，决定 FileSearch 对象的 Execute 方法返回的文件类型。

使用 FileTypes 集合

使用 FileSearch 对象的 FileTypes 属性返回一个 FileTypes 集合。例如：

Set ft = Application.FileSearch.FileTypes

注释 FileSearch 对象的 FileType 属性清除 FileTypes 集合，并将集合中的第一项设置为 FileType 属性定义的文件类型。

所有搜索只有一个 FileTypes 集合，因此在执行搜索之前清除 FileTypes 集合很重要，除非希望搜索上次搜索的文件类型。清除集合的最简便方法是将 FileType 属性设置为要搜索的第一种文件类型。还可以使用 Remove 方法删除单个类型。要确定集合中每项的文件类型，请使用 Item 方法返回 msoFileType 值。

本示例搜索 C:\ 驱动器上的所有 HTML 和 Microsoft Excel 文件。

Sub SearchForFiles()

    'Declare a variable to act as a generic counter
    Dim lngCount As Long

    'Use a With...End With block to reference the
    'FileSearch object
    With Application.FileSearch

        'Clear all the parameters of the previous searches.
        'This method doesn't clear the LookIn property or
        'the SearchFolders collection.
        .NewSearch

        'Setting the FileType property clears the
        'FileTypes collection and sets the first
        'item in the collection to the file type
        'defined by the FileType property.
        .FileType = msoFileTypeWebPages

        'Add a second item to the FileTypes collection
        .FileTypes.Add msoFileTypeExcelWorkbooks

        'Display the number of FileTypes in the collection.
        MsgBox "You are about to search for " & .FileTypes.Count & _
            " file types."

        'Set up the search to look in all subfolders on the C:\ drive.
        .LookIn = "C:\"
        .SearchSubFolders = True

        'Execute the search and test to see if any files
        'were found.
        If .Execute <> 0 Then

            'Display the number of files found.
            MsgBox "Files found: " & .FoundFiles.Count

            'Loop through the list of found files and
            'display the path of each one in a message box.
            For lngCount = 1 To .FoundFiles.Count
                If MsgBox(.FoundFiles.Item(lngCount), vbOKCancel, _
                    "Found files") = vbCancel Then

                    'Break out of the loop
                    lngCount = .FoundFiles.Count

                End If
            Next lngCount
        Else
            MsgBox "No files found."
        End If
    End With
End Sub

本示例在 FileTypes 集合中循环，并删除所有非 Microsoft Word 或 Microsoft Excel 文件的文件类型（通常，清除 FileTypes 集合再从头开始更简便）。

Sub RemoveFileTypeFromCollection()

    'Define an integer to use as a counter
    'when iterating through the FileTypes collection.
    Dim intFileIndex As Integer

    'Use a With...End With block to reference the FileSearch object.
    With Application.FileSearch

        'Loop through all of the items in the FileTypes collection.
        intFileIndex = 1
        Do While intFileIndex <= .FileTypes.Count
            Select Case .FileTypes.Item(intFileIndex)
                Case msoFileTypeWordDocuments, msoFileTypeExcelWorkbooks
                Case Else

                    'If the file type isn't a Microsoft Word or
                    'Microsoft Excel file, remove it.
                    .FileTypes.Remove intFileIndex

                    'Decrement the counter so that no file types are missed.
                    intFileIndex = intFileIndex - 1
            End Select

            'Increment the counter to test the next file type.
            intFileIndex = intFileIndex + 1
        Loop

    End With
End Sub


FoundFiles 对象

FileSearch
PropertyTests (PropertyTest)
FoundFiles

代表由文件查找过程返回的文件列表。

使用 FoundFiles 对象

用 FoundFiles 属性可返回 FoundFiles 对象。本示例可实现：逐个查看找到的文件列表中的文件并显示其中每个文件的文件名和路径。用 FoundFiles(index) 可返回查找过程中指定文件的名称和位置，此处的 index 是该文件的索引号。

With Application.FileSearch
    For i = 1 To .FoundFiles.Count
        MsgBox .FoundFiles(i)
    Next I
End With

用 Execute 方法可开始文件查找过程，并更新 FoundFiles 对象。以下示例可实现：在“My Documents”文件夹中查找所有文件名以“Cmd”开头的文件，并显示找到的每个文件的位置和文件名。该示例还可实现：对返回的文件按文件名的字母升序排序。

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .FileName = "cmd*"
    If .Execute(SortBy:=msoSortbyFileName, _
    SortOrder:=msoSortOrderAscending) > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
            " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With


HTMLProject 对象

HTMLProject
HTMLProjectItems (HTMLProjectItem)

与在“Microsoft 脚本编辑器”的“工程资源管理器”中的作用一样，该对象代表最高一层的工程分支。

使用 HTMLProject 对象

用 HTMLProject 对象的 Open 方法在“Microsoft 脚本编辑器”中打开 HTML 工程。对于 Microsoft Word 文档、Excel 工作簿或 PowerPoint 演示文稿，该工程在源代码视图或文本视图中打开。以下示例在源代码视图中打开活动 Word 文档中的 HTML 工程。

ActiveDocument.HTMLProject.Open (msoHTMLProjectOpenSourceView)

用 HTMLProjectItems 属性返回 HTML 工程中 HTMLProjectItem 对象的集合。用 RefreshDocument 方法刷新宿主应用程序中的 HTML 文档。用 RefreshProject 方法刷新“Microsoft 脚本编辑器”中的工程。用 State 方法判断该 HTML 工程是否需要刷新。


HTMLProjectItem 对象

HTMLProject
HTMLProjectItems (HTMLProjectItem)

代表一个单独的工程项，该工程项是“Microsoft 脚本编辑器”中“工程资源管理器”的一个工程项分支。HTMLProjectItem 对象是 HTMLProjectItems 集合的一个成员。

使用 HTMLProjectItem 对象

用 HTMLProjectItems(index)，返回一个 HTMLProjectItem 对象，其中 index 是工程项的索引号或名称。用 Name 属性返回工程项的显示名称。以下示例返回活动文档的 HTMLProjectItems 集合中第一个工程项的名称。

MsgBox "The first item is " & _
    ActiveDocument.HTMLProject.HTMLProjectItems(1).Name

用 Open 方法在源代码视图或文字视图中打开工程项，用 IsOpen 属性来判断工程项当前是否处于打开状态。以下示例在默认视图中打开活动文档中的工程项“ItemOne”，然后用消息框显示是否成功地打开了该工程项。

ActiveDocument.HTMLProject.HTMLProjectItems("ItemOne").Open
If ActiveDocument.HTMLProject. _
        HTMLProjectItems("ItemOne").IsOpen Then
MsgBox "Opened project item " & ActiveDocument.HTMLProject.HTMLProjectItems("ItemOne").Name
End If

用 SaveCopyAs 方法来以新文件名保存工程项。以下示例将工程项“ItemOne”另存为“NewItem”。

ActiveDocument.HTMLProject.HTMLProjectItems("ItemOne") _
    .Open (msoHTMLProjectOpenTextView)
ActiveDocument.HTMLProject.HTMLProjectItems("ItemOne") _
    .SaveCopyAs("C:\NewItem.txt")

Assuming that the text file C:\NewText.txt exists, the following 示例 uses the LoadFromFile property to set the text of ItemOne to the text contained in the file. The following 示例 uses the Text property to display the new text in a message box.

MsgBox ActiveDocument.HTMLProject.HTMLProjectItems _
    ("ItemOne").Text
ActiveDocument.HTMLProject.HTMLProjectItems _
    ("ItemOne").LoadFromFile("C:\NewText.txt")
MsgBox ActiveDocument.HTMLProject.HTMLProjectItems _
    ("ItemOne").Text


HTMLProjectItems 集合对象

HTMLProject
HTMLProjectItems (HTMLProjectItem)

HTMLProjectItem 对象的集合，它代表包含于 HTMLProject 对象中的 HTML 工程项。

使用 HTMLProjectItems 集合

用 HTMLProject 对象的 HTMLProjectItems 属性返回 HTMLProjectItems 集合。用 HTMLProjectItems 集合的 Count 属性返回指定文档的 HTML 工程中的 HTML 工程项数。用 HTMLProjectItems 集合的 Item 方法返回单独的工程项。以下示例返回活动文档的 HTMLProjectItems 集合中第一个工程项的名称。

MsgBox "The first item is " & _
    ActiveDocument.HTMLProject.HTMLProjectItems(1).Name


LanguageSettings 对象

LanguageSettings

返回 Microsoft Office 应用程序中有关语言设置的信息。

使用 LanguageSettings 对象

使用 Application.LanguageSettings.LanguageID（MsoAppLanguageID），此处 MsoAppLanguageID 是一个用于将地区标识符 (LCID) 信息返回到指定应用程序的常量。

MsoAppLanguageID 可为以下 MsoAppLanguageID 常量之一：
msoLanguageIDExeMode
msoLanguageIDHelp
msoLanguageIDInstall
msoLanguageIDUI
msoLanguageIDUIPrevious

以下示例在消息框中显示安装语言、用户界面语言和帮助语言的 LCID。

MsgBox "The following locale IDs are registered " & _
    "for this application: Install Language - " & _
    Application.LanguageSettings.LanguageID(msoLanguageIDInstall) & _
    " User Interface Language - " & _
    Application.LanguageSettings.LanguageID(msoLanguageIDUI) & _
    " Help Language - " & _
    Application.LanguageSettings.LanguageID(msoLanguageIDHelp)

如下例所示，可用 Application.LanguageSettings.LanguagePreferredForEditing 来判断哪些 LCID 被注册为应用程序的首选编辑语言。

If Application.LanguageSettings. _
    LanguagePreferredForEditing(msoLanguageIDEnglishUS) Then
    MsgBox "U.S. English is one of the chosen editing languagess."
End If


MsoEnvelope 对象

MsoEnvelope
CommandBars

提供直接从 Microsoft Office 应用程序以邮件发送文档的功能。

使用 MsoEnvelope 对象

使用 Document 对象、Chart 对象或 Worksheet 对象（取决于使用的应用程序）的 MailEnvelope 属性返回一个 MsoEnvelope 对象。

本示例将活动的 Microsoft Word 文档以电子邮件发送到传递给子例程的电子邮件地址。

Sub SendMail(ByVal strRecipient As String)

    'Use a With...End With block to reference the MsoEnvelope object.
    With Application.ActiveDocument.MailEnvelope

        'Add some introductory text before the body of the e-mail.
        .Introduction = "Please read this and send me your comments."

        'Return a Microsoft Outlook MailItem object that
        'you can use to send the document.
        With .Item

            'All of the mail item settings are saved with the document.
            'When you add a recipient to the Recipients collection
            'or change other properties, these settings will persist.
            .Recipients.Add strRecipient
            .Subject = "Here is the document."

            'The body of this message will be
            'the content of the active document.
            .Send
        End With
    End With
End Sub


NewFile 对象

NewFile

NewFile 对象表示很多 Microsoft Office 应用程序中“新建项”任务窗格上列出的项。下表列出了在每个应用程序中用于访问 NewFile 对象的属性。

应用程序 | 属性
Microsoft Access | NewFileTaskPane
Microsoft Excel | NewWorkbook
Microsoft FrontPage | NewPageOrWeb
Microsoft PowerPoint | NewPresentation
Microsoft Word | NewDocument

注释 下面示例适用于 Word，但是可以将 NewDocument 属性更改为上面所列的任何属性并在相应的应用程序中使用该代码。

使用 NewFile 对象

使用 Add 方法在“新建项”任务窗格中添加新项。本示例在 Word 的“新建文档”窗格中添加一项。

Sub AddNewDocToTaskPane()
    Application.NewDocument.Add FileName:="C:\NewDocument.doc", _
        Section:=msoNew, DisplayName:="New Document"
    CommandBars("Task Pane").Visible = True
End Sub

使用 Remove 方法从“新建项”任务窗格中删除一项。本示例从 Word 的“新建文档”任务窗格中删除上面示例添加的文档。

Sub RemoveDocFromTaskPane()
    Application.NewDocument.Remove FileName:="C:\NewDocument.doc", _
        Section:=msoNew, DisplayName:="New Document"
    CommandBars("Task Pane").Visible = True
End Sub


ODSOColumn 对象

ODSOColumns
ODSOColumn

表示数据源中的域。ODSOColumn 对象为 ODSOColumns 集合的成员。ODSOColumns 集合包括邮件合并数据源中的所有数据域（例如，名字、地址和城市）。

使用 ODSOColumn 对象

使用 Columns(index) 返回单个 ODSOColumn 对象，其中 index 为数据域名称或索引号。索引号表示数据域在邮件合并数据源中的位置。本示例检索附加到活动发布内容的数据源中第一条记录的第一个域名和值。

Sub GetDataFromSource()

    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Columns
        MsgBox "Field Name: " & .Item(1).Name & vbLf & _
            "Value: " & .Item(1).Value
    End With
End Sub

说明

不能向 ODSOColumns 集合添加域。ODSOColumns 集合自动包括数据源中的所有数据域。


ODSOColumns 对象

OfficeDataSourceObject
ODSOColumns
ODSOColumn

表示邮件合并数据源中数据域的 ODSOColumn 对象的集合。

使用 ODSOColumns 对象

使用 Columns 属性返回 ODSOColumns 集合。本示例显示附加到活动应用程序的数据源中的域名。

Sub ShowFieldNames()
    Dim appOffice As OfficeDataSourceObject
    Dim intCount As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Columns
        For intCount = 1 To .Count
            MsgBox "Column Name: " & .Item(intCount).Name
        Next
    End With
End Sub

使用 Columns(index) 返回单个 ODSOColumn 对象，其中 index 为数据域名称或索引号。索引号表示数据域在邮件合并数据源中的位置。本示例检索附加到活动发布内容的数据源中的第一个域名和 FirstName 域的第一条记录值。

Sub GetDataFromSource()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Columns
        MsgBox "Field Name: " & .Columns(1).Name & _
            "Value: " & .Columns("FirstName").Value
    End With
End Sub


ODSOFilter 对象

ODSOFilters
ODSOFilter

表示应用于附加的邮件合并数据源的筛选。ODSOFilter 对象为 ODSOFilters 对象的成员。

使用 ODSOFilter 对象

每个筛选为查询字符串中的一行。使用 Column、Comparison、CompareTo 和 Conjunction 属性返回或设置数据源查询条件。本示例更改已有筛选，从邮件合并中删除所有 Region 域不等于 "WA" 的记录。

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "Or" Then .Conjunction = "And"
                End If
            End With
        Next intItem
    End With
End Sub

使用 ODSOFilters 对象的 Add 方法在查询中新添一个筛选条件。本示例在查询字符串中添加一行，然后将合并的筛选应用于数据源。

Sub SetQueryCriterion()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        .Add Column:="Region", _
            Comparison:=msoFilterComparisonIsBlank, _
            Conjunction:=msoFilterConjunctionAnd
        .ApplyFilter
    End With
End Sub


ODSOFilters 对象

OfficeDataSourceObject
ODSOFilters
ODSOFilter

表示应用于附加到邮件合并发布内容的数据源的所有筛选。ODSOFilters 对象由 ODSOFilter 对象组成。

使用 ODSOFilters 对象

使用 ODSOFilters 对象的 Add 方法在查询中新添一个筛选条件。本示例在查询字符串中添加一行，然后将合并的筛选应用于数据源。

Sub SetQueryCriterion()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        .Add Column:="Region", _
            Comparison:=msoFilterComparisonIsBlank, _
            Conjunction:=msoFilterConjunctionAnd
        .ApplyFilter
    End With
End Sub

使用 Item 方法访问单个筛选条件。本示例在所有筛选条件中循环，如果找到具有 "Region" 的条件，则将其更改为从邮件合并中删除所有不等于 "WA" 的记录。

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "Or" Then .Conjunction = "And"
                End If
            End With
        Next intItem
    End With
End Sub


OfficeDataSourceObject 对象

OfficeDataSourceObject
多个对象

表示邮件合并操作中的邮件合并数据源。

使用 OfficeDataSourceObject 对象

要使用 OfficeDataSourceObject 对象，请声明一个 OfficeDataSourceObject 对象的变量。然后即可使用该对象相关的不同属性和方法。使用 SetSortOrder 方法指定如何排序数据源中的记录。本示例首先对数据源按邮政编码降序排序，然后再按姓名升序排序。

Sub SetDataSortOrder()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    appOffice.SetSortOrder SortField1:="ZipCode", _
        SortAscending1:=False, SortField2:="LastName", _
        SortField3:="FirstName"
End Sub

使用 Column, Comparison、CompareTo 和 Conjunction 属性返回或设置数据源查询条件。本示例更改已有筛选，从邮件合并中删除所有 Region 域不等于 "WA" 的记录。

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "Or" Then .Conjunction = "And"
                End If
            End With
        Next intItem
    End With
End Sub


PropertyTest 对象

FileSearch
PropertyTests (PropertyTest)
FoundFiles

代表一个单一的文件搜索条件。搜索条件列在“查找”对话框中（单击“文件”菜单中的“打开”命令，单击“查找”按钮）。PropertyTest 对象是 PropertyTests 集合中的成员。

使用 PropertyTest 对象

用 PropertyTests(index) 可返回一个 PropertyTest 对象；此处 index 是该对象的索引号。以下示例显示 PropertyTests 集合中第一个属性测试的所有搜索条件。

With Application.FileSearch.PropertyTests(1)
myString = "This is the search criteria: " _
    & " The name is: " & .Name & ". The condition is: " _
    & .Condition
If .Value <> "" Then
    myString = myString & ". The value is: " & .Value
    If .SecondValue <> "" Then
        myString = myString _
            & ". The second value is: " _
            & .SecondValue & ", and the connector is" _
            & .Connector
    End If
End If
MsgBox myString
End With


PropertyTests 集合对象

FileSearch
PropertyTests (PropertyTest)
FoundFiles

代表一个文件搜索条件。搜索条件列在“查找”对话框中（单击“文件”菜单中的“打开”命令，然后单击“查找”按钮）。PropertyTest 对象是 PropertyTests 集合中的成员。

使用 PropertyTest 对象

用 PropertyTests 属性可返回一个 PropertyTests 对象。以下示例显示查找单个文件的“查找”的搜索条件数。

Application.FileSearch.PropertyTests.Count

用 Add 方法向 PropertyTests 集合中添加一个新的 PropertyTest 对象。以下示例向搜索条件中添加两个属性测试。第一个条件指定查找任意类型的文件，第二个条件指定该文件应是在 1996 年 1 月 1 日至 1996 年 6 月 30 日之间修改的。然后，在消息框中显示找到的文件数和每个文件的名称。

Set fs = Application.FileSearch
fs.NewSearch
 With fs.PropertyTests
    .Add Name:="Files of Type", _
        Condition:=msoConditionFileTypeAllFiles, _
        Connector:=msoConnectorOr
    .Add Name:="Last Modified", _
        Condition:=msoConditionAnytimeBetween, _
        Value:="1/1/96", SecondValue:="6/1/96", _
        Connector:=msoConnectorAnd
 End With
    If fs.Execute() > 0 Then
        MsgBox "There were " & fs.FoundFiles.Count & _
            " file(s) found."
        For i = 1 To fs.FoundFiles.Count
            MsgBox fs.FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If

用 PropertyTests(index) 可返回一个 PropertyTest 对象；此处 index 是该对象的索引号。以下示例显示 PropertyTests 集合中第一个属性测试的所有搜索条件。

With Application.FileSearch.PropertyTests(1)
myString = "This is the search criteria: " _
    & " The name is: " & .Name & ". The condition is: " _
    & .Condition
If .Value <> "" Then
    myString = myString & ". The value is: " & .Value
    If .SecondValue <> "" Then
        myString = myString _
            & ". The second value is: " _
            & .SecondValue & ", and the connector is" _
            & .Connector
    End If
End If
MsgBox myString
End With


ScopeFolder 对象

多个对象
ScopeFolder
ScopeFolders

对应于一个可搜索的文件夹。ScopeFolder 对象将用于 SearchFolders 集合。SearchFolders 集合定义使用 FileSearch 对象时搜索的文件夹。如果要搜索指定文件夹，可以使用 SearchScope 对象和 ScopeFolders 集合的属性和方法检索 ScopeFolder 对象并添加到 SearchFolders 集合。

使用 ScopeFolder 对象

使用 SearchScope 对象的 ScopeFolder 属性返回搜索范围的根 ScopeFolder 对象，例如：

Set sf = Application.FileSearch.SearchScopes.Item(1).ScopeFolder

使用 ScopeFolders 集合的 Item 方法返回根 ScopeFolder 对象的子文件夹，例如：

Set sf = Application.FileSearch.SearchScopes.Item(1).ScopeFolder.ScopeFolders.Item(1)

使用 SearchFolders 集合的 Item 方法返回下次调用 FileSearch 对象的 Execute 方法时将要搜索的文件夹，例如：

Set sf = Application.FileSearch.SearchFolders.Item(1)

每个 ScopeFolder 对象中具有一个包含父 ScopeFolder 对象的子文件夹的 ScopeFolders 集合。在 ScopeFolders 集合中循环并返回所有较低级别的 ScopeFolder 对象，可以浏览搜索范围（例如，所有驱动器）的整个文件夹结构。没有子文件夹的 ScopeFolder 对象包含一个空 ScopeFolders 集合。

有关演示如何在搜索范围的所有 ScopeFolder 对象中循环的示例，请参阅 SearchFolders 集合的主题。

可以使用 SearchFolders 集合的 Add 方法向 SearchFolders 集合中添加 ScopeFolder 对象，但是使用要添加的 ScopeFolder 对象的 AddToSearchFolders 方法更为简便，因为对于所有搜索只有一个 SearchFolders 集合。

有关演示如何向 SearchFolders 集合中添加 ScopeFolder 对象的示例，请参阅 SearchFolders 集合的主题。

本示例显示“我的电脑”中每个目录的根路径。为了检索该信息，本示例首先获得“我的电脑”根目录下的 ScopeFolder 对象。该 ScopeFolder 的路径将总是 "*"。对于所有 ScopeFolder 对象，根对象包含一个 ScopeFolders 集合。本示例在该 ScopeFolders 集合中循环，并显示其中每个 ScopeFolder 对象的路径。这些 ScopeFolder 对象的路径将为 "A:\"、"C:\" 等等。

Sub DisplayRootScopeFolders()

    'Declare variables that reference a
    'SearchScope and a ScopeFolder object.
    Dim ss As SearchScope
    Dim sf As ScopeFolder

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Loop through the SearchScopes collection
        'and display all of the root ScopeFolders collections in
        'the My Computer scope.
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer

                    'Loop through each ScopeFolder object in
                    'the ScopeFolders collection of the
                    'SearchScope object and display the path.
                    For Each sf In ss.ScopeFolder.ScopeFolders
                        MsgBox "ScopeFolder object's path: " & sf.Path
                    Next sf

                Case Else
            End Select
        Next
    End With
End Sub


ScopeFolders 集合

ScopeFolder
ScopeFolders
ScopeFolder

ScopeFolder 对象的集合。只有 ScopeFolder 对象包含 ScopeFolders 集合。每个 ScopeFolders 集合包含对应于父 ScopeFolder 对象的子文件夹的 ScopeFolder 对象。

使用 ScopeFolders 集合

使用 ScopeFolder 对象的 ScopeFolders 属性返回 ScopeFolders 集合。

Dim sfs as ScopeFolders
Set sfs = Application.FileSearch.SearchScopes.Item(1).ScopeFolder.ScopeFolders

不能向 ScopeFolders 集合添加或从中删除 ScopeFolder 对象。


Script 对象

Scripts (Script)

代表 Microsoft Word 文档、Microsoft Excel 电子表格或 Microsoft PowerPoint 幻灯片中的一段 HTML 脚本。Script 对象是 Scripts 集合的成员。

使用 Script 对象

用 Scripts.Item(index) 可返回一个 Script 对象，其中 index 是脚本的名称、ID 或索引号。每个 Script 对象都由 Id 属性所标识，该属性为访问脚本提供了一个易于使用的名称。以下示例向活动文档的 Scripts 集合添加一个脚本，并显示索引值为 1 的脚本的 ID。

myScript = ActiveDocument.Scripts.Add( _
    , msoScriptLocationInBody, _
    msoScriptLanguageVisualBasic, _
    "ScriptOne", , _
    "MsgBox (""This is ScriptOne. "")")
MsgBox (ActiveDocument.Scripts(1).Id)

可通过更改 Language 属性指定用于编写脚本的语言。以下示例将脚本“ScriptOne”的编写语言更改为“Active Server Page（ASP）”。

ActiveDocument.Scripts.Item("ScriptOne") _
    .Language = msoScriptLanguageASP

可通过 Location 属性检查 HTML 文档中相应的脚本标记图形的位置。以下示例将判断脚本“ScriptOne”是否位于活动 HTML 文档的正文中。

If ActiveDocument.Scripts("ScriptOne").Location = _
    msoScriptLocationInBody Then
    MsgBox ("Script is in the HTML document body.")
Else
    MsgBox ("Script is located in the header. ")
End If

可通过 Extended 属性检查或设置添加到 <SCRIPT> 标记的属性（LANGUAGE 和 ID 属性例外）。以下示例检查活动文档中第一个脚本的附加属性。

If ActiveDocument.Scripts(1).Extended = "" Then
    MsgBox ("No additional attributes are present " & _
    "in Script " &
     ActiveDocument.Scripts(1).Id)

可用 ScriptText 属性检查或设置与给定脚本相关的脚本文字。以下示例在一个消息框中显示与活动文档中的第一个脚本相关的脚本文字。

MsgBox (ActiveDocument.Scripts("ScriptOne").ScriptText)


Scripts 集合对象

Scripts (Script)

Script 对象的集合，它代表指定文档中的 HTML 脚本的集合。

使用 Scripts 集合

Scripts 集合包含了指定文档中所有的 Script 对象，它们在该集合中按源顺序（即将 Script 对象添加到源文件中的顺序）排列。源顺序不受脚本在文档中的位置（页眉或正文）的影响。可用 Script 对象访问脚本，或向 Microsoft Word 文档、Microsoft Excel 工作表或 Microsoft PowerPoint 幻灯片中添加脚本。也可用 Scripts 集合访问在 Microsoft Office 应用程序中打开的任何 HTML 页或脚本。

注意 Microsoft Access 不使用这一共享的 Office 组件。

添加 Script 对象

在向 Scripts 集合中添加 Script 对象时，一个 msoScriptAnchor 类型的 Shape 对象会被自动添加到该文档中。在 Excel 工作表或 PowerPoint 幻灯片中，该对象会被添加到 Shapes 集合中；在 Word 文档中，该对象会被添加到 InlineShapes 集合中。可通过 Add 方法向文档中添加一个 Script 对象。以下示例向活动 Word 文档添加一个简单的脚本。

myScript = ActiveDocument.Scripts.Add( _
    , msoScriptLocationInBody, _
    msoScriptLanguageVisualBasic, _
    "ScriptOne", , _
    "MsgBox ""This is ScriptOne.""")

若要访问 Scripts 集合中的特定项，请用 Item 方法，并提供 <SCRIPT> 标记的 ID 属性或标识脚本在集合中的位置的索引号。该 ID 属性在文档中必须唯一。如果 ID 属性不唯一，则返回找到的第一个具有该 ID 的脚本。以下示例在一个消息框中显示找到的第一个以 "ScriptOne" 为 ID 的脚本的语言。

MsgBox (ActiveDocument.Scripts.Item("ScriptOne").Language)

用 Count 属性判断指定文档中 Script 对象的个数。以下示例显示活动文档中脚本的个数。

If ActiveDocument.Scripts.Count = 0 Then
    MsgBox ("There are no " & _
    "scripts in this document. ")
End If
If ActiveDocument.Scripts.Count = 1 Then
    MsgBox ("There is " & _
    ActiveDocument.Scripts.Count & _
    " script in this document. ")
End If
If ActiveDocument.Scripts.Count > 1 Then
    MsgBox ("There are " & _
    ActiveDocument.Scripts.Count & _
    " scripts in this document. ")
End If

如下例所示，可以用 Delete 方法从 Scripts 集合中删除一个脚本。

ActiveDocument.Scripts("ScriptOne").Delete


SearchFolders 集合

FileSearch
SearchFolders
ScopeFolder

ScopeFolder 对象的集合，这些对象确定调用 FileSearch 对象的 Execute 方法时搜索的文件夹。

使用 SearchFolders 集合

使用 FileSearch 对象的 SearchFolders 属性返回 SearchFolders 集合，例如：

Set sfs = Application.FileSearch.SearchFolders

对于每个应用程序只有一个 SearchFolders 集合。集合的内容在调用它的代码执行结束后保持不变。因此，清除集合很重要，除非要在搜索中包括上一次搜索的文件夹。

可以使用 SearchFolders 集合的 Add 方法向 SearchFolders 集合中添加 ScopeFolder 对象，但是使用要添加的 ScopeFolder 对象的 AddToSearchFolders 方法更为简便，因为对于所有搜索只有一个 SearchFolders 集合。

SearchFolders 集合可视为对 FileSearch 对象的 LookIn 属性的补充。二者均指定搜索的文件夹并在执行搜索时使用。但是，如果只希望使用 LookIn 属性，应确保 SearchFolders 集合为空。相反，如果只希望使用 SearchFolders 集合，请在 Execute 方法之前将 LookIn 属性设置为 SearchFolders 集合第一个成员的路径。

本示例搜索本地计算机上每个名为 "1033" 的文件夹，查找所有 HTML 和 Microsoft Excel 文件。本示例使用 SearchFolders 集合、SearchScopes 集合和 ScopeFolders 集合。

本示例由两个例程组成。SearchEveryFolder 例程为要运行的例程。OutputPaths 例程独立于主例程，因为它将递归调用自身以浏览本地计算机的整个目录结构。

Sub SearchEveryFolder()

    'Declare variables that reference a
    'SearchScope and a ScopeFolder object.
    Dim ss As SearchScope
    Dim sf As ScopeFolder

    'Declare a variable to act as a generic counter.
    Dim lngCount As Long

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Clear all the parameters of the previous searches.
        'This method doesn't clear the LookIn property or
        'the SearchFolders collection.
        .NewSearch

        'Specify the type of file for which to search.
        'Use the FileType property to specify the first type
        'and then add additional types to the FileTypes collection.
        .FileType = msoFileTypeWebPages
        .FileTypes.Add msoFileTypeExcelWorkbooks

        'Clear the SearchFolder collection by
        'looping through each ScopeFolder object
        'and removing it.
        For lngCount = 1 To .SearchFolders.Count
            .SearchFolders.Remove lngCount
        Next lngCount

        'Loop through the SearchScopes collection to find
        'the scope in which you want to search. In this
        'case the scope is the local machine.
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer

                    'Loop through each ScopeFolder in
                    'the ScopeFolders collection of the
                    'SearchScope object.
                    For Each sf In ss.ScopeFolder.ScopeFolders

                        'Call a function that loops through all
                        'of the subfolders of the root ScopeFolder.
                        'This function adds any folders named "1033" to the
                        'SearchFolders collection.
                        Call OutputPaths(sf.ScopeFolders, "1033")

                    Next sf
                Case Else
            End Select
        Next ss

        'Test to see if any ScopeFolders collections were added to
        'the SearchFolders collection.
        If .SearchFolders.Count > 0 Then

            'Set the LookIn property to the path of
            'the first ScopeFolder object in the SearchFolders
            'collection. This is here so that any previous
            'setting of the LookIn property doesn't affect
            'the search.
            .LookIn = .SearchFolders.Item(1).Path

            'Execute the search and test to see if any files
            'were found.
            If .Execute <> 0 Then

                'Display the number of files found.
                MsgBox "Files found: " & .FoundFiles.Count

                'Loop through the list of found files and
                'display the path of each one in a message box.
                For lngCount = 1 To .FoundFiles.Count
                    If MsgBox(.FoundFiles.Item(lngCount), vbOKCancel, _
                        "Found files") = vbCancel Then
                        'Break out of the loop
                        lngCount = .FoundFiles.Count

                    End If
                Next lngCount
            End If
        End If
    End With
End Sub

'This subroutine loops through all of the ScopeFolders collections
'in a given ScopeFolders collection. It adds any folder
'that has the same name as the value of strFolder
'to the SearchFolders collection.
Sub OutputPaths(ByVal sfs As ScopeFolders, _
    ByRef strFolder As String)

    'Declare a variable as a ScopeFolder object
    Dim sf As ScopeFolder

    'Loop through each ScopeFolder object in the
    'ScopeFolders collection.
    For Each sf In sfs

        'Test to see if the folder name of the ScopeFolder
        'matches the value of strFolder. Use LCase to ensure
        'that case does not affect the match.
        If LCase(sf.Name) = LCase(strFolder) Then

            'Add the ScopeFolder to the SearchFolders collection.
            sf.AddToSearchFolders

        End If

        'Include a DoEvents call because there is the potential for this
        'loop to last a long time. The DoEvents call allows this process to
        'continue handling events.
        DoEvents

        'Test to see if the ScopeFolders collection in the
        'current ScopeFolder is empty. If it isn't empty, then
        'that means that the current ScopeFolder object contains subfolders.
        If sf.ScopeFolders.Count > 0 Then

            'This subroutine recursively calls itself so that
            'it can add the subfolders of the current ScopeFolder object
            'to the SearchFolders collection.
            Call OutputPaths(sf.ScopeFolders, strFolder)

        End If
    Next sf
End Sub


SearchScope 对象

SearchScopes
SearchScope
ScopeFolder

对应于可使用 FileSearch 对象搜索的文件夹树的类型。例如，该计算机上的本地驱动器表示一个搜索范围。网络文件夹和 Microsoft Outlook 文件夹也可能是可用的独立搜索范围。每个 SearchScope 对象包含一个 ScopeFolder 对象，对应于搜索范围的根文件夹。

使用 SearchScope 对象

使用 SearchScopes 集合的 Item 方法返回 SearchScope 对象，例如：

Dim ss As SearchScope
Set ss = Application.FileSearch.SearchScopes.Item(1)

最终，SearchScope 对象要提供对可添加到 SearchFolders 集合的 ScopeFolder 对象的访问。有关演示如何实现的示例，请参阅 SearchFolders 集合的主题。

请参阅 ScopeFolder 对象的主题查阅如何从 SearchScope 对象返回 ScopeFolder 对象的简单示例。

本示例显示所有当前可用的 SearchScope 对象。

Sub DisplayAvailableScopes()

    'Declare a variable that references a
    'SearchScope object.
    Dim ss As SearchScope

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Loop through the SearchScopes collection.
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer
                    MsgBox "My Computer is an available search scope."
                Case msoSearchInMyNetworkPlaces
                    MsgBox "My Network Places is an available search scope."
                Case msoSearchInOutlook
                    MsgBox "Outlook is an available search scope."
                Case msoSearchInCustom
                    MsgBox "A custom search scope is available."
                Case Else
                    MsgBox "Can't determine search scope."
            End Select
        Next ss
    End With
End Sub


SearchScopes 集合

FileSearch
SearchScopes
SearchScope

SearchScope 对象的集合。

使用 SearchScopes 集合

使用 FileSearch 对象的 SearchScopes 属性返回 SearchScopes 集合，例如：

Dim sss As SearchScopes
Set sss = Application.FileSearch.SearchScopes

不能向 SearchScopes 集合中添加或从中删除 SearchScope 对象。


Signature 对象

SignatureSet
Signature

对应于附加到文档的数字签名。Signature 对象包含于 Document 对象的 SignatureSet 集合之中。

使用 Signature 对象

可以使用 Add 方法向 SignatureSet 集合添加 Signature 对象，并使用 Item 方法返回已有成员。要从 SignatureSet 集合中删除一个 Signature 对象，请使用 Signature 对象的 Delete 方法。

本示例提示用户选择 Microsoft Word 中活动文档的数字签名。要使用本示例，请在 Word 中打开文档，并向该函数传递与“数码证书”对话框中数码证书的“颁发者”和“颁发给”字段相符的证书颁发者名字和证书签署者名字。该函数在将新签名提交到磁盘之前将进行测试以确保用户所选择的数字签名满足指定条件，例如没有过期。

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test several properties before commiting the Signature object to disk.
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "Signed"
        AddSignature = True
    'Otherwise, remove the Signature object from the SignatureSet collection.
    Else
        sig.Delete
        MsgBox "Not signed"
        AddSignature = False
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


SignatureSet 集合

SignatureSet
Signature

对应于附加到文档的数字签名的 Signature 对象的集合。

使用 SignatureSet 集合

使用 Document 对象的 Signatures 属性返回 SignatureSet 集合，例如：

Set sigs = ActiveDocument.Signatures

注释 对文档 SignatureSet 集合的更改并不延续，除非调用 Commit 方法。

可以使用 Add 方法向 SignatureSet 集合添加 Signature 对象，并使用 Item 方法返回已有成员。要从 SignatureSet 集合中删除一个 Signature 对象，请使用 Signature 对象的 Delete 方法。

本示例提示用户选择 Microsoft Word 中活动文档的数字签名。要使用本示例，请在 Word 中打开文档，并向该函数传递与“数码证书”对话框中数码证书的“颁发者”和“颁发给”字段相符的证书颁发者名字和证书签署者名字。该函数在将新签名提交到磁盘之前将进行测试以确保用户所选择的数字签名满足指定条件，例如没有过期。

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test several properties before committing the Signature object to disk.
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "Signed"
        AddSignature = True
    'Otherwise, remove the Signature object from the SignatureSet collection.
    Else
        sig.Delete
        MsgBox "Not signed"
        AddSignature = False
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


WebPageFont 对象

WebPageFonts (WebPageFont)

代表将文本存为某种字符集的 Web 页时所用的默认字体。

使用 WebPageFont 对象

可用 WebPageFont 对象描述任何可用字符集的比例字体、比例字体大小、等宽字体和等宽字体大小。

可支持以下字符集：
msoCharacterSetArabic
msoCharacterSetCyrillic
msoCharacterSetEnglishWesternEuropeanOtherLatinScript
msoCharacterSetGreek
msoCharacterSetHebrew
msoCharacterSetJapanese
msoCharacterSetKorean
msoCharacterSetMultilingualUnicode
msoCharacterSetSimplifiedChinese
msoCharacterSetThai
msoCharacterSetTraditionalChinese
msoCharacterSetVietnamese

以下示例设置 WebPageFont 对象 myFont 的比例字体和比例字体大小。

With myFont
    ProportionalFont = Verdana
    ProportionalFontSize = 14


WebPageFonts 集合对象

WebPageFonts (WebPageFont)

WebPageFont 对象的集合，描述了在文档存为 Web 页时所使用的比例字体、比例字体大小、等宽字体和等宽字体大小。可以为每个可用的字符集指定一套 Web 页字体属性。

使用 WebPageFonts 集合

WebPageFonts 集合为每个字符集包含一个 WebPageFont 对象。

可支持以下字符集：
msoCharacterSetArabic
msoCharacterSetCyrillic
msoCharacterSetEnglishWesternEuropeanOtherLatinScript
msoCharacterSetGreek
msoCharacterSetHebrew
msoCharacterSetJapanese
msoCharacterSetKorean
msoCharacterSetMultilingualUnicode
msoCharacterSetSimplifiedChinese
msoCharacterSetThai
msoCharacterSetTraditionalChinese
msoCharacterSetVietnamese

以下示例利用 Item 属性将 myFont 设置为当前应用程序中的 English/Western European/Other Latin Script 字符集的 WebPageFont 对象。

Dim myFont As WebPageFont
Set myFont = _
  Application.DefaultWebOptions.Fonts.Item_
  (msoCharacterSetEnglishWesternEuropeanOtherLatinScript)


ActivateWizard 方法

本主题中的某些内容可能不适用于某些语言。

在自定义向导期间重新启动或挂起一个“Office 助手”。

注意 此方法只能与 StartWizard 方法一同使用。

expression.ActivateWizard(WizardID, Act, Animation)

expression 必需。该表达式返回一个 Assistant 对象。

WizardID Long 类型，必需。由 StartWizard 方法返回的数字。

Act MsoWizardActType 类型，必需。 指定对“Office 助手”帮助的更改。

MsoWizardActType 可为以下 MsoWizardActType 常量之一：
msoWizardActActive
msoWizardActInactive
msoWizardActResume
msoWizardActSuspend

Animation Variant 类型，必需。“Office 助手”在挂起或恢复时，所使用的动画效果。

示例

本示例可实现的功能为：挂起由 StartWizard 方法启动的“Office 助手”向导会话。变量 helpForWiz 被设置为 StartWizard 方法的返回值。

Assistant.ActivateWizard WizardID:=lHelpForWiz, _
   Act:=msoWizardActSuspend, Animation:=msoAnimationGoodbye


Add 方法

Add 方法应用于 NewFile 对象的情形。

在“新建项”任务窗格中添加新增项。返回 Boolean 类型。如果项添加成功，则返回 True。

expression.Add(FileName, Section, DisplayName, Action)

expression 必需。该表达式返回上面对象之一。

FileName String 类型，必需。添加到任务窗格中文件列表的文件名称。

Section Variant 类型，可选。添加文件的栏。可以为任何 msoFileNewSection 常量。

DisplayName Variant 类型，可选。任务窗格中显示的文本。

Action Variant 类型，可选。当用户单击该项时进行的操作。可以为任何 msoFileNewAction 常量。

Add 方法应用于 CommandBars 对象的情形。

新建一个命令栏并添加到命令栏集合。返回 CommandBar 对象。

expression.Add(Name, Position, MenuBar, Temporary)

expression 必需。该表达式返回一个 CommandBars 对象。

Name Variant 类型，可选。新命令栏的名称。如果忽略该参数，则为命令栏指定默认名称（例如 Custom 1）。

Position Variant 类型，可选。新命令栏的位置或类型。可以为下表所列的 MsoBarPosition 常量之一。

常量 | 说明
msoBarLeft、msoBarTop、msoBarRight 和 msoBarBottom | 指定新命令栏的左侧、顶部、右侧和底部坐标
msoBarFloating | 指定新命令栏不固定
msoBarPopup | 指定新命令栏为快捷菜单
msoBarMenuBar | 仅适用于 Macintosh 机

MenuBar Variant 类型，可选。设置为 True 将以新命令栏替换活动菜单栏。默认值为 False。

Temporary Variant 类型，可选。设置为 True 将使新命令栏为临时命令栏。临时命令栏在关闭容器应用程序时删除。默认值为 False。

Add 方法应用于 CommandBarControls 对象的情形。

新建一个 CommandBarControl 对象并添加到指定命令栏上的控件集合。

expression.Add(Type, Id, Parameter, Before, Temporary)

expression 必需。该表达式返回一个 CommandBarControls 对象。

Type Variant 类型，可选。添加到指定命令栏的控件类型。可以为下列 MsoControlType 常量之一：msoControlButton、msoControlEdit、msoControlDropdown、msoControlComboBox 或 msoControlPopup。

Id Variant 类型，可选。指定内置控件的整数。如果该参数为 1，或者忽略该参数，将在命令栏中添加一个空的指定类型的自定义控件。

Parameter Variant 类型，可选。对于内置控件，该参数用于容器应用程序运行命令。对于自定义控件，可以使用该参数向 Visual Basic 过程传递信息，或用其存储控件信息（类似于第二个 Tag 属性值）。

Before Variant 类型，可选。表示新控件在命令栏上位置的数字。新控件将插入到该位置控件之前。如果忽略该参数，控件将添加到指定命令栏的末端。

Temporary Variant 类型，可选。设置为 True 将使新命令栏为临时命令栏。临时命令栏在关闭容器应用程序时删除。默认值为 False。

Add 方法应用于 DocumentProperties 对象的情形。

新建一个自定义的文档属性。只能在自定义 DocumentProperties 集合中新添文档属性。

expression.Add(Name, LinkToContent, Type, Value, LinkSource)

expression 必需。自定义 DocumentProperties 对象。

Name String 类型，必需。属性的名称。

LinkToContent Boolean 类型，必需。指定属性是否链接到容器文档中的内容。如果参数为 True，则必需设置 LinkSource 参数，如果为 False，则需要数值参数。

Type Variant 类型，可选。属性的数据类型。可以为下列 MsoDocProperties 常量之一：msoPropertyTypeBoolean、msoPropertyTypeDate、msoPropertyTypeFloat、msoPropertyTypeNumber 或 msoPropertyTypeString。

Value Variant 类型，可选。如果没有链接到容器文档中的内容，则为属性的值。数值将进行转换以匹配类型参数指定的数据类型，如果不能转换，将导致错误。如果 LinkToContent 为 True，将忽略 Value 参数，新文档属性将赋予默认值，直到容器应用程序更新链接属性值（通常在保存文档时进行）。

LinkSource Variant 类型，可选。如果 LinkToContent 为 False，则忽略该参数。链接属性的来源。可链接的来源类型由容器应用程序决定。

说明

如果在 DocumentProperties 集合中添加了自定义文档属性，该属性链接到 Microsoft Office 文档中指定的值，则必须保存文档以查看 DocumentProperty 对象的更改。

Add 方法应用于 FileDialogFilters 对象的情形。

在“文件”对话框的“文件类型”下拉列表框的文件筛选中新添一个文件筛选。返回一个表示新添的文件筛选的 FileDialogFilter 对象。

expression.Add(Description, Extensions, Position)

expression 必需。该表达式返回上面对象之一。

Description String 类型，必需。该文本表示添加到筛选列表中的文件扩展名的说明。

Extensions String 类型，必需。该文本表示添加到筛选列表中的文件扩展名。可以指定多个扩展名，每个扩展名必须以分号分隔 (;)。例如，Extensions 参数可以指定为字符串："*.txt; *.htm"。请注意不需要在扩展名两侧添加引号。在说明和扩展名字符串连接到一个文件筛选项时，Office 将自动在扩展名字符串两侧添加引号。

Position Variant 类型，可选。表示新控件在筛选列表中位置的数字。新筛选将插入到该位置的筛选之前。如果忽略该参数，筛选将添加到指定列表的末端。

说明

列表中的每个筛选由两部分组成：文件扩展名（例如 .txt）和文件扩展名的文本说明（例如“文本文件”）。二者相结合，文件筛选将在“文件类型”下拉列表框中显示为：文本文件 (*.txt)。

请注意在向列表添加筛选时，并不更换默认筛选。

筛选仅在选中 Windows 选项时显示。

如果 Position 无效，将显示一个超出范围的运行时出错。如果 Description 和 Extensions 值无效，将显示运行时出错（解析）。

文件夹选取器对话框没有筛选，因此筛选方法不能应用于文件夹选取器。

Add 方法应用于 Scripts 对象的情形。

在下列对象之一的 Scripts 集合中添加 Script 对象：Microsoft Word 中的 Document 或 Range 对象、Microsoft Excel 中的 Worksheet 或 Chart 对象或者 Microsoft PowerPoint 中的 Slide、SlideRange、幻灯片 Master 或标题 Master 对象。返回 Script 对象。

expression.Add(Anchor, Location, Language, Id, Extended, ScriptText)

expression 必需。Scripts 集合。

Anchor Range 类型，可选（仅适用于 Microsoft Excel）。Anchor 参数接受 Excel Range 对象，指定 Excel Worksheet 上脚本定位标记的位置。不能将脚本定位标记插入 Excel 图表。

Location MsoScriptLocation 类型，可选。指定文档中脚本定位标记的位置。如果已经指定了 Anchor 参数，则不使用 Location 参数，Anchor 参数的位置确定脚本定位标记的位置。

MsoScriptLocation 可以为下列 MsoScriptLocation 常量之一。
msoScriptLocationInBody 默认值
msoScriptLocationInHead

Language MsoScriptLanguage 类型，可选。指定脚本语言。

MsoScriptLanguage 可以为下列 MsoScriptLanguage 常量之一。
msoScriptLanguageASP
msoScriptLanguageJava
msoScriptLanguageOther
msoScriptLanguageVisualBasic 默认值

Id String 类型，可选。HTML 中 <SCRIPT> 标记的 ID。Id 参数指定用于命名元素的 SGML 标识符。有效的标识符包括任何以字母开始并由字母和数字字符组成的字符串，字符串还可以包括下划线字符 ( _ )。在 HTML 文档中 ID 必须唯一。该参数以 <SCRIPT> 标记的 ID 属性导出。

Extended String 类型，可选。指定要添加到 <SCRIPT> 标记中的属性（LANGUAGE 和 ID 属性通过 Language 和 Id 参数导出而不应通过 Extended 参数导出）。默认为空字符串。与 HTML 中相同，属性以空格分隔。Microsoft Office 主机应用程序不提供任何方法检查传递的属性语法。

ScriptText String 类型，可选。指定脚本块中包含的文本。默认为空字符串。Microsoft Office 主机应用程序不检查脚本的语法。

说明

与脚本块相关联的图形不能导出或显示为 HTML 中的图形；只导出脚本块。

不能使用 Add 方法在包含多个幻灯片的 PowerPoint 幻灯片区域添加脚本定位标记。

Add 方法应用于 SignatureSet 对象的情形。

返回表示新电子邮件签名的 Signature 对象。

expression.Add

expression 必需。该表达式返回上面对象之一。

Add 方法应用于 ODSOFilters 对象的情形。

在 ODSOFilters 集合中新添一个筛选。

expression.Add(Column, Comparison, Conjunction, bstrCompareTo, DeferUpdate)

expression 必需。该表达式返回上面对象之一。

Column String 类型，必需。数据源中的表名称。

Comparison MsoFilterComparison 类型，必需。表中数据的筛选方式。

MsoFilterComparison 可以为下列 MsoFilterComparison 常量之一。
msoFilterComparisonContains
msoFilterComparisonEqual
msoFilterComparisonGreaterThan
msoFilterComparisonGreaterThanEqual
msoFilterComparisonIsBlank
msoFilterComparisonIsNotBlank
msoFilterComparisonLessThan
msoFilterComparisonLessThanEqual
msoFilterComparisonNotContains
msoFilterComparisonNotEqual

Conjunction MsoFilterConjunction 类型，必需。确定该筛选与 ODSOFilters 对象中其他筛选的关系。

MsoFilterConjunction 可以为下列 MsoFilterConjunction 常量之一。
msoFilterConjunctionAnd
msoFilterConjunctionOr

bstrCompareTo String 类型，可选。如果 Comparison 参数不是 msoFilterComparisonIsBlank 或 msoFilterComparisonIsNotBlank，则表中数据与该字符串进行比较。

DeferUpdate Boolean 类型，可选。默认值为 False。

Add 方法应用于 AnswerWizardFiles 对象的情形。

新建一个对“应答向导”文件的引用（String 值）并添加到 AnswerWizardFiles 集合。

expression.Add(FileName)

expression 必需。该表达式返回一个 AnswerWizardFiles 集合。

FileName String 类型，必需。指定“应答向导”文件的完全合格路径。

Add 方法应用于 FileTypes 对象的情形。

向文件搜索中新添一个文件类型。

expression.Add(FileType)

expression 必需。该表达式返回上面对象之一。

FileType MsoFileType 类型，必需。指定要搜索的文件类型。

MsoFileType 可以为下列 MsoFileType 常量之一。
msoFileTypeAllFiles
msoFileTypeBinders
msoFileTypeCalendarItem
msoFileTypeContactItem
msoFileTypeCustom
msoFileTypeDatabases
msoFileTypeDataConnectionFiles
msoFileTypeDesignerFiles
msoFileTypeDocumentImagingFiles
msoFileTypeExcelWorkbooks
msoFileTypeJournalItem
msoFileTypeMailItem
msoFileTypeNoteItem
msoFileTypeOfficeFiles
msoFileTypeOutlookItems
msoFileTypePhotoDrawFiles
msoFileTypePowerPointPresentations
msoFileTypeProjectFiles
msoFileTypePublisherFiles
msoFileTypeTaskItem
msoFileTypeTemplates
msoFileTypeVisioFiles
msoFileTypeWebPages
msoFileTypeWordDocuments

Add 方法应用于 PropertyTests 对象的情形。

向 PropertyTests 集合中添加 PropertyTest 对象。

expression.Add(Name, Condition, Value, SecondValue, Connector)

expression 必需。该表达式返回一个 PropertyTests 对象。

Name String 类型，必需。属性条件的名称。该名称对应于“查找”对话框“属性”框中的值，该对话框通过应用程序的“打开”对话框（“文件”菜单）的“工具”菜单中打开。

Condition MsoCondition 类型，必需。搜索准则的条件。

MsoCondition 可以为下列 MsoCondition 常量之一。
msoConditionAnyNumberBetween
msoConditionAnytime
msoConditionAnytimeBetween
msoConditionAtLeast
msoConditionAtMost
msoConditionBeginsWith
msoConditionDoesNotEqual
msoConditionEndsWith
msoConditionEquals
msoConditionEqualsCompleted
msoConditionEqualsDeferred
msoConditionEqualsHigh
msoConditionEqualsInProgress
msoConditionEqualsLow
msoConditionEqualsNormal
msoConditionEqualsNotStarted
msoConditionEqualsWaitingForSomeoneElse
msoConditionFileTypeAllFiles
msoConditionFileTypeBinders
msoConditionFileTypeCalendarItem
msoConditionFileTypeContactItem
msoConditionFileTypeDatabases
msoConditionFileTypeDataConnectionFiles
msoConditionFileTypeDesignerFiles
msoConditionFileTypeDocumentImagingFiles
msoConditionFileTypeExcelWorkbooks
msoConditionFileTypeJournalItem
msoConditionFileTypeMailItem
msoConditionFileTypeNoteItem
msoConditionFileTypeOfficeFiles
msoConditionFileTypeOutlookItems
msoConditionFileTypePhotoDrawFiles
msoConditionFileTypePowerPointPresentations
msoConditionFileTypeProjectFiles
msoConditionFileTypePublisherFiles
msoConditionFileTypeTaskItem
msoConditionFileTypeTemplates
msoConditionFileTypeVisioFiles
msoConditionFileTypeWebPages
msoConditionFileTypeWordDocuments
msoConditionFreeText
msoConditionIncludes
msoConditionIncludesFormsOf
msoConditionIncludesNearEachOther
msoConditionIncludesPhrase
msoConditionInTheLast
msoConditionInTheNext
msoConditionIsExactly
msoConditionIsNo
msoConditionIsNot
msoConditionIsYes
msoConditionLastMonth
msoConditionLastWeek
msoConditionLessThan
msoConditionMoreThan
msoConditionNextMonth
msoConditionNextWeek
msoConditionNotEqualToCompleted
msoConditionNotEqualToDeferred
msoConditionNotEqualToHigh
msoConditionNotEqualToInProgress
msoConditionNotEqualToLow
msoConditionNotEqualToNormal
msoConditionNotEqualToNotStarted
msoConditionNotEqualToWaitingForSomeoneElse
msoConditionOn
msoConditionOnOrAfter
msoConditionOnOrBefore
msoConditionThisMonth
msoConditionThisWeek
msoConditionToday
msoConditionTomorrow
msoConditionYesterday

Value Variant 类型，可选。搜索条件的值。

SecondValue Variant 类型，可选。搜索范围的上限值。只能在 Condition 为 msoConditionAnyTimeBetween 或 msoConditionAnyNumberBetween 时使用该参数。

Connector MsoConnector 类型，可选。指定两种搜索的结合方式。

MsoConnector 可以为下列 MsoConnector 常量之一。
msoConnectorAnd 默认值
msoConnectorOr

Add 方法应用于 SearchFolders 对象的情形。

在文件搜索中添加搜索文件夹。

expression.Add(ScopeFolder)

expression 必需。该表达式返回上面对象之一。

ScopeFolder ScopeFolder 对象，必需。要添加到搜索中的文件夹。

示例

应用于 AnswerWizardFiles 对象的情形。

本示例使“应答向导”准备接受一个自定义文件列表，并添加两个自定义“应答向导”文件。首先，本示例清除文件列表，然后添加两个自定义“应答向导”文件并检查文件数量和文件名称，确保正确添加文件。

Dim customAnswerWizard As AnswerWizard
Set customAnswerWizard = Application.AnswerWizard

customAnswerWizard.ClearFileList
customAnswerWizard.Files.Add ("c:\awfiles\custom_1.aw")
customAnswerWizard.Files.Add ("c:\awfiles\custom_2.aw")

If customAnswerWizard.Files.Count = 2 Then
    MsgBox "Files " & customAnswerWizard.Files.Item(1) & _
    " and " & customAnswerWizard.Files(2) & _
    " were added sucessfully."
End If

应用于 CommandBarControls 对象的情形。

本示例创建包含剪切、复制和粘贴按钮（控件）的自定义编辑工具栏。

Dim customBar As CommandBar
Dim newButton As CommandBarButton
Set customBar = CommandBars.Add("Custom")
Set newButton = customBar.Controls _
    .Add(msoControlButton, CommandBars("Edit") _
    .Controls("Cut").Id)
Set newButton = customBar.Controls _
    .Add(msoControlButton, CommandBars("Edit") _
    .Controls("Copy").Id)
Set newButton = customBar.Controls _
    .Add(msoControlButton, CommandBars("Edit") _
    .Controls("Paste").Id)
customBar.Visible = True

应用于 DocumentProperties 对象的情形。

本示例为 Microsoft Word 设计，向 DocumentProperties 集合中添加三个自定义文档属性。

With ActiveDocument.CustomDocumentProperties
    .Add Name:="CustomNumber", _
        LinkToContent:=False, _
        Type:=msoPropertyTypeNumber, _
        Value:=1000
    .Add Name:="CustomString", _
        LinkToContent:=False, _
        Type:=msoPropertyTypeString, _
        Value:="This is a custom property."
    .Add Name:="CustomDate", _
        LinkToContent:=False, _
        Type:=msoPropertyTypeDate, _
        Value:=Date
End With

应用于 PropertyTests 对象的情形。

本示例在搜索条件中添加两个属性测试。第一个测试为文件必须为 Microsoft Word 文档，第二个测试为它们必须在 1996 年 1 月 1 日到 1996 年 6 月 30 日之间进行过修改。本示例还显示消息框显示找到的文件总数和每个文件的名称（如果找到文件）。

Set fs = Application.FileSearch
fs.NewSearch
With fs.PropertyTests
    .Add Name:="Files of Type", _
        Condition:=msoConditionFileTypeWordDocuments, _
        Connector:=msoConnectorOr
    .Add Name:="Last Modified", _
        Condition:=msoConditionAnytimeBetween, _
        Value:="1/1/98", SecondValue:="6/30/98", _
        Connector:=msoConnectorAnd
End With
If fs.Execute() > 0 Then
        For i = 1 To fs.FoundFiles.Count
            strFound = strFound & fs.FoundFiles(i) & vbCrLf
        Next i
        MsgBox "Search found the following " _
            & fs.FoundFiles.Count & _
            " file(s):" & vbCrLf & strFound
Else
    MsgBox "There were no files found."
End If
应用于 Scripts 对象的情形。

本示例在活动工作簿中第一个工作簿的指定区域中新添一个 Script 对象。

Dim rngScriptAnchorRange As Range
Dim objNewScript As Script

Set rngScriptAnchorRange = ActiveWorkbook. _
    Worksheets(1).Range("B5")
Set objNewScript = ActiveWorkbook. _
    Worksheets(1).Scripts.Add(rngScriptAnchorRange, _
      msoScriptLocationInBody, _
      msoScriptLanguageVisualBasic, _
      "MyNewScript", , _
      "MsgBox (""Added Script object MyNewScript"")")


AddItem 方法

在 指定命令栏组合框控件中添加一个列表项。该组合框控件必须是自定义控件，并且必须是下拉式列表框或组合框。

注意 该方法不能用于编辑框或内置的组合框控件。

expression.AddItem(Text, Index)

expression 必需。该表达式返回一个 CommandBarComboBox 对象。

Text String 类型，必需。要添加到指定控件中的文字。

Index Variant 类型，可选。指定项在列表各项中的位置。如果省略此参数，指定项将添加在列表的末尾。

示例

本示例可实现的功能为：在命令栏中添加一个组合框控件，然后在该列表中添加两个选项。本示例还设置列表的行数和组合框的宽度。

Set myBar = CommandBars("Custom")
Set myControl = myBar.Controls.Add(Type:=msoControlComboBox, Id:=1)
With myControl
    .AddItem "First Item", 1
    .AddItem "Second Item", 2
    .DropDownLines = 3
    .DropDownWidth = 75
    .ListHeaderCount = 0
End With


AddToSearchFolders 方法

在 SearchFolders 集合中添加一个 ScopeFolder 对象。

expression.AddToSearchFolders

expression 必需。该表达式返回一个 ScopeFolder 对象。

说明

尽管可以使用 SearchFolders 集合的 Add 方法向 SearchFolders 集合中添加 ScopeFolder 对象，但是使用要添加的 ScopeFolder 对象的 AddToSearchFolders 方法通常更简便，因为所有搜索只有一个 SearchFolders 集合。

示例

本示例将根 ScopeFolder 对象添加到 SearchFolders 集合。有关使用 AddToSearchFolders 方法的详细示例，请参阅 SearchFolders 集合的主题。

Application.FileSearch.SearchScopes(1).ScopeFolder.AddToSearchFolders


ApplyFilter 方法

将筛选应用于邮件合并数据源，筛选满足特定条件的指定记录。

expression.ApplyFilter

expression 必需。该表达式返回“应用于”列表中的对象之一。

示例

本示例新添一个删除 Region 字段为空的所有记录的筛选，并将该筛选应用于活动的发布内容。

Sub OfficeFilters()
    Dim appOffice As OfficeDataSourceObject
    Dim appFilters As ODSOFilters

    Set appOffice = Application.OfficeDataSourceObject

    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    Set appFilters = appOffice.Filters

    MsgBox appOffice.RowCount

    appFilters.Add Column:="Region", Comparison:=msoFilterComparisonEqual, _
        Conjunction:=msoFilterConjunctionAnd, bstrCompareTo:="WA"
    appOffice.ApplyFilter

    MsgBox appOffice.RowCount

End Sub


Clear 方法

从指定命令栏组合框控件（下拉式列表框或组合框）中删除所有列表项并清除文本框（编辑框或组合框）。

注意 该方法不能用于内置命令栏控件。

expression.Clear

expression 必需。该表达式返回一个 CommandBarComboBox 对象。

示例

本示例可实现的功能为：检查命令栏“Custom”上组合框控件中的项目数。如果列表中的项目数少于 3，那么本示例清除该列表，在其中添加一个新项目，然后将该新项目显示为组合框控件的默认值。

Set myBar = CommandBars("Custom Bar")
Set myControl = myBar.Controls _
    Type:=msoControlComboBox)
With myControl
    .AddItem "First Item", 1
    .AddItem "Second Item", 2
End With
If myControl.ListCount < 3 Then
    myControl.Clear
    myControl.AddItem Text:="New Item", Index:=1
End If


ClearFileList 方法

清除当前 AnswerWizard 的文件列表，包括 Microsoft Office 宿主应用程序中的默认文件列表。

expression.ClearFileList

expression 该表达式返回一个 AnswerWizard 对象。

说明

使用此方法可删除指定应用程序当前文件列表中的全部项目。也可用此方法确保在宿主应用程序中无用户可用的默认 AnswerWizard 文件。然后您即可使用 AnswerWizardFiles 集合的 Add 方法建立自定义的文件列表。

若要恢复宿主应用程序的默认 AnswerWizard 文件设置，请使用 ResetFileList 方法。

示例

本示例实现的功能是：先为 AnswerWizard 接受自定义文件列表做好准备，然后添加两个自定义的 AnswerWizard 文件。首先，本示例清除文件列表，接着添加两个自定义的 AnswerWizard 文件，然后检查文件数和文件名，以确认文件已正确添加。

Dim customAnswerWizard As AnswerWizard
Set customAnswerWizard = Application.AnswerWizard

customAnswerWizard.ClearFileList
customAnswerWizard.Files.Add ("c:\awfiles\custom_1.aw")
customAnswerWizard.Files.Add ("c:\awfiles\custom_2.aw")

If customAnswerWizard.Files.Count = 2 Then
    MsgBox "Files " & customAnswerWizard.Files.Item(1) & _
    " and " & customAnswerWizard.Files(2) & _
    " were added sucessfully."
End If


Close 方法

关闭活动的非模态气球。只有在回调过程中才能使用此方法。

expression.Close

expression 必需。该表达式返回一个 Balloon 对象。

示例

本示例可实现的功能为：显示这样一个气球，该气球包含三台打印机各自的按钮。无论何时，只要用户单击其中任何按钮，ProcessPrinter 回调进程即开始运行，而该气球关闭。

Sub selectPrinter()
Set bln = Assistant.NewBalloon
With bln
    .Heading = "Select a Printer."
    .Labels(1).Text = "Network Printer"
    .Labels(2).Text = "Local Printer"
    .Labels(3).Text = "Local Color Printer"
    .BalloonType = msoBalloonTypeButtons
    .Mode = msoModeModeless
    .Callback = "ProcessPrinter"
    .Show
End With
End Sub

Sub ProcessPrinter(bln As Balloon, lbtn As Long, _
 lPriv As Long)
    Assistant.Animation = msoAnimationPrinting
    Select Case lbtn
    Case -1
        ' Insert network printer-specific code.
    Case -2
        ' Insert local printer-specific code.
    Case -3
        ' Insert color printer-specific code.
    End Select
    bln.Close
End Sub


Commit 方法

将指定 SignatureSet 集合的所有更改提交到磁盘。直到执行 Commit 方法，SignatureSet 集合的更改才进行保存。

expression.Commit

expression 必需。该表达式返回“应用于”列表中的对象之一。

示例

本示例提示用户选择 Microsoft Word 中活动文档的数字签名。要使用本示例，请在 Word 中打开文档并调用该函数。该函数将进行测试以确保用户所选择的数字签名在 12 个月内不会过期。如果将会过期，则不附加证书。

Function AddSignature() As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test to make sure that the new Signature object
    'doesn't expire too soon. This expression calculates
    'the number of months until the Signature object expires.
    If DateDiff("m", sig.SignDate, sig.ExpireDate) < 12 Then

        MsgBox "This certificate will expire in less than 1 year." & vbCrLf & _
        "Please use a newer certificate."

        AddSignature = False
        sig.Delete
    Else
        AddSignature = True
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


Copy 方法

将一个命令栏控件复制到已有的命令栏中。

expression.Copy(Bar, Before)

expression 必需。该表达式返回一个 CommandBarControl、CommandBarButton、CommandBarPopup 或 CommandBarComboBox 对象。

Bar Variant 类型，可选。代表目标命令栏的 CommandBar 对象。如果省略该参数，控件将被复制到同一个命令栏中（即该控件原来所在的命令栏）。

Before Variant 类型，可选。一个表示新控件在命令栏上位置的数值。新控件将插入在位于该位置的控件之前。如果省略此参数，那么控件将被复制到命令栏的末尾。

示例

此示例将命令栏“Standard”上的第一个控件复制到命令栏“Custom”上第一个控件的位置。

Set myCustomBar = CommandBars("Custom")
Set myControl = CommandBars("Standard").Controls(1)
With myControl
    .Copy Bar:=myCustomBar, Before:=1
    .SetFocus
End With


CopyFace 方法

将命令栏上按钮控件的图符复制到“剪贴板”上。

expression.CopyFace

expression 必需。该表达式返回一个 CommandBarButton 对象。

说明

可用 PasteFace 方法将“剪贴板”上的内容粘贴到一个按钮图符上。

示例

本示例可实现的功能为：查找内置的“打开”按钮，将其按钮图符复制到“剪贴板”上，再将按钮图符粘贴到“拼写和语法”按钮上。

Set myControl = CommandBars.FindControl(Type:=msoControlButton, Id:=23)
myControl.CopyFace
Set myControl = CommandBars.FindControl(Type:=msoControlButton, ID:=2)
myControl.PasteFace


Delete 方法

Delete 方法应用于 DocumentProperty 对象的情形。

删除自定义的文档属性。

expression.Delete

expression 必需。该表达式返回上面对象之一。

说明

不能删除内置的文档属性。

Delete 方法应用于 AnswerWizardFiles 对象的情形。

从集合中删除指定对象。

expression.Delete(FileName)

expression 必需。该表达式返回上面对象之一。

FileName String 类型，必需。要删除的文件名称，包括完全合格的路径、文件名和扩展名。

Delete 方法应用于 FileDialogFilters 对象的情形。

删除文件对话框筛选。

expression.Delete(filter)

expression 必需。该表达式返回上面对象之一。

filter Variant 类型，可选。要删除的筛选。

Delete 方法应用于 ODSOFilters 对象的情形。

从 ODSOFilters 集合中删除筛选对象。

expression.Delete(Index, DeferUpdate)

expression 必需。该表达式返回上面对象之一。

Index Long 类型，必需。要删除的筛选数量。

DeferUpdate Boolean 类型，可选。

Delete 方法应用于 CommandBar、Script、Scripts 和 Signature 对象的情形。

从集合中删除指定对象。

expression.Delete

expression 必需。该表达式返回上面对象之一。

说明

对于 Scripts 集合，使用 Delete 方法将删除指定 Word 文档、Excel 工作表或 PowerPoint 幻灯片中的所有脚本。在主机应用程序中，脚本定位标记以图形表示。因此，每个 msoScriptAnchor 类型的脚本定位标记相关联的 Shape 对象将从 Excel 和 PowerPoint 的 Shapes 集合以及 Word 的 InlineShapes 和 Shapes 集合中删除。

Delete 方法应用于 CommandBarButton、CommandBarComboBox、CommandBarControl 和 CommandBarPopup 对象的情形。

从集合中删除指定对象。

expression.Delete(Temporary)

expression 必需。该表达式返回上面对象之一。

Temporary Variant 类型，可选。设置为 True 将从当前会话中删除控件。应用程序在下次会话时将再次显示控件。

示例

应用于 CommandBar 对象的情形。

本示例删除所有不可见的自定义命令栏。

foundFlag = False
delBars = 0
For Each bar In CommandBars
    If (bar.BuiltIn = False) And _
    (bar.Visible = False) Then
        bar.Delete
        foundFlag = True
        delBars = delBars + 1
    End If
Next bar
If Not foundFlag Then
    MsgBox "No command bars have been deleted."
Else
    MsgBox delBars & " custom bar(s) deleted."
End If

应用于 DocumentProperty 对象的情形。

本示例删除一个自定义文档属性。为了使该示例正确运行，必须具有名为 "CustomNumber" 的自定义 DocumentProperty 对象。

ActiveDocument.CustomDocumentProperties("CustomNumber").Delete


DoAlert 方法

显示一个警告并返回一个 Long 类型，表示用户按下的按钮。可以选择通过“Microsoft Office 助手”或普通消息框显示警告。

expression.DoAlert(bstrAlertTitle, bstrAlertText, alb, alc, ald, alq, varfSysAlert)

expression 必需。该表达式返回“应用于”列表中的对象之一。

bstrAlertTitle String 类型，必需。设置警告的标题。

bstrAlertText String 类型，必需。设置警告的文本。

alb MsoAlertButtonType 类型，必需。确定警告上显示的按钮。

MsoAlertButtonType 可以为下列 MsoAlertButtonType 常量之一。
msoAlertButtonAbortRetryIgnore
msoAlertButtonOK
msoAlertButtonOKCancel
msoAlertButtonRetryCancel
msoAlertButtonYesAllNoCancel 仅适用于 varfSysAlert 参数设置为 False 的情况。
msoAlertButtonYesNo
msoAlertButtonYesNoCancel

alc MsoAlertIconType 类型，必需。确定警告上显示的图标。

MsoAlertIconType 可以为下列 MsoAlertIconType 常量之一。
msoAlertIconCritical
msoAlertIconInfo
msoAlertIconNoIcon
msoAlertIconQuery
msoAlertIconWarning

ald MsoAlertDefaultType 类型，必需。确定警告上的默认按钮。如果该参数的设置值大于按钮数量，将返回错误。

MsoAlertDefaultType 可以为下列 MsoAlertDefaultType 常量之一。
msoAlertDefaultFifth
msoAlertDefaultFirst
msoAlertDefaultFourth
msoAlertDefaultSecond
msoAlertDefaultThird

alq MsoAlertCancelType 类型，必需。总是设置为 msoAlertCancelDefault。任何其他设置均返回错误。

MsoAlertCancelType 可以为下列 MsoAlertCancelType 常量之一。
msoAlertCancelDefault
msoAlertCancelFifth
msoAlertCancelFirst
msoAlertCancelFourth
msoAlertCancelSecond
msoAlertCancelThird

varfSysAlert Boolean 类型，必需。如果警告以消息框显示，则设置为 True，如果警告以“Office 助手”显示，则设置为 False。

说明

DoAlert 方法的返回值对应于 vbMsgBoxResult 枚举类型的值（例如，vbYes、vbNo 或 vbCancel）。除了这些值，还可以返回下列值：

  • "Yes to all" = 8
  • "Try again" = 10
  • "Continue" = 11

示例

本示例通过“Office 助手”显示警告，并显示消息框指出用户按下的按钮。如果禁用了助手，则以普通消息框显示警告。

Sub AssistantAlert()
    With Application.Assistant
        Select Case _
            .DoAlert( _
            "Test", _
            "Click a button.", _
            msoAlertButtonYesAllNoCancel, _
            msoAlertIconCritical, _
            msoAlertDefaultSecond, _
            msoAlertCancelFirst, _
            False)

            Case vbYes: MsgBox "The user clicked Yes."
            Case vbNo: MsgBox "The user clicked No."
            Case vbCancel: MsgBox "The user clicked Cancel."
            Case 8: MsgBox "The user clicked Yes To All" 'This is the return value for YesToAll
            Case Else
        End Select
    End With
End Sub


EndWizard 方法

本主题中的某些内容可能不适用于某些语言。

释放由 StartWizard 方法返回的变量。

注意 此方法只能与 StartWizard 方法一同使用。

expression.EndWizard(WizardID, varfSuccess, Animation)

expression 必需。该表达式返回一个 Assistant 对象。

WizardID Long 类型，必需。由 StartWizard 方法返回的数字。

varfSuccess Boolean 类型，必需。如果该变量值为 True，则表示用户成功地完成了该向导。

Animation Variant 类型，可选。该值是当 varfSuccess 的值设置为 True 时，“Office 助手”所使用的动画效果。默认值为 msoAnimationCharacterSuccessMajor。

示例

本示例可实现的功能为：关闭一个向导的“Office 助手”，前提是该向导会话已由用户成功完成。变量 helpForWiz 被赋予 StartWizard 方法的返回值。

Assistant.EndWizard WizardId:=lHelpForWiz, _
    varfSuccess:=True, Animation:=msoAnimationGoodbye


Execute 方法

Execute 方法应用于 FileSearch 对象的情形。

开始对指定文件的搜索。返回一个 Long 类型，如果没有找到文件，则返回零 (0)，如果找到一个或多个文件，则返回一个正数。

expression.Execute(SortBy, SortOrder, AlwaysAccurate)

expression 必需。该表达式返回一个 FileSearch 对象。

SortBy MsoSortBy 类型，可选。返回的文件的排序方法。

MsoSortBy 可以为下列 MsoSortBy 常量之一。
msoSortByFileName 默认值
msoSortByFileType
msoSortByLastModified
msoSortByNone
msoSortBySize

SortOrder MsoSortOrder 类型，可选。返回的文件排序次序。

MsoSortOrder 可以为下列 MsoSortOrder 常量之一。
msoSortOrderAscending 默认值
msoSortOrderDescending

AlwaysAccurate Boolean 类型，可选。设置为 True 使文件搜索包括上次更新文件索引以来添加、修改或删除的文件。默认值为 True。

Execute 方法应用于 CommandBarButton、CommandBarComboBox、CommandBarControl、CommandBarPopup 和 FileDialog 对象的情形。

对于命令栏对象，运行指定给特定命令栏控件的过程或内置命令。对于自定义控件，使用 OnAction 属性指定要运行的过程。

对于 msoFileDialogOpen 或 msoFileDialogSaveAs 类型的 FileDialog 对象，在调用 Show 方法后执行用户操作。

expression.Execute

expression 必需。该表达式返回上面对象之一。

示例

应用于 FileSearch 对象的情形。

本示例在 My Documents 文件夹中搜索以扩展名 ".doc" 结尾的所有文件，然后显示找到的每个文件的位置和名称。本示例还以字母升序排序返回的文件名称。

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .FileName = "*.doc"
    If .Execute(SortBy:=msoSortbyFileName, _
            SortOrder:=msoSortOrderAscending) > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
            " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With

应用于 CommandBarButton、CommandBarComboBox、CommandBarControl 和 CommandBarPopup 对象的情形。

本 Microsoft Excel 示例创建一个命令栏，然后向其添加内置命令栏按钮控件。该按钮执行 Excel AutoSum 函数。本示例使用 Execute 方法在显示命令栏时计算选定单元格区域的总计。

Dim cbrCustBar As CommandBar
Dim ctlAutoSum As CommandBarButton
Set cbrCustBar = CommandBars.Add("Custom")
Set ctlAutoSum = cbrCustBar.Controls _
    .Add(msoControlButton, CommandBars("Standard") _
    .Controls("AutoSum").Id)
cbrCustBar.Visible = True
ctlAutoSum.Execute


FindControl 方法

返回一个符合指定条件的 CommandBarControl 对象。

expression.FindControl(Type, Id, Tag, Visible, Recursive)

expression 必需。该表达式返回一个 CommandBars 对象。

Type MsoControlType 类型，可选。要查找的控件类型。

MsoControlType 类型可为以下 MsoControlType 常量之一：
msoControlActiveX
msoControlCustom
msoControlButton
msoControlEdit
msoControlDropdown
msoControlComboBox
msoControlButtonDropdown
msoControlSplitDropdown
msoControlGenericDropdown
msoControlGraphicCombo
msoControlSplitButtonMRUPopup
msoControlSplitExpandingGrid
msoControlGraphicDropdown
msoControlPopup
msoControlGraphicPopup
msoControlButtonPopup
msoControlGauge
msoControlLabel
msoControlExpandingGrid
msoControlGrid
msoControlOCXDropDown
msoControlSplitButtonPopup
msoControlPane

Id Variant 类型，可选。要查找的控件的标识符。

Tag Variant 类型，可选。要查找的控件的标记值。

Visible Variant 类型，可选。如果该值为 True，那么只查找屏幕上显示的命令栏控件。默认值为 False。屏幕上可见的命令栏，其中包括执行 FindControl 方法时所打开的所有可见的工具栏和菜单。

Recursive Boolean 类型，可选。如果该值为 True，那么将在命令栏及其全部弹出式子工具栏中查找。此参数仅应用于 CommandBar 对象。默认值为 False。

说明

如果 CommandBars 集合中有两个或者更多的控件符合搜索条件，那么 FindControl 返回找到的第一个控件。如果没有控件符合搜索条件，那么 FindControl 返回 Nothing。

示例

本示例可实现的功能为：在命令栏“Custom”中查找第一个控件。如果该控件是按钮，那么示例将用 FindControl 方法查找 Copy 按钮（位于“常用”工具栏上），然后复制 Copy 按钮的图符并粘贴到该控件上。

Set oldCtrl = CommandBars("Custom").Controls(1)
If oldCtrl.Type = 1 Then
    Set newCtrl = CommandBars.FindControl(Type:= _
        MsoControlButton, ID:= _
        CommandBars("Standard").Controls("Copy").ID)
    NewCtrl.CopyFace
    OldCtrl.PasteFace
End If


FindControls 方法

返回符合指定条件的 CommandBarControls 集合。

expression.FindControls(Type, Id, Tag, Visible)

expression 必需。该表达式返回一个 CommandBars 集合。

Type MsoControlType 类型，可选。

MsoControlType 类型可为以下 MsoControlType 常量之一：
msoControlActiveX
msoControlCustom
msoControlButton
msoControlEdit
msoControlDropdown
msoControlComboBox
msoControlButtonDropdown
msoControlSplitDropdown
msoControlGenericDropdown
msoControlGraphicCombo
msoControlSplitButtonMRUPopup
msoControlSplitExpandingGrid
msoControlGraphicDropdown
msoControlPopup
msoControlGraphicPopup
msoControlButtonPopup
msoControlGauge
msoControlLabel
msoControlExpandingGrid
msoControlGrid
msoControlOCXDropDown
msoControlSplitButtonPopup
msoControlPane
Id Variant 类型，可选。要查找控件的标识符。

Tag Variant 类型，可选。要查找控件的标记值。

Visible Variant 类型，可选。如果该值为 True，那么只查找屏幕上可见的命令栏控件。默认值为 False。

说明

如果没有符合指定条件的控件，FindControls 方法返回 Nothing。

示例

本示例用 FindControls 方法返回 CommandBars 集合中所有标识符为 18 的成员，并在消息框中显示符合指定条件的控件的个数。

Dim myControls As CommandBarControls
Set myControls = CommandBars.FindControls(Type:=msoControlButton, ID:=18)
MsgBox "There are " & myControls.Count & _
    " controls that meet the search criteria."


Help 方法

本主题中的某些内容可能不适用于某些语言。

为标准的 Office 联机帮助显示“Office 助手”及内置的带有“请问您要做什么？”的“助手”气球。

expression.Help

表达式 必需。该表达式返回一个 Assistant 对象。

示例

本示例在用户选中“I need more information”复选框后，显示内置的含有“请问您要做什么？”的“助手”气球。

Set b = Assistant.NewBalloon
With b
    .Heading = "User Information"
    .Text = "Select your skill level"
    .CheckBoxes(1).Text = "Beginner."
    .CheckBoxes(2).Text = "Advanced."
    .CheckBoxes(3).Text = "I need more information."
    .Show
End With
If b.CheckBoxes(3).Checked = True Then
    Assistant.Help
End If


Item 方法

Item 方法应用于 COMAddIns 对象的情形。

返回指定 COMAddIns 集合的成员。

expression.Item(Index)

expression 必需。指定的 COMAddIns 集合。

Index Variant 类型，必需。返回 COMAddIns 集合中该位置的 COM 加载项序数值，或表示指定 COM 加载项 ProgID 的 String 值。

Item 方法应用于 FileDialogFilters 对象的情形。

返回作为指定 FileDialogFilters 集合中的成员的 FileDialogFilter 对象。

expression.Item(Index)

expression 必需。该表达式返回上面对象之一。

Index Long 类型，必需。要返回的 FileDialogFilter 对象的索引号。

Item 方法应用于 HTMLProjectItems 对象的情形。

返回表示 Microsoft 脚本编辑器中特定项目的 HTMLProjectItem 对象。

expression.Item(Index)

expression 必需。HTMLProjectItems 集合。

Index Variant 类型，必需。要返回的 HTML 项目项的名称或索引号。

Item 方法应用于 Scripts 对象的情形。

返回 Scripts 集合的成员。接受希望 Microsoft Office 应用程序返回的脚本索引号或 ID。Item 方法接受 Variant 值，既可以接受序数（索引值）返回 Scripts 集合中该位置存储的脚本，也可以接受表示脚本名称或 ID 的 String 值。

expression.Item(Index)

expression 必需。该表达式返回一个 Scripts 对象。

Index Variant 类型，必需。要返回的脚本的名称或 ID。

说明

Scripts 集合中包含指定文档中的所有脚本，以源顺序（Script 对象在源文件中出现的顺序）排序。脚本按源顺序维护，与在文档中的位置无关，即无论在头或主体文本中。

可以通过 <SCRIPT> 标记的 ID 使用 Item 方法访问 Scripts 集合中的脚本。<SCRIPT> 标记的 ID 属性与 Script 对象的 Id 属性一致。如果在文档中有重复或多个 ID 并使用 Item 方法通过 Script 对象的 Id 属性访问脚本，Office 返回符合 ID 的第一个脚本，相同 ID 的其他脚本均将忽略。

添加到集合中的新脚本定位标记将按照在文档中的添加顺序追加到 Scripts 集合的末尾。脚本定位标记将保持该顺序，直到文档保存为 HTML、关闭，然后再在主机应用程序中打开。按照这些步骤操作导致 Scripts 集合的按照脚本定位标记在文档中显示的次序索引，这可能不同于添加次序。因此，建议使用 Script 对象的 Id 属性，而不是脚本在集合中的位置，以确保脚本的正向标识。

Item 方法应用于 FileDialogSelectedItems 对象的情形。

返回一个 String 类型，对应于用户从文件对话框中选择的文件的路径，该对话框由 FileDialog 对象的 Show 方法显示。FileDialogSelectedItems 集合为字符串集合。

expression.Item(Index)

expression 必需。该表达式返回上面对象之一。

Index Long 类型，必需。要返回的字符串的索引号。


LoadFromFile 方法

用磁盘中指定文件的文字更新“Microsoft 脚本编辑器”中的文字。

expression.LoadFromFile(Filename)

expression HTMLProjectItem 对象。

Filename String 类型，必需。包含要载入文字的文本文件的完整合法路径。

示例

本示例判断是否已打开了指定的工程项；如果该项目已打开，那么本示例从指定文件中载入脚本。

If ActiveWorkbook.HTMLProject.HTMLProjectItems _
    .Item(1).IsOpen Then
    ActiveWorkbook.HTMLProject.HTMLProjectItems _
        .Item(1).LoadFromFile ("C:\MyScript.txt")
Else
    MsgBox "The HTMLProjectItem is not open."
End If


Move 方法

本主题中的某些内容可能不适用于某些语言。

Move 方法应用于 CommandBarButton、CommandBarComboBox、CommandBarControl 和 CommandBarPopup 对象的情形。

将指定的命令栏控件移动到已有的命令栏。

expression.Move(Bar, Before)

expression 必需。该表达式返回上面对象之一。

Bar Variant 类型，可选。表示控件的目标命令栏的 CommandBar 对象。如果忽略该参数，则控件将移动到当前所在命令栏的末端。

Before Variant 类型，可选。表示控件位置的数字。控件将插到该位置的控件之前。如果忽略该参数，控件插入到同一命令栏。

Move 方法应用于 Assistant 对象的情形。

将“Office 助手”移动到指定位置。

expression.Move(xLeft, yTop)

expression 必需。该表达式返回一个 Assistant 对象。

xLeft Integer 类型，必需。以点数表示的“Office 助手”窗口左端位置。

yTop Integer 类型，必需。以点数表示的“Office 助手”窗口顶端位置。

示例

应用于 CommandBarButton、CommandBarComboBox、CommandBarControl 和 CommandBarPopup 对象的情形。

本示例将名为 Custom 的命令栏上的第一个组合框控件移动到该命令栏上的第七个控件之前。本示例设置标记为 "Selection box" 并赋予控件较低的优先级，以便在一行容纳不下所有控件时将其隐藏。

Set allcontrols = CommandBars("Custom").Controls
For Each ctrl In allControls
    If ctrl.Type = msoControlComboBox Then
        With ctrl
            .Move Before:=7
             .Tag = "Selection box"
             .Priority = 5
         End With
         Exit For
    End If
Next

应用于 Assistant 对象的情形。

本示例在指定位置显示“Office 助手”，并在使其可见之前设置多个选项。

With Assistant
    .Reduced = True
    .Move xLeft:= 400, yTop:= 300
    .MoveWhenInTheWay = True
    .TipOfDay = True
    .Visible = True
    .Animation = msoAnimationGreeting
End With


NewSearch 方法

本主题中的某些内容可能不适用于某些语言。

将所有搜索条件重置为默认设置。

expression.NewSearch

expression 必需。该表达式返回一个 FileSearch 对象。

说明

搜索条件的设置在应用程序的一个会话中将保持不变。每次更改搜索条件时可用此方法。此方法不会重新设置 LookIn 属性的值。

示例

本示例可实现的功能为：在开始新一轮搜索过程之前用 NewSearch 方法重新设置默认的搜索条件。

With Application.FileSearch
    .NewSearch
    .LookIn = "C:\My Documents"
    .SearchSubFolders = True
    .FileName = "run"
    .TextOrProperty = "San*"
    .MatchAllWordForms = True
    .FileType = msoFileTypeAllFiles
    If .Execute() > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
        " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With


Open 方法

在 Microsoft 脚本编辑器中打开指定 HTML 项目或 HTML 项目项，视图由下列可选的 MsoHTMLProjectOpen 常量指定。如果没有指定常量，则在默认视图中打开项目项。

expression.Open(OpenKind)

expression 必需。该表达式返回“应用于”列表中的对象之一。

OpenKind MsoHTMLProjectOpen 类型，可选。在其中打开指定项目或项目项的视图。

MsoHTMLProjectOpen 可以为下列 MsoHTMLProjectOpen 常量之一。
msoHTMLProjectOpenSourceView
msoHTMLProjectOpenTextView

说明

默认视图由在执行 Open 方法时 Microsoft 脚本编辑器是否打开决定。如果脚本编辑器没有打开，Open 方法以源视图启动脚本编辑器。如果已经打开脚本编辑器，Open 方法将激活脚本编辑器并在当前视图中显示脚本。

示例

本示例在活动工作簿中以源视图打开 HTML 项目。

AppActiveWorkbook.HTMLProject.Open _
    (msoHTMLProjectOpenSourceView)

本示例在活动工作簿中以文本视图打开第一个 HTML 项目项。

ActiveWorkbook.HTMLProject.HTMLProjectItems _
    Item(1).Open (msoHTMLProjectOpenTextView)


PasteFace 方法

将“剪贴板”的内容粘贴到指定命令栏按钮控件上。

expression.PasteFace

expression 必需。该表达式返回一个 CommandBarButton 对象。

示例

本示例可实现的功能为：查找内置的 FileOpen 按钮，然后将“拼写和语法”的图符从“剪贴板”粘贴到该按钮上。

Set myControl = CommandBars.FindControl(Type:=msoControlButton, Id:=2)
myControl.CopyFace
Set myControl = CommandBars.FindControl(Type:=msoControlButton, Id:=23)
myControl.PasteFace


RefreshDocument 方法

用于在 Microsoft Office 的宿主应用程序中刷新指定的 HTML 工程。

expression.RefreshDocument(Refresh)

expression 该表达式返回一个 HTMLProject 对象。

Refresh Boolean 类型，必需。如果要保存所有的更改，则该值为 True；如果要忽略所有的更改，则该值为 False。

说明

使用此方法等同于在 Office 宿主应用程序中单击“刷新”工具栏中的“刷新”按钮。如果通过将 RefreshDocument 方法的参数设置为 True 来刷新文档，那么在“Microsoft 脚本编辑器”中对 HTML 源文件进行的所有更改都将保存到 Office 宿主应用程序中。如果将 RefreshDocument 的参数设置为 False，那么将忽略对 HTML 源文件进行的所有更改。注意：State 方法的返回值受 RefreshDocument 方法的影响。如果在调用了 RefreshDocument (True) 方法进行刷新操作之后，再调用 State 方法，那么该方法将返回 msoHTMLProjectStateDocumentProjectUnlocked。

示例

本示例将刷新宿主应用程序的活动工作簿中的 HTML 工程。

ActiveWorkbook.HTMLProject.RefreshDocument (True)


RefreshProject 方法

刷新“Microsoft 脚本编辑器”中的指定 HTML 工程。

expression.RefreshProject

expression 该表达式返回一个 HTMLProject 对象。

说明

使用此方法等同于在“Microsoft 脚本编辑器”中单击“刷新”工具栏中的“刷新”按钮。如果您通过将 RefreshDocument 方法的参数设置为 True 来刷新文档，那么在 Office 宿主应用程序中对 HTML 源文件进行的所有更改都将保存到“Microsoft 脚本编辑器”中的相应 HTML 工程中。如果将 RefreshDocument 的参数设置为 False，那么将忽略对 HTML 源文件进行的所有更改。

示例

本示例将刷新“Microsoft 脚本编辑器”中的 HTML 工程。

ActiveWorkbook.HTMLProject.RefreshProject (True)


RefreshScopes 方法

刷新当前可用 ScopeFolder 对象的列表。

expression.RefreshScopes

expression 必需。该表达式返回“应用于”列表中的对象之一。

示例

本示例显示“我的电脑”范围内 C:\ 驱动器上所有当前可用的 ScopeFolder 对象。

Sub TestRefreshScopesMethod()
' Displays what happens before and after the RefreshScopes
' method is called when a new folder is added to the list
' of scope folders.

    ' List before the folder is created.
    Call ListFolderNames

    ' Create a new folder on the C:\ drive in My Computer.
    ' An error will occur if this folder already exists.
    MkDir Path:="C:\Delete_After_Using"

    ' List after the folder is created.
    Call ListFolderNames

    ' Refresh the list of folders.
    Application.FileSearch.RefreshScopes

    ' The newly-created folder now appears in the list.
    Call ListFolderNames

End Sub

Sub ListFolderNames()

    Dim strResults As String

    ' Loop through all the folder names on the C:\ drive
    ' in My Computer and report the results.
    ' .SearchScopes.Item(1) = "My Computer"
    ' .ScopeFolders.Item(2) = "C:\"
    With Application.FileSearch.SearchScopes.Item(1). _
        ScopeFolder.ScopeFolders.Item(2)

        For i = 1 To .ScopeFolders.Count
            strResults = strResults & .ScopeFolders. _
                Item(i).Name & vbCrLf
        Next i

        MsgBox "Folder Names on C:\...." & vbCrLf & strResults

    End With

End Sub


ReleaseFocus 方法

释放所有命令栏中用户界面的焦点。

expression.ReleaseFocus

expression 必需。该表达式返回一个 CommandBars 对象。

示例

本示例可实现的功能为：向命令栏“Custom”中添加三个空白按钮，并将焦点设置在中间的按钮上。等待五秒钟后，释放所有命令栏的用户界面焦点。

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlButton
    .Controls.Add Type:=msoControlButton
    .Controls.Add Type:=msoControlButton
    .Visible = True
End With
Set myControl = CommandBars("Custom").Controls(2)
With myControl
    .SetFocus
End With
PauseTime = 5   ' Set duration.
    Start = Timer   ' Set start time.
    Do While Timer < Start + PauseTime
        DoEvents    ' Yield to other processes.
    Loop
    Finish = Timer
CommandBars.ReleaseFocus


Remove 方法

Remove 方法应用于 NewFile 对象的情形。

从“新建项”任务窗格中删除一项。返回 Boolean 类型。

expression.Remove(FileName, Section, DisplayName, Action)

expression 必需。该表达式返回一个 NewFile 对象。

FileName String 类型，必需。文件引用的名称。

Section Variant 类型，可选。任务窗格中文件引用所在的栏。可以为任何 msoFileNewSection 常量。

DisplayName Variant 类型，可选。文件引用的显示文本。

Action Variant 类型，可选。用户单击该项时进行的操作。可以为任何 msoFileNewAction 常量。

Remove 方法应用于 FileTypes、PropertyTests 和 SearchFolders 对象的情形。

从集合中删除指定对象。

expression.Remove(Index)

expression 必需。该表达式返回上面对象之一。

Index Long 类型，必需。要删除的属性测试索引号。

示例

应用于 FileTypes、PropertyTests 和 SearchFolders 对象的情形。

本示例从集合中删除第一个搜索条件。

Application.FileSearch.PropertyTests.Remove(1)

应用于 NewFile 对象的情形。

本示例从 Word 的“新建文档”任务窗格中删除指定项。

Sub RemoveDocFromTaskPane()
    Application.NewDocument.Remove FileName:="C:\Newfile.doc", _
            Section:=msoNewfromTemplate, DisplayName:="NewFile"
    CommandBars("Task Pane").Visible = True
End Sub


RemoveItem 方法

从指定命令栏组合框控件中删除一项。

注意 本属性只能用于列表框控件。

expression.RemoveItem(Index)

expression 必需。该表达式返回一个 CommandBarComboBox 对象。

Index Long 类型，必需。要从列表中删除的项。

示例

本示例可实现的功能为：确定指定的组合框所含列表项是否多于三项。如果多于三项，那么本示例将删除第二项，更改样式并设置一个新值。此外，本示例还设置了父对象（即 CommandBarControl 对象）的 Tag 属性以表明该列表发生了变化。

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlComboBox, ID:=1
    .Visible = True
End With
With CommandBars("Custom").Controls(1)
    .AddItem "Get Stock Quote", 1
    .AddItem "View Chart", 2
    .AddItem "View Fundamentals", 3
    .AddItem "View News", 4
    .Caption = "Stock Data"
    .DescriptionText = "View Data For Stock"
End With
Set myControl = myBar.Controls(1)
With myControl
    If .ListCount > 3 Then
        .RemoveItem 2
        .Style = msoComboNormal
        .Text = "New Default"
         Set ctrl = .Parent
    End If
End With


Reset 方法

将指定的内置命令栏重置为默认的配置，或将指定的内置命令栏控件重置为其初始的函数和图符。

expression.Reset

expression 必需。该表达式返回一个 CommandBar、CommandBarControl、CommandBarButton、CommandBarPopup 或 CommandBarComboBox 对象。

说明

重置一个内置控件将恢复该控件原来对应的动作，并将各属性恢复成初始状态。重置一个内置命令栏将删除其中的自定义控件并恢复其内置控件。

示例

本示例可实现的功能为：根据用户级别用 user 的值调整命令栏。如果 user 为“Level 1”，那么显示命令栏“Custom”。如果 user 为任何其他值，那么内置的 Visual Basic 命令栏被重新设置为默认状态并且命令栏“Custom”无效。

Set myBar = CommandBars("Custom")
If user = "Level 1" Then
    myBar.Visible = True
Else
    CommandBars("Visual Basic").Reset
    myBar.Enabled = False
End If


ResetFileList 方法

可用于将当前 AnswerWizard 的文件列表恢复为 Microsoft Office 宿主应用程序的默认文件列表。

expression.ResetFileList

expression 该表达式返回一个 AnswerWizard 对象。

说明

用此方法可将当前 AnswerWizard 文件列表中的所有项目恢复至宿主应用程序在 Windows 注册表中的列表中。通过向相应的注册表项中加入自定义文件名，可在注册表中建立自定义的默认文件列表。

示例

本示例重新设置当前 AnswerWizard 的文件列表，然后用消息框显示文件数和文件名。

Dim customAnswerWizard As AnswerWizard
Dim strFileList As String
Dim intCounter As Integer
Dim intNumFiles As Integer
Set customAnswerWizard = Application.AnswerWizard
intCounter = 1

customAnswerWizard.ResetFileList
strFileList = ""
intNumFiles = customAnswerWizard.Files.Count
For intCounter = 1 To (intNumFiles)
    strFileList = strFileList & _
    customAnswerWizard.Files.Item(intCounter) & Chr(13)
Next

MsgBox "There are " & customAnswerWizard.Files.Count & _
    " files avaialble through this AnswerWizard: " & _
    Chr(13) & strFileList


ResetTips 方法

本主题中的某些内容可能不适用于某些语言。

重新设置将显示在“Office 助手”气球中的应用程序提示。

expression.ResetTips

expression 必需。该表达式返回一个 Assistant 对象。

说明

ResetTips 方法对应于“选项”选项卡（位于“Office 助手”对话框中）中的“重设提示”按钮。

示例

本示例可实现的功能为：在显示“Office 助手”前，重新设置应用程序提示。屏幕上将出现一个确认气球，告知用户已将其应用程序的提示重新设置了。

With Application.Assistant
    .On = True
    .Visible = True
    .Animation = msoAnimationGreeting
    .ResetTips
End With


SaveCopyAs 方法

用新文件名保存指定的 HTML 工程项。

expression.SaveCopyAs(Filename)

expression HTMLProjectItem 对象。

Filename String 类型，必需。用于保存 HTML 工程项的文件的完整路径。

示例

本示例将当前 HTML 工程项中文字的一个副本保存在文件 NewScript.txt 中。

ActiveWorkbook.HTMLProject.HTMLProjectItems. _
    Item(1).SaveCopyAs("C:\NewScript.txt")


SetAvoidRectangle 方法

本主题中的某些内容可能不适用于某些语言。

避免“Office 助手”气球在屏幕上的指定区域中显示。

expression.SetAvoidRectangle(Left, Top, Right, Bottom)

expression 必需。该表达式返回一个 Assistant 对象。

Left、Top、Right、Bottom Long 类型，必需。“Office 助手”气球在屏幕上显示时要避开的区域的坐标（坐标系相对于屏幕而言并以磅为单位）。

说明

本属性用来避免“Office 助手”气球与自定义对话框及向导重叠。

示例

本示例可实现的功能为：避免变量 myBalloon 代表的“Office 助手”气球显示在屏幕上指定坐标区域之中。

Set myBalloon = Assistant.NewBalloon
With myBalloon
    .SetAvoidRectangle 300, 250, 700, 500
    .Text = "Cannot display in coordinates " & _
        "300, 250, 700, 500."
    .Show
End With


SetFocus 方法

将键盘的焦点移到指定命令栏控件。如果该控件无效或不可见，那么此方法将失败。

说明

带有焦点的控件与其他控件的差别是十分细微的。在使用此方法后，会看到该控件处于三维突出显示的状态。按方向键将使焦点在工具栏中各控件间切换，就好象是按键盘控制键到达该控件一样。

expression.SetFocus

expression 必需。该表达式返回一个 CommandBarControl、CommandBarButton、CommandBarPopup 或 CommandBarComboBox 对象。

示例

本示例可实现的功能为：创建命令栏“Custom”，并在其中添加一个组合框控件和一个按钮控件。然后用 SetFocus 方法在组合框控件上设置焦点。

Set focusBar = CommandBars.Add(Name:="Custom")
With CommandBars("Custom")
    .Visible = True
    .Position = msoBarTop
End With

Set testComboBox = CommandBars("Custom").Controls _
    .Add(Type:=msoControlComboBox, ID:=1)
With testComboBox
    .AddItem "First Item", 1
    .AddItem "Second Item", 2
End With
Set testButton = CommandBars("Custom").Controls _
    .Add(Type:=msoControlButton)
testButton.FaceId = 17
' Set the focus to the combo box.
testComboBox.SetFocus


SetSortOrder 方法

设置邮件合并数据的排序次序。

expression.SetSortOrder(SortField1, SortAscending1, SortField2, SortAscending2, SortField3, SortAscending3)

expression 必需。该表达式返回“应用于”列表中的对象之一。

SortField1 String 类型，必需。排序邮件合并数据的第一个域。

SortAscending1 Boolean 类型，可选。设置为 True（默认值）将对 SortField1 执行升序排序，设置为 False 将执行降序排序。

SortField2 String 类型，可选。排序邮件合并数据的第二个域。默认为空字符串。

SortAscending2 Boolean 类型，可选。设置为 True（默认值）将对 SortField2 执行升序排序，设置为 False 将执行降序排序。

SortField3 String 类型，可选。排序邮件合并数据的第三个域。默认为空字符串。

SortAscending3 Boolean 类型，可选。设置为 True（默认值）将对 SortField3 执行升序排序，设置为 False 将执行降序排序。

示例

本示例首先对数据源按邮政编码降序排序，然后再按姓名升序排序。

Sub SetDataSortOrder()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject

    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    appOffice.SetSortOrder SortField1:="ZipCode", _
        SortAscending1:=False, SortField2:="LastName", _
        SortField3:="FirstName"
End Sub


Show 方法

Show 方法应用于 Balloon 对象的情形。

显示指定气球对象。返回表示用户单击的气球或标签的 MsoBalloonButtonType 常量。只读。

MsoBalloonButtonType 可以为下列 MsoBalloonButtonType 常量之一。
msoBalloonButtonAbort
msoBalloonButtonBack
msoBalloonButtonCancel
msoBalloonButtonClose
msoBalloonButtonIgnore
msoBalloonButtonNext
msoBalloonButtonNo
msoBalloonButtonNull
msoBalloonButtonOK
msoBalloonButtonOptions
msoBalloonButtonRetry
msoBalloonButtonSearch
msoBalloonButtonSnooze
msoBalloonButtonTips
msoBalloonButtonYes
msoBalloonButtonYesToAll

expression.Show

expression 必需。该表达式返回一个 Balloon 对象。

Show 方法应用于 FileDialog 对象的情形。

显示文件对话框并返回一个 Long 类型，表示用户是按下了操作按钮 (-1) 还是取消按钮 (0)。在调用 Show 方法时，在用户消除文件对话框之前将不执行任何代码。在“另存为”和“打开”对话框中，在 Show 方法后使用 Execute 方法执行用户操作。

expression.Show

expression 必需。该表达式返回一个 FileDialog 对象。

示例

应用于 Balloon 对象的情形。

本示例创建一个气球，包含两个设置打印机方向的气球标签选项：“纵向”和“横向”。本示例在 Select Case 语句中使用 Show 方法判断用户选择的方向。

Set balNew = Assistant.NewBalloon
With balNew
    .Heading = "Please choose a printer orientation"
    .Labels(1).Text = "Portrait"
    .Labels(2).Text = "Landscape"
    .Button = msoButtonSetNone
End With

Select Case balNew.Show
    Case 1
        ' Insert code to set printer to Portrait.
    Case 2
        ' Insert code to set printer to Landscape.
End Select

本示例创建包含三个命令按钮的气球：“是”、“否”和“取消”。本示例在 Select Case 语句中使用 Show 方法判断用户单击的按钮的返回值。

Set balNew = Assistant.NewBalloon
With balNew
    .Heading = "Are you sure you want to set the " & _
    "printer orientation to Landscape?"
    .BalloonType = msoBalloonTypeButtons
    .Button = msoButtonSetYesNoCancel
End With

Select Case balNew.Show
    Case -2	' User selected Cancel button.
        returnValue = MsgBox("Operation canceled.", _
        vbOKOnly, "Printer Message")
    Case -3	' User selected Yes button.
        returnValue = MsgBox("Printer set to " & _
        "Landscape.", vbOKOnly, "Printer Message")
    Case -4	' User selected No button.
        returnValue = MsgBox("Printer orientation not " & _
        "reset.", vbOKOnly, "Printer Message")
End Select

应用于 FileDialog 对象的情形。

本示例使用 FileDialog 对象显示“文件选取器”对话框，并在消息框中显示每个选定的文件。

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'The user pressed the action button.
    If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a string that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "The path is: " & vrtSelectedItem

            Next vrtSelectedItem
        'The user pressed Cancel.
    Else
        End If
    End With

    'Set the object variable to nothing.
    Set fd = Nothing

End Sub


ShowPopup 方法

将指定的命令栏作为快捷菜单，在指定坐标或当前光标位置显示。

注意 如果命令栏的 Position 属性没有设置为 msoBarPopup，那么本方法无效。

expression.ShowPopup(x, y)

expression 必需。该表达式返回一个 CommandBar 对象。

x Variant 类型，可选。快捷菜单所在位置的 x 坐标。如果省略此参数，那么将取当前光标位置的 x 坐标。

y Variant 类型，可选。快捷菜单所在位置的 y 坐标。如果省略此参数，那么将取当前光标位置的 y 坐标。

示例

本示例可实现的功能为：创建一个包含两个控件的快捷菜单。ShowPopup 方法用于显示该快捷菜单。

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarPopup, Temporary:=False)
With myBar
    .Controls.Add Type:=msoControlButton, Id:=3
    .Controls.Add Type:=msoControlComboBox
End With
myBar.ShowPopup


StartWizard 方法

本主题中的某些内容可能不适用于某些语言。

启动“Office 助手”，并返回一个 Long 类型的值，该值标识该“Office 助手”向导会话。只能用此方法运行自定义向导中的“Office 助手”。

注意 ActivateWizard 和 EndWizard 方法使用由 StartWizard 返回的数字。

expression.StartWizard(On, Callback, PrivateX, Animation, CustomTeaser, Top, Left, Bottom, Right)

expression 必需。该表达式返回一个 Assistant 对象。

On Boolean 类型，必需。该参数为 True 时，显示“Office 选择”气球。“Office 选择”气球会询问用户是否需要有关活动自定义向导的帮助。在将此参数的值设为 True 时，不必使用 Visible 属性来显示“Office 助手”。

Callback String 类型，必需。由“Office 选择”气球及分支气球所执行的回调过程的名称。分支气球允许用户选择是使用您为向导提供的自定义“帮助”，还是使用标准的 Office “帮助”。

PrivateX Long 类型，必需。标识初始化回调过程的气球的数字。

Animation Variant 类型，可选。使用此方法时，“Office 助手”所表现的动画效果。默认值为 msoAnimationGetWizardy。

CustomTeaser Variant 类型，可选。如果该变量值为 False，则显示“Office 选择”气球。

Top、Left、Bottom、Right Variant 类型，可选。“Office助手”出现时，在自定义向导面板上不能覆盖的区域的四个顶点的位置（相对屏幕而言，以磅为单位）。

说明

与标准的非模态气球所用的回调过程不同，在“Office 助手”向导会话显示的非模态选择和分支气球所调用的回调过程只有两个参数：MsoWizardMsgType 常量，以及由 StartWizard 方法的 PrivateX 参数所指定的唯一值。

如果用户在选择或分支气球中单击了鼠标左键，则常量 msoWizardMsgShowHelp 会被传递到回调过程的第一个参数。如果用户单击的是鼠标右键，则将传递常量 msoWizardLocalStateOff。（如果为 Act 参数指定了 msoWizardActResume 或 msoWizardActSuspend，则 ActivateWizard 会传递其他的 MsoWizardMsgType 常量。）如果传递的是 msoWizardMsgShowHelp，回调过程应显示与当前自定义向导面板相应的气球。如果传递的是 msoWizardLocalStateOff，则回调过程应将可见的气球隐藏起来。

示例

本示例可实现的功能为：启动“Office 助手”作为过程的一部分，用以在自定义向导运行时提供信息。变量 helpForWiz 设置为 StartWizard 方法的返回值，类型为 Long。

lHelpForWiz = Assistant.StartWizard(On:=True, _
    Callback:="myCallback", PrivateX:=23)


Update 方法

根据保存在 Windows 注册表中的加载项列表更新 COMAddIns 集合的内容。

expression.Update

expression COMAddIns 集合。

说明

在 Microsoft Office 应用程序中使用 COM 加载项之前，必须首先在注册表中将该加载项注册为 COM 组件，并得到相应的组件类别 ID (Component Category ID)。

示例

以下示例将根据保存在 Windows 注册表中的加载项列表更新 COMAddIns 集合的内容。

Application.COMAddIns.Update


ActionControl 属性

返回一个 CommandBarControl 对象，该对象的 OnAction 属性设置为当前正在运行的过程。如果当前正在运行的过程不是由命令栏控件初始化的，那么该属性返回 Nothing。只读。

示例

本示例创建命令栏“Custom”，向命令栏中添加三个按钮，然后用 ActionControl 属性和 Tag 属性确定最后一次单击的是哪一个命令栏按钮。

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
Set buttonOne = myBar.Controls.Add(Type:=msoControlButton)
With buttonOne
    .FaceId = 133
    .Tag = "RightArrow"
    .OnAction = "whichButton"
End With
Set buttonTwo = myBar.Controls.Add(Type:=msoControlButton)
With buttonTwo
    .FaceId = 134
    .Tag = "UpArrow"
    .OnAction = "whichButton"
End With
Set buttonThree = myBar.Controls.Add(Type:=msoControlButton)
With buttonThree
    .FaceId = 135
    .Tag = "DownArrow"
    .OnAction = "whichButton"
End With
myBar.Visible = True

whichButton 子程序响应 OnAction 方法并确定最后单击的是哪一个命令栏按钮。

Sub whichButton()
Select Case CommandBars.ActionControl.Tag
    Case "RightArrow"
        MsgBox ("Right Arrow button clicked.")
    Case "UpArrow"
        MsgBox ("Up Arrow button clicked.")
    Case "DownArrow"
        MsgBox ("Down Arrow button clicked.")
End Select
End Sub


ActiveMenuBar 属性

返回这样一个 CommandBar 对象，该对象代表容器应用程序中的活动菜单栏。只读。

示例

本示例可实现的功能为：在活动菜单栏的末尾暂时添加一个弹出式控件“Custom”，然后在该控件显示的弹出式控件中添加一个按钮控件“Import”。

Set myMenuBar = CommandBars.ActiveMenuBar
Set newMenu = myMenuBar.Controls.Add(Type:=msoControlPopup, Temporary:=True)
newMenu.Caption = "Custom"
Set ctrl1 = newMenu.CommandBar.Controls _
    .Add(Type:=msoControlButton, Id:=1)
With ctrl1
    .Caption = "Import"
    .TooltipText = "Import"
    .Style = msoButtonCaption
End With


AdaptiveMenu 属性

如果启用了个性化菜单，则返回 True。Boolean 类型，可读写。

示例

本示例实现的功能是：将正在运行的 Microsoft Office 应用程序的“文件”菜单的 AdaptiveMenu 属性设为 False。

CommandBars("File").AdaptiveMenu = False


AdaptiveMenus 属性

如果启用了自适应菜单，则返回 True。Boolean 类型，可读写。

示例

本示例为所有 Microsoft Office 命令栏（其中包括自定义命令栏及其自定义控件）设置了三个选项。

With CommandBars
    .LargeButtons = True
    .DisplayFonts = True
    .AdaptiveMenus = True
End With


AllowMultiSelect 属性

如果允许用户从文件对话框中选择多个文件，则返回 True。Boolean 类型，可读写。

expression.AllowMultiSelect

expression 必需。该表达式返回“应用于”列表中的对象之一。

说明

该属性对“文件夹选取器”对话框和“另存为”对话框无效，因为用户不应从这类文件对话框中选择多个文件。

示例

本示例使用 FileDialog 对象显示“文件选取器”对话框，并在消息框中显示每个选定的文件。

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Allow the selection of multiple files.
        .AllowMultiSelect = True

        'Use the Show method to display the file picker dialog and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


Animation 属性

本主题中的某些内容可能不适用于某些语言。

返回或设置“Office 助手”的动画效果。如果将该属性应用于 Assistant 对象，并且该对象支持指定的动画效果，“助手”（如果已显示并可用）将立刻动作起来。如果将该属性应用于 Balloon 对象，则“助手”只有在显示气球时才会做动作。MsoAnimationType 类型，可读写。

MsoAnimationType 可为以下 MsoAnimationType 常量之一：
msoAnimationAppear
msoAnimationBeginSpeaking
msoAnimationCharacterSuccessMajor
msoAnimationCheckingSomething
msoAnimationDisappear
msoAnimationEmptyTrash
msoAnimationGestureDown
msoAnimationGestureLeft
msoAnimationGestureRight
msoAnimationGestureUp
msoAnimationGetArtsy
msoAnimationGetAttentionMajor
msoAnimationGetAttentionMinor
msoAnimationGetTechy
msoAnimationGetWizardy
msoAnimationGoodbye
msoAnimationGreeting
msoAnimationIdle
msoAnimationListensToComputer
msoAnimationLookDown
msoAnimationLookDownLeft
msoAnimationLookDownRight
msoAnimationLookLeft
msoAnimationLookRight
msoAnimationLookUp
msoAnimationLookUpLeft
msoAnimationLookUpRight
msoAnimationPrinting
msoAnimationRestPose
msoAnimationSaving
msoAnimationSearching
msoAnimationSendingMail
msoAnimationThinking
msoAnimationWorkingAtSomething
msoAnimationWritingNotingSomething

说明

默认“助手”是“大眼夹”，msoAnimationIdle 是“助手”默认的动画效果类型。

根据所选的不同“助手”，设置 Animation 属性可能会产生明显的动画效果，也可能没有显著的变化。然而，所有的 MsoAnimationType 类型常量对全体“助手”均适用。注意：不同的常量可能产生相同的动画效果。

以下的 MsoAnimationType 类型常量代表的动画效果是：不断重复指定的动作，除非取消“助手”或将 Animation 属性重设为其他值。

msoAnimationCheckingSomething

msoAnimationGetTechy

msoAnimationListensToComputer

msoAnimationSearching

 msoAnimationThinking

msoAnimationWorkingAtSomething

msoAnimationWritingNotingSomething

示例

本示例在指定位置显示“Office 助手”窗口，并在显示该窗口之前设置若干选项。

With Assistant
    .On = True
    .Visible = True
    .Move xLeft:= 400, yTop:= 300
    .MoveWhenInTheWay = True
    .TipOfDay = True
    .Animation = msoAnimationGreeting
End With


Application 属性

返回一个 Application 对象，表示对象的容器应用程序（可以使用 Automation 对象的该属性返回对象的容器应用程序）。

expression.Application

expression 必需。该表达式返回“应用于”列表中的对象之一。

示例

本示例返回创建名为 Standard 的命令栏的应用程序名称，并在消息框中显示该结果。

Set Appobj = CommandBars("Standard").Application
MsgBox Appobj


AssistWithAlerts 属性

本主题中的某些内容可能不适用于某些语言。

当“Office 助手”显示在屏幕上时，如果“Office 助手”气球发送应用程序的警告信息，则返回 True。Boolean 类型，可读写。

说明

AssistWithAlerts 属性对应于“使用 Office 助手”下的“显示警告信息”复选框，“使用 Office 助手”位于“Office 助手”对话框中的“选项”选项卡上。

如果该属性值为 False，那么应用程序将在对话框中显示警告信息。

示例

本示例可实现的功能为：在产生应用程序的警告信息时，显示“Office 助手”。

With Assistant
    .On = True
    .Visible = True
    .AssistWithHelp = True
    .AssistWithAlerts = True
    .Animation = msoAnimationGetAttentionMajor
End With


AssistWithHelp 属性

本主题中的某些内容可能不适用于某些语言。

当用户按 F1 来显示“帮助”时，如果“Office 助手”出现在屏幕上，则返回 True。Boolean 类型，可读写。

说明

AssistWithHelp 属性对应“响应 F1”复选框，该复选框位于“Office 助手”对话框中“选项”选项卡的“使用 Office 助手”复选框下。

如果该属性值设置为 False，那么屏幕上出现的是“帮助主题”对话框而不是“Office 助手”。

示例

本示例可实现的功能为：在用户按 F1 来请求“帮助”时显示“Office 助手”。

With Assistant
    .On = True
    .Visible = True
    .AssistWithHelp = True
    .AssistWithAlerts = True
    .Animation = msoAnimationGetAttentionMajor
End With


AssistWithWizards 属性

本主题中的某些内容可能不适用于某些语言。

如果“Office 助手”提供带向导的联机帮助信息，则返回 True。Boolean 类型，可读写。

说明

AssistWithWizards 属性对应于“使用 Office 助手”下的“向导帮助”复选框。“使用 Office 助手”位于“Office 助手”对话框中的“选项”选项卡上。

示例

本示例设置“Office 助手”以提供有关向导的帮助信息。

Assistant.AssistWithWizards = True


AttachCertificate 属性

如果对应于指定 Signature 对象的数码证书附加到文档，则返回 True。Boolean 类型，可读写。

expression.AttachCertificate

expression 必需。该表达式返回“应用于”列表中的对象之一。

示例

本示例提示用户选择 Microsoft Word 中活动文档的数字签名。要使用本示例，请在 Word 中打开文档并调用该函数。该函数将进行测试以确保用户所选择的数字签名在 12 个月内不会过期。如果将会过期，则不附加证书。

Function AddSignature() As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    sig.AttachCertificate = True

    'Test to make sure that the new Signature object
    'doesn't expire too soon. This expression calculates
    'the number of months until the Signature object expires.
    If DateDiff("m", sig.SignDate, sig.ExpireDate) < 12 Then

        MsgBox "This certificate will expire in less than 1 year." & vbCrLf & _
        "Please use a newer certificate."

        AddSignature = False
        sig.Delete
    Else
        AddSignature = True
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


BalloonError 属性

返回显示所记录的最后一条气球错误的值。MsoBalloonErrorType 类型，只读。

MsoBalloonErrorType 可为以下 MsoBalloonErrorType 常量之一：
msoBalloonErrorBadCharacter 该气球包含一个非 CR 或 LF 并小于 32 的 ASCII 控制字符。
msoBalloonErrorBadPictureRef 该气球包含一个无法显示的图形，原因可能是该文件不存在或该图形不是有效的 .BMP 或 .WMF 文件。
msoBalloonErrorBadReference 该气球包含一个无法被识别或支持的引用。
msoBalloonErrorButtonlessModal 要显示的气球是一个模态气球，但是其中不包含任何按钮。由于该气球不能被取消，所以无法将其显示出来。
要显示的气球是非模态的且包含按钮，并且没有为 Callback 属性指定过程。由于非模态气球需要回调过程，所以无法显示该气球。
msoBalloonErrorCharNotTopmostForModal 一个非活动的应用程序需要模态气球。Microsoft Office 只为活动（最顶层）应用程序提供气球。
msoBalloonErrorCOMFailure 由于 COM 错误，无法显示该气球。
msoBalloonErrorNone 没有遇到错误。
msoBalloonErrorOther 由于发生了一些其他错误（例如另一个模态气球已经处于活动状态），无法显示该气球。
msoBalloonErrorOutOfMemory 由于没有足够的内存，无法显示该气球。
msoBalloonErrorTooBig 该气球太大，无法显示在屏幕上。
msoBalloonErrorTooManyControls 该气球包含超过二十个控件（复选框或标签）。

示例

本示例创建一个气球，该气球将产生一个错误。错误原因是由于创建该气球时没有为其设置取消方法：由于该按钮的类型被设置为 msoButtonSetNone，并且默认气球模态为 msoModeModal，因此产生了一个无按钮的模态气球。注意：无法取消一个无按钮的模态气球。

With Application.Assistant
With .NewBalloon
    .Heading = "This will never show."
    .Text = "Imagine a balloon here."
    .Button = msoButtonSetNone
    .Show
End With
.Visible = True
If .BalloonError = msoBalloonErrorButtonlessModal Then
    MsgBox "You need a button to dismiss the balloon."
End If
End With


BalloonType 属性

本主题中的某些内容可能不适用于某些语言。

返回或设置“Office 助手”所用的气球类型。创建 Balloon 对象时，该属性的初始值被设为 msoBalloonTypeButtons 常量。MsoBalloonType 类型，可读写。

MsoBalloonType 可为以下 MsoBalloonType 常量之一：
msoBalloonTypeBullets
msoBalloonTypeButtons
msoBalloonTypeNumbers

示例

本示例创建一个介绍性的气球，以解释选择打印机的方法。该气球是非模态的，以便用户根据其中的指示进行操作并在工作期间一直显示该气球。

Set bln = Assistant.NewBalloon
With bln
    .Heading = "Instructions for Choosing a Printer."
    .Text = "Click OK when you've chosen a printer."
    .Labels(1).Text = "From the File menu, choose Print."
    .Labels(2).Text = "Click Setup."
    .Labels(3).Text = "Select the name of the printer."
    .BalloonType = msoBalloonTypeNumbers
    .Mode = msoModeModeless
    .Callback = "ProcessPrinter"
    .Button = msoButtonSetOK
    .Show
End With


BeginGroup 属性

如果指定的命令栏控件显示在命令栏控件组的最前面，则返回 True。Boolean 类型，可读写。

示例

本示例可实现的功能为：在活动菜单栏上将最后一个控件作为一个新组的开始。

Set myMenuBar = CommandBars.ActiveMenuBar
Set lastMenu = myMenuBar _
    .Controls(myMenuBar.Controls.Count)
lastMenu.BeginGroup = True


BuiltIn 属性

如果指定的命令栏或命令栏控件是容器应用程序的内置命令栏或控件，则返回 True。如果是自定义命令栏或控件或是已设置了 OnAction 属性的内置控件，则返回 False。Boolean 类型，只读。

示例

本示例可实现的功能为：删除所有未显示于屏幕上的自定义命令栏。

foundFlag = False
deletedBars = 0
For Each bar In CommandBars
    If (bar.BuiltIn = False) And (bar.Visible = False) Then
        bar.Delete
        foundFlag = True
        deletedBars = deletedBars + 1
    End If
Next
If Not foundFlag Then
    MsgBox "No command bars have been deleted."
Else
    MsgBox deletedBars & " custom command bar(s) deleted."
End If


BuiltInFace 属性

如果指定的命令栏按钮控件的图符是内置图符，则返回 True。本属性只能设置为 True，其功能是将图符重新设置为内置的图符。Boolean 类型，可读写。

示例

本示例可实现的功能为：确定命令栏“Custom”中第一个控件的图符是否为其内置的按钮图符。如果是，那么本示例将该按钮图符复制到“剪贴板”上。

Set myControl = CommandBars("My Custom Bar").Controls(1)
With myControl
    If .BuiltInFace = True Then .CopyFace
End With


Button 属性

本主题中的某些内容可能不适用于某些语言。

返回或设置“Office 助手”气球底部按钮的类型。创建 Balloon 对象时，该属性的初始化值为 msoButtonSetOK。MsoButtonSetType 类型，可读写。

MsoButtonSetType 可为以下 MsoButtonSetType 常量之一：
msoButtonSetAbortRetryIgnore
msoButtonSetBackClose
msoButtonSetBackNextClose
msoButtonSetBackNextSnooze
msoButtonSetCancel
msoButtonSetNextClose
msoButtonSetNone
msoButtonSetOK
msoButtonSetOkCancel
msoButtonSetRetryCancel
msoButtonSetSearchClose
msoButtonSetTipsOptionsClose
msoButtonSetYesAllNoCancel
msoButtonSetYesNo
msoButtonSetYesNoCancel

示例

本示例显示包含标题、文本、三个区域选项以及两个命令按钮（“确定”和“取消”按钮）的气球。

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select a region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Button = msoButtonSetOkCancel
    .Show
End With


ButtonName 属性

设置或返回一个 String 类型，表示文件对话框中操作按钮上显示的文本。在默认情况下，该属性设置为文件对话框类型的常用文本。例如，在“打开”对话框中，在默认情况下该属性设置为“打开”。可读写。

expression.ButtonName

expression 必需。该表达式返回“应用于”列表中的对象之一。

示例

本示例使用 FileDialog 对象显示“文件选取器”对话框，并在消息框中显示每个选定的文件。

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Change the text on the action button.
        .ButtonName = "Archive"

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then

            'Step through each String in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next vrtSelectedItem
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


Callback 属性

设置在显示非模态气球时运行的过程的名称。String 类型，可读写。

说明

根据使用属性的不同，由 Callback 属性所指定的回调过程必须接受两到三个参数。如果在向导中用 Callback 属性，该过程必须接受两个参数：一个长整型参数，代表用户单击按钮的 msoBalloonButtonType 值；另一个长整型参数作为该气球的唯一标识。如果对非模态气球用 Callback 属性，该回调过程必须接受三个参数：调用过程的 Balloon 对象；一个长整型参数，表示用户单击按钮的 msoBalloonButtonType 值；另一个长整型参数作为调用此回调过程的气球的唯一标识，该值在气球的 Private 属性中指出。

在传递给回调过程的 Balloon 对象中，至少应用了一个 Close 方法作为退出条件；否则将不能取消此非模态气球。

如果指定的回调函数存储在单独的类模块中，在 Callback 属性的值中必须包含模块名（例如：“Sheet1.MyCallback”）。

示例

本示例可实现的功能为：显示这样一个气球，该气球包含分别代表三台打印机的按钮。无论何时，只要用户单击其中任何按钮，ProcessPrinter 回调进程即开始运行，而该气球关闭。

Sub selectPrinter()
Set bln = Assistant.NewBalloon
With bln
    .Heading = "Select a Printer."
    .Labels(1).Text = "Network Printer"
    .Labels(2).Text = "Local Printer"
    .Labels(3).Text = "Local Color Printer"
    .BalloonType = msoBalloonTypeButtons
    .Mode = msoModeModeless
    .Callback = "ProcessPrinter"
    .Show
End With
End Sub

Sub ProcessPrinter(bln As Balloon, lbtn As Long, _
 lPriv As Long)
    Assistant.Animation = msoAnimationPrinting
    Select Case lbtn
    Case -1
        ' Insert network printer-specific code.
    Case -2
        ' Insert local printer-specific code.
    Case -3
        ' Insert color printer-specific code.
    End Select
    bln.Close
End Sub


Caption 属性

返回或设置指定命令栏控件的题注文字。String 类型，可读写。

注意 控件的题注也可作为默认的“屏幕提示”显示。

示例

本示例可实现的功能为：在自定义命令栏中添加一个带拼写检查按钮图符的命令栏控件，然后将其题注设置为“Spelling checker”。

Set myBar = CommandBars.Add(Name:="Custom", _
Position:=msoBarTop, Temporary:=True)
myBar.Visible = True
Set myControl = myBar.Controls _
.Add(Type:=msoControlButton, Id:=2)
With myControl
    .DescriptionText = "Starts the spelling checker"
    .Caption = "Spelling checker"
End With


Checkboxes 属性

返回 BalloonCheckboxes 集合。该集合代表指定气球中的所有复选框。只读。

有关返回单个集合成员的详细信息，请参阅返回集合中的对象。

示例

本示例创建一个带标题、文字和三个区域选项的气球。当用户单击该气球中的“确定”按钮时，就会打印出所选区域中的数据。

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select the region(s) you want to print."
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Button = msoButtonSetOkCancel
    If .Show = msoBalloonButtonOK Then
        dataPrinted = 0
        For i = 1 To 3
            If .CheckBoxes(i).Checked = True Then
                ' Code to print region data.
                dataPrinted = dataPrinted + 1
                MsgBox "Region " & i & " data printed."
            End If
        Next
        If dataPrinted = 0 Then MsgBox "No data printed."
    End If
End With


Checked 属性

本主题中的某些内容可能不适用于某些语言。

如果“Office 助手”气球中的指定复选框被选中，则返回 True。Boolean 类型，可读写。

示例

本示例创建一个带标题、文字和三个区域选项的气球。当用户单击该气球中的“确定”按钮时，就会打印出所选区域中的数据。

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select the region(s) you want to print."
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Button = msoButtonSetOkCancel
    If .Show = msoBalloonButtonOK Then
        dataPrinted = 0
        For i = 1 To 3
            If .CheckBoxes(i).Checked = True Then
                ' Code to print region data.
                dataPrinted = dataPrinted + 1
                MsgBox "Region " & i & " data printed."
            End If
        Next
        If dataPrinted = 0 Then MsgBox "No data printed."
    End If
End With


Column 属性

返回或设置一个 String 类型，表示邮件合并数据源中用于筛选的域名。可读写。

expression.Column

expression 必需。该表达式返回“应用于”列表中的对象之一。

示例

本示例更改已有筛选，从邮件合并中删除所有 Region 域不等于 "WA" 的记录。

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "Or" Then .Conjunction = "And"
                End If
            End With
        Next intItem
    End With
End Sub


Columns 属性

返回表示数据源中字段的 ODSOColumns 对象。

expression.Columns

expression 必需。该表达式返回“应用于”列表中的对象之一。

示例

本示例显示附加到活动发布内容的数据源字段。

Sub ShowFieldNames()
    Dim appOffice As OfficeDataSourceObject
    Dim intCount As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Columns
        For intCount = 1 To .Count
            MsgBox "Field Name: " & .Item(intCount).Name
        Next
    End With
End Sub


CommandBar 属性

返回这样一个 CommandBar 对象，该对象代表由指定的弹出式控件显示的菜单。只读。

示例

本示例可实现的功能为：将变量 thirdLevel 设置为命令栏“Drawing”的第四个控件。

Set fourthLevel = CommandBars("Drawing") _
    .Controls(1).CommandBar.Controls(4)


CommandBars 属性

返回一个 CommandBars 集合。

expression.CommandBars

expression 必需。该表达式返回“应用于”列表中的对象之一。

示例

本示例从 Microsoft Word 中的 MsoEnvelope 对象返回一个 CommandBars 集合。

Dim cbars As CommandBars
Set cbars = Application.ActiveDocument.MailEnvelope.Commandbars


CompareTo 属性

返回或设置一个 String 类型，表示查询筛选条件中的比较文本。可读写。

expression.CompareTo

expression 必需。该表达式返回“应用于”列表中的对象之一。

示例

本示例更改已有筛选，从邮件合并中删除所有 Region 域不等于“WA”的记录。

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "Or" Then .Conjunction = "And"
                End If
            End With
        Next intItem
    End With
End Sub


Comparison 属性

返回或设置一个 MsoFilterComparison 常量，表示如何比较 Column 和 CompareTo 属性。可读写。

MsoFilterComparison 可以为下列 MsoFilterComparison 常量之一。
msoFilterComparisonContains
msoFilterComparisonEqual
msoFilterComparisonGreaterThan
msoFilterComparisonGreaterThanEqual
msoFilterComparisonIsBlank
msoFilterComparisonIsNotBlank
msoFilterComparisonLessThan
msoFilterComparisonLessThanEqual
msoFilterComparisonNotContains
msoFilterComparisonNotEqual

expression.Comparison

expression 必需。该表达式返回“应用于”列表中的对象之一。

示例

本示例更改已有筛选，从邮件合并中删除所有 Region 域不等于“WA”的记录。

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "Or" Then .Conjunction = "And"
                End If
            End With
        Next intItem
    End With
End Sub


Condition 属性

本主题中的某些内容可能不适用于某些语言。

返回指定搜索条件的状态。MsoCondition 类型，只读。

MsoCondition 可为以下 MsoCondition 常量之一：
msoConditionAnyNumberBetween
msoConditionAnytime
msoConditionAnytimeBetween
msoConditionAtLeast
msoConditionAtMost
msoConditionBeginsWith
msoConditionDoesNotEqual
msoConditionEndsWith
msoConditionEquals
msoConditionFileTypeAllFiles
msoConditionFileTypeBinders
msoConditionFileTypeCalendarItem
msoConditionFileTypeContactItem
msoConditionFileTypeDatabases
msoConditionFileTypeDataConnectionFiles
msoConditionFileTypeDesignerFiles
msoConditionFileTypeEPaperFiles
msoConditionFileTypeExcelWorkbooks
msoConditionFileTypeJournalItem
msoConditionFileTypeMailItem
msoConditionFileTypeNoteItem
msoConditionFileTypeOfficeFiles
msoConditionFileTypeOutlookItems
msoConditionFileTypePhotoDrawFiles
msoConditionFileTypePowerPointPresentations
msoConditionFileTypeProjectFiles
msoConditionFileTypePublisherFiles
msoConditionFileTypeTaskItem
msoConditionFileTypeTemplates
msoConditionFileTypeVisioDocuments
msoConditionFileTypeWebPages
msoConditionFileTypeWordDocuments
msoConditionFreeText
msoConditionIncludes
msoConditionIncludesFormsOf
msoConditionIncludesNearEachOther
msoConditionIncludesPhrase
msoConditionInTheLast
msoConditionInTheNext
msoConditionIsExactly
msoConditionIsNo
msoConditionIsNot
msoConditionIsYes
msoConditionLastMonth
msoConditionLastWeek
msoConditionLessThan
msoConditionMoreThan
msoConditionNextMonth
msoConditionNextWeek
msoConditionOn
msoConditionOnOrAfter
msoConditionOnOrBefore
msoConditionThisMonth
msoConditionThisWeek
msoConditionToday
msoConditionTomorrow
msoConditionYesterday

示例

本示例可实现的功能为：返回第一个属性测试中搜索条件的状态值。

With Application.FileSearch.PropertyTests(1)
    MsgBox "The condition you've set is: " & .Condition
End With


Conjunction 属性

返回或设置一个 MsoFilterConjunction 常量，表示 ODSOFilters 对象中某个筛选条件与其他筛选条件的关系。可读写。

MsoFilterConjunction 可以为下列 MsoFilterConjunction 常量之一。
msoFilterConjunctionAnd
msoFilterConjunctionOr

expression.Conjunction

expression 必需。该表达式返回“应用于”列表中的对象之一。

示例

本示例更改已有筛选，从邮件合并中删除所有 Region 域不等于“WA”的记录。

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "Or" Then .Conjunction = "And"
                End If
            End With
        Next intItem
    End With
End Sub


Connect 属性

返回或设置指定 COMAddIn 对象的连接状态。Boolean 类型，可读写。

说明

如果该加载项是活动的，那么 Connect 属性返回 True，反之返回 False。活动加载项是经过注册并建立了连接的加载项；非活动加载项是经过注册但当前没有连接的加载项。

示例

以下示例在消息框中显示 COM 加载项是否已经注册及其当前的连接状态。

If Application.COMAddIns(1).Connect Then
    MsgBox "The add-in is connected."
Else
    MsgBox "The add-in is not connected."
End If


Connector 属性

返回两个类似属性测试值的连接符。默认值为 msoConnectorAnd。MsoConnector 类型，只读。

MsoConnector 可为以下 MsoConnector 常量之一：
msoConnectorAnd
msoConnectorOr

说明

连接符确定两个类似的搜索条件是合并为一个属性测试条件（取 msoConnectorAnd），还是分别对待（取 msoConnectorOr）。

示例

本示例可实现的功能为：显示一条信息，描述在文件查找过程中是如何计算搜索条件的。

With Application.FileSearch.PropertyTests(1)
If .Connector = msoConnectorAnd Then
   MsgBox "All search criteria will be combined."
Else
    MsgBox "Criteria will be treated independently"
End If
End With


ConnectString 属性

返回或设置一个 String 类型，表示与指定邮件合并数据源的连接。可读写。

expression.ConnectString

expression 必需。该表达式返回“应用于”列表中的对象之一。

示例

本示例检查连接字符串是否包含字符串 ODSOOutlook，并显示相应的消息。

Sub VerifyCorrectDataSource()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    If InStr(appOffice.ConnectString, "ODSOOutlook") > 0 Then
        MsgBox "Your Outlook address book is used as the data source."
    Else
        MsgBox "Your Outlook address book is not used as the data source."
    End If

End Sub


Context 属性

返回或设置一个字符串，该字符串确定指定命令栏的存储位置。该字符串由应用程序所定义和集成。String 类型，可读写。

说明

只能对自定义命令栏设置 Context 属性。如果应用程序不能识别该上下文字符串，或不支持以编程方式修改上下文字符串的功能，那么该属性将失败。

示例

本示例显示一个消息框，该消息框包含命令栏“Custom”的上下文相关字符串。本示例运行于 Microsoft Word 和其他支持 Context 属性的应用程序中。

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlButton, ID:=2
    .Visible = True
End With
MsgBox (myBar.Context)


Controls 属性

返回这样一个 CommandBarControls 对象，该对象代表指定命令栏或弹出式控件中的所有控件。只读。

有关返回单个集合成员的详细信息，请参阅返回集合中的对象。

示例

本示例可实现的功能为：在命令栏“Custom”中添加一个组合框控件，然后在该组合框列表中添加两个项目。本示例同时设置列表的行数，组合框的宽度，并将该组合框的默认值设置为空。

Set myControl = CommandBars("Custom").Controls _
    .Add(Type:=msoControlComboBox, Before:=1)
With myControl
    .AddItem Text:="First Item", Index:=1
    .AddItem Text:="Second Item", Index:=2
    .DropDownLines = 3
    .DropDownWidth = 75
    .ListHeaderCount = 0
End With


Count 属性

本主题中的某些内容可能不适用于某些语言。

返回或设置一个 Long 类型，表示指定集合中的项数。对于 BalloonCheckboxes 和 BalloonLabels 对象为可读写 Long 类型，对于“应用于”列表中的所有其他对象为只读 Long 类型。

expression.Count

expression 必需。该表达式返回上面对象之一。

说明

对于 CommandBars 集合，该数目只包括菜单栏、工具栏和快捷菜单。

对于 Scripts 集合，返回的数目为指定文档中脚本块的数量。在 Microsoft Word 中，Scripts.Count 返回嵌入式和浮动脚本定位标记的总数。

示例

本示例使用 Count 属性显示 CommandBars 集合中命令栏的数量。

MsgBox "There are " & CommandBars.Count & _
    " bars in the CommandBars collection."

本示例使用 Count 属性显示“Office 助手”气球中复选框的数量。

With Assistant.NewBalloon
    .CheckBoxes(1).Text = "First Choice"
    .CheckBoxes(2).Text = "Second Choice"
    .Text = "You have the following " _
    & .CheckBoxes.Count & " choices."
    .Show
End With

本示例显示活动文档中自定义文档属性的数量。

MsgBox ("There are " & _
    ActiveDocument.CustomDocumentProperties.Count & _
    " custom document properties in the " & _
    "active document.")


Creator 属性

返回创建指定对象的应用程序的四字符代码。仅适用于 Macintosh 机。Long 类型，只读。

expression.Creator

expression 必需。该表达式返回上面对象之一。


DataSource 属性

返回或设置一个 String 类型，表示附加的数据源的名称。可读写。

expression.DataSource

expression 必需。该表达式返回“应用于”列表中的对象之一。

示例

如果数据源的名称为空，本示例设置其名称。

Sub SetAndReturnDataSourceName()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    With appOffice
        .Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
            "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

        If .DataSource = "" Then
            .DataSource = "Northwind"
            MsgBox .DataSource
        End If
    End With
End Sub


Description 属性

Description 属性应用于 COMAddIn 对象的情形。

返回或设置指定 COMAddIn 对象的说明性 String 值。可读写。

expression.Description

expression 必需。该表达式返回一个 COMAddIn 对象。

Description 属性应用于 FileDialogFilter 对象的情形。

以 String 类型值返回每个 Filter 对象的说明。该说明为文件对话框中显示的文本。只读。

expression.Description

expression 必需。该表达式返回一个 FileDialogFilter 对象。

示例

应用于 COMAddIn 对象的情形。

本示例显示用于绘图的 Microsoft Accessibility COM 加载项的说明文本。

MsgBox "The description of this " & _
    "COMAddIn is """ & Application.COMAddIns. _
    Item("msodraa9.ShapeSelect"). _
    Description & """

应用于 FileDialogFilter 对象的情形。

本示例在“另存为”对话框的默认筛选中迭代，并显示每个包括 Microsoft Excel 文件的筛选说明。Extensions 属性用于查找相应的筛选对象。

Sub Main()

    'Declare a variable as a FileDialogFilters collection.
    Dim fdfs As FileDialogFilters

    'Declare a variable as a FileDialogFilter object.
    Dim fdf As FileDialogFilter

    'Set the FileDialogFilters collection variable to
    'the FileDialogFilters collection of the SaveAs dialog box.
    Set fdfs = Application.FileDialog(msoFileDialogSaveAs).Filters

    'Iterate through the description and extensions of each
    'default filter in the SaveAs dialog box.
    For Each fdf In fdfs

        'Display the description of filters that include
        'Microsoft Excel files.
        If InStr(1, fdf.Extensions, "xls", vbTextCompare) > 0 Then
            MsgBox "Filter description: " & fdf.Description
        End If
    Next fdf

End Sub


DescriptionText 属性

返回或设置指定命令栏控件的说明。该说明不显示给用户，但其他开发者给控件行为归档时将有所帮助。String 类型，可读写。

说明

此属性用于 Macintosh 机的气球帮助。

示例

本示例可实现的功能为：在自定义命令栏中添加一个带控件行为说明的控件。

Set myBar = CommandBars.Add("Custom", msoBarTop, , True)
myBar.Visible = True
Set myControl = myBar.Controls _
    .Add(Type:=msoControlButton, ID:= _
    CommandBars("Standard").Controls("Paste").ID)
With myControl
    .DescriptionText = "Pastes the contents of the Clipboard"
    .Caption = "Paste"
End With


DialogType 属性

返回一个 MsoFileDialogType 常量，表示 FileDialog 对象显示的文件对话框类型。只读。

MsoFileDialogType 可以为下列 MsoFileDialogType 常量之一。
msoFileDialogFilePicker
msoFileDialogFolderPicker
msoFileDialogOpen
msoFileDialogSaveAs

expression.DialogType

expression 必需。该表达式返回“应用于”列表中的对象之一。

示例

本示例将 FileDialog 对象视为未知类型，并运行 Execute 方法判断是“另存为”还是“打开”对话框。

Sub DisplayAndExecuteFileDialog(ByRef fd As FileDialog)

    'Use a With...End With block to reference the FileDialog object.
    With fd
        'If the user presses the action button...
        If .Show = -1 Then

            'Use the DialogType property to determine whether to
            'use the Execute method.
            Select Case .DialogType
                Case msoFileDialogOpen, msoFileDialogSaveAs: .Execute
                'Do nothing otherwise.
                Case Else
            End Select
        'If the user presses Cancel...
        Else
        End If
    End With

End Sub


DisableAskAQuestionDropdown 属性

如果启用了“应答向导”的下拉菜单，则返回 True。Boolean 类型，可读写。

expression.DisableAskAQuestionDropdown

expression 必需。该表达式返回“应用于”列表中的对象之一。

示例

本示例翻转 DisableAskAQuestionDropdown 属性。

Sub ToggleQuestionDropdown()
    With Application.CommandBars
        If .DisableAskAQuestionDropdown = True Then
            .DisableAskAQuestionDropdown = False
        Else
            .DisableAskAQuestionDropdown = True
        End If
    End With
End Sub


DisableCustomize 属性

如果禁用了工具栏的自定义，则返回 True。Boolean 类型，可读写。

expression.DisableCustomize

expression 必需。该表达式返回“应用于”列表中的对象之一。

示例

本示例翻转 DisableCustomize 属性。

Sub ToggleCustomize()
    With Application.CommandBars
        If .DisableCustomize = True Then
            .DisableCustomize = False
        Else
            .DisableCustomize = True
        End If
    End With
End Sub


DisplayFonts 属性

如果在“字体”框中以实际字体显示字体名称，则返回 True。Boolean 类型，可读写。

示例

本示例为所有 Microsoft Office 命令栏（其中包括自定义命令栏及其自定义命令控件）设置了三个选项。

With CommandBars
    .LargeButtons = True
    .DisplayFonts = True
    .AdaptiveMenus = True
End With


DisplayKeysInTooltips 属性

如果每个命令栏控件的快捷键都显示在“工具提示”中，则返回 True。Boolean 类型，可读写。

说明

若要在“工具提示”中显示快捷键，必须同时将 DisplayTooltips 属性值设置为 True。

示例

本示例可实现的功能为：设置 Microsoft Office 中所有命令栏的选项。

With CommandBars
    .LargeButtons = True
    .DisplayTooltips = True
    .DisplayKeysInTooltips = True
    .MenuAnimationStyle = msoMenuAnimationUnfold
End With


DisplayTooltips 属性

如果无论何时，只要用户将鼠标指针指向命令栏控件，就将显示“屏幕提示”，则返回 True。Boolean 类型，可读写。

说明

在容器应用程序中设置 DisplayTooltips 属性会立刻影响当时正在运行的每个 Microsoft Office 应用程序中的所有命令栏和其后打开的 Offfice 应用程序中的所有命令栏，直到重新设置该属性为止。

示例

本示例在所有命令栏上显示大控件和工具提示。

Set allBars = CommandBars

allBars.LargeButtons = True
allBars.DisplayTooltips = True


DropDownLines 属性

返回或设置指定命令栏组合框控件中的行数。该组合框控件必须为自定义控件并且是下拉式列表框或组合框。Long 类型，可读写。

注意 如果试图为编辑框或内置的组合框控件设置该属性，则会出现错误。

说明

如果将该属性设置为 0（零），那么控件中的行数将取决于列表中的项目数。

示例

本示例可实现的功能为：在命令栏“Custom”中添加一个组合框控件，然后在该组合框列表中添加两个选项。本示例同时设置列表的行数，组合框的宽度，并将该组合框的默认值设置为空。

Set myBar = CommandBars("Custom")
Set myControl = myBar.Controls.Add(Type:=msoControlComboBox, Id:=1)
With myControl
    .AddItem Text:="First Item", Index:=1
    .AddItem "Second Item", 2
    .DropDownLines = 3
    .DropDownWidth = 75
    .ListHeaderCount = 0
End With


DropDownWidth 属性

返回或设置指定命令栏组合框控件的列表宽度（以像素为单位）。Long 类型，可读写。

注意 如果为内置的组合框控件设置该属性，则会出现错误。

说明

如果该属性设置为 -1，那么将根据组合框列表中最长的选项设置列表的宽度。如果该属性设置为 0，那么系统会根据控件的宽度设置列表的宽度。

示例

本示例可实现的功能为：在命令栏“Custom”中添加一个内含两个选项的组合框控件。本示例还设置列表的行数，组合框的宽度，并将该组合框的默认值设置为空。

Set myBar = CommandBars("Custom")
Set myControl = myBar.Controls.Add(Type:=msoControlComboBox, Id:=1)
With myControl
    .AddItem "First Item", 1
    .AddItem "Second Item", 2
    .DropDownLines = 3
    .DropDownWidth = 75
    .ListHeaderCount = 0
End With


Enabled 属性

如果激活了指定的命令栏或命令栏控件，则返回 True。Boolean 类型，可读写。

说明

对于命令栏，如果将该属性设置为 True，那么该命令栏的名称将出现在有效命令栏列表中。

对于内置控件，如果将 Enabled 属性设置为 True，那么将由应用程序确定其状态。但如果将该属性设置为 False，那么该控件将无效。

示例

本示例可实现的功能为：根据 user 指定的用户级别调整命令栏。如果 user 是“Level 1”，那么显示命令栏“VB Custom Bar”。如果 user 为其他值，那么内置的命令栏“Visual Basic”将重新设置为默认状态，而且命令栏“VB Custom Bar”无效。

Set myBar = CommandBars _
    .Add(Name:="VB Custom Bar", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlButton, ID:=2
    .Visible = True
End With
If user = "Level 1" Then
    myBar.Visible = True
Else
    CommandBars("Visual Basic").Reset
    myBar.Enabled = False
End If

本示例可实现：在“Custom”命令栏中添加两个命令栏按钮。第一个控件无效，另一个默认为有效。

Set myBar = CommandBars("Custom")
With myBar
    .Controls.Add Type:=msoControlButton, Id:=3
    .Controls(1).Enabled = False
    .Controls.Add Type:=msoControlButton, Id:=3
End With
myBar.Visible = True


ExpireDate 属性

返回一个 Variant 类型，表示对应于 Signature 对象的数字签名的过期日期。只读。

expression.ExpireDate

expression 必需。该表达式返回“应用于”列表中的对象之一。

示例

本示例提示用户选择 Microsoft Word 中活动文档的数字签名。要使用本示例，请在 Word 中打开文档并调用该函数。该函数将进行测试以确保用户所选择的数字签名在 12 个月内不会过期。如果将会过期，则不附加证书。

Function AddSignature() As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test to make sure that the new Signature object
    'doesn't expire too soon. This expression calculates
    'the number of months until the Signature object expires.
    If DateDiff("m", sig.SignDate, sig.ExpireDate) < 12 Then

        MsgBox "This Certificate will expire in less than 1 year." & vbCrLf & _
        "Please use a newer certificate."

        AddSignature = False
        sig.Delete
    Else
        AddSignature = True
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


Extended 属性

设置或返回添加到 <SCRIPT> 标记中的属性（不包括 LANGUAGE 和 ID 属性）。String 类型，可读写。

说明

与 HTML 相同，属性由空格分隔。不能用 Extended 属性传递 LANGUAGE 属性和 ID 属性。

Microsoft Office 宿主应用程序不对传递的属性进行任何语法检查。

如果在 Extended 属性中传递了 LANGUAGE 属性，那么 <SCRIPT> 标记会接收到两个语言设置，这会导致冲突。

如果在 Extended 属性中传递了 ID 属性，并且既没有通过 Add 方法的 ID 参数，也没有通过 Script 对象的 Id 属性对 ID 进行设置，那么该 ID 可被正确导出。

示例

本示例检查 Extended 属性，以确认任何附加属性都没被添加到活动工作簿第一张工作表的第一个脚本中。

If ActiveWorkbook.Worksheets(1).Scripts(1).Extended _
    <> "" Then
      MsgBox "This script contains extended attributes."
End If


Extensions 属性

返回一个 String 类型，包含决定每个 Filter 对象在文件对话框中显示的文件扩展名。只读。

expression.Extensions

expression 必需。该表达式返回“应用于”列表中的对象之一。

示例

本示例在“另存为”对话框的默认筛选中迭代，并显示每个包括 Microsoft Excel 文件的筛选说明。Extensions 属性用于查找相应的筛选对象。

Sub Main()

    'Declare a variable as a FileDialogFilters collection.
    Dim fdfs As FileDialogFilters

    'Declare a variable as a FileDialogFilter object.
    Dim fdf As FileDialogFilter

    'Set the FileDialogFilters collection variable to
    'the FileDialogFilters collection of the SaveAs dialog box.
    Set fdfs = Application.FileDialog(msoFileDialogSaveAs).Filters

    'Iterate through the description and extensions of each
    'default filter in the SaveAs dialog box.
    For Each fdf In fdfs

        'Display the description of filters that include
        'Microsoft Excel files.
        If InStr(1, fdf.Extensions, "xls", vbTextCompare) > 0 Then
            MsgBox "Description of filter: " & fdf.Description
        End If
    Next fdf
End Sub


FaceId 属性

返回或设置一个按钮图符的 ID 号，该按钮图符是当前分配给指定命令栏按钮控件的图符。Long 类型，可读写。

说明

FaceId 属性确定一个命令栏按钮的外观而非其功能。CommandBarControl 对象的 Id 属性确定按钮的功能。

对于具有自定义图符的命令栏按钮，其 FaceId 属性值为 0（零）。

示例

本示例可实现的功能为：在自定义命令栏中添加一个命令栏按钮。尽管该按钮的图符与内置的“图表”按钮图符相同，但单击该按钮与单击“文件”菜单中的“打开”命令等价，这是因为该按钮的 ID 号为 23 的缘故。

Set newBar = CommandBars.Add(Name:="Custom2", _
     Position:=msoBarTop, Temporary:=True)
newBar.Visible = True
Set con = newBar.Controls.Add(Type:=msoControlButton, Id:=23)
con.FaceId = 17


FeatureTips 属性

本主题中的某些内容可能不适用于某些语言。

如果“Office 助手”可更有效地提供有关应用程序功能的信息，则返回 True。Boolean 类型，可读写。

说明

FeatureTips 属性对应于“Office 助手”对话框中“选项”选项卡的“更有效地使用功能”复选框。

示例

本示例对“Office 助手”进行设置，以提供更有效地使用应用程序功能的信息。

Assistant.FeatureTips = True


FileName 属性

本主题中的某些内容可能不适用于某些语言。

Assistant 对象：返回或设置已激活的“Office 助手”的文件路径和文件名。String 类型，可读写。

FileSearch 对象：返回或设置文件搜索过程中要查找的文件名。文件名中可以包含 *（星号）或 ?（问号）通配符。问号通配符可以匹配任意一个单个字符。如键入“gr?y”可以匹配“gray”和“grey”。星号通配符可以匹配任意个字符。如键入“*.txt”可以查找到所有带 .TXT 扩展名的文件。String 类型，可读写。

expression.FileName

expression 必需。该表达式返回“应用于”列表中的对象之一。

示例

本示例搜索 My Documents 文件夹中所有以“cmd”开头的文件，并显示查找到的每一个文件的名称和位置。

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .FileName = "cmd*.*"
    If .Execute > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
            " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With


Files 属性

返回 AnswerWizardFiles 集合，该集合代表当前 AnswerWizard 可用的文件列表。只读。

有关返回单个集合成员的详细信息，请参阅返回集合中的对象。

示例

本示例重新设置当前 AnswerWizard 的文件列表，然后用消息框显示文件数和文件名。

Dim customAnswerWizard As AnswerWizard
Dim strFileList As String
Dim intCounter As Integer
Dim intNumFiles As Integer
Set customAnswerWizard = Application.AnswerWizard
intCounter = 1

customAnswerWizard.ResetFileList
strFileList = ""
intNumFiles = customAnswerWizard.Files.Count
For intCounter = 1 To (intNumFiles)
    strFileList = strFileList & _
    customAnswerWizard.Files.Item(intCounter) & Chr(13)
Next

MsgBox "There are " & customAnswerWizard.Files.Count & _
    " files avaialble through this AnswerWizard: " & _
    Chr(13) & strFileList


FileType 属性

返回或设置文件查找过程中要搜索的文件类型。 MsoFileType 类型，可读写。

MsoFileType 可为以下 MsoFileType 常量之一：
msoFileTypeAllFiles
msoFileTypeBinders
msoFileTypeCalendarItem
msoFileTypeContactItem
msoFileTypeCustom
msoFileTypeDatabases
msoFileTypeDataConnectionFiles
msoFileTypeDesignerFiles
msoFileTypeDocumentImagingFiles
msoFileTypeExcelWorkbooks
msoFileTypeJournalItem
msoFileTypeMailItem
msoFileTypeNoteItem
msoFileTypeOfficeFiles
msoFileTypeOutlookItems
msoFileTypePhotoDrawFiles
msoFileTypePowerPointPresentations
msoFileTypeProjectFiles
msoFileTypePublisherFiles
msoFileTypeTaskItem
msoFileTypeTemplates
msoFileTypeVisioFiles
msoFileTypeWebPages
msoFileTypeWordDocuments

expression.FileType

expression 必需。该表达式返回“应用于”列表中的对象之一。

说明

常量 msoFileTypeOfficeFiles 包含以下任意扩展名的文件：*.doc、*.xls、*.ppt、*.pps、* obd、*.mdb、*.mpd、*.dot、*.xlt、*.pot、*.obt、*.htm 或 *.html。

示例

本示例可实现的功能为：搜索位于“My Documents”文件夹中的所有“活页夹”文件，然后在消息框中显示找到的每个文件的文件名及其所在位置。

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .FileType = msoFileTypeBinders
    If .Execute > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
            " Binder file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no Binder files found."
    End If
End With


FileTypes 属性

返回一个 FileTypes 集合。

expression.FileTypes

expression 必需。该表达式返回“应用于”列表中的对象之一。

示例

本示例搜索 C:\ 驱动器上的所有 HTML 和 Microsoft Excel 文件。

Sub SearchForFiles()

    'Declare a variable to act as a generic counter.
    Dim lngCount As Long

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Clear all the parameters of the previous searches.
        'This method doesn't clear the LookIn property or
        'the SearchFolders collection.
        .NewSearch

        'Setting the FileType property clears the
        'FileTypes collection and sets the first
        'item in the collection to the file type
        'defined by the FileType property.
        .FileType = msoFileTypeWebPages

        'Add a second item to the FileTypes collection.
        .FileTypes.Add msoFileTypeExcelWorkbooks

        'Display the number of FileTypes objects in the collection.
        MsgBox "You are about to search for " & .FileTypes.Count & _
            " file types."

        'Set up the search to look in all subfolders on the C:\ drive.
        .LookIn = "C:\"
        .SearchSubFolders = True

        'Execute the search and test to see if any files
        'were found.
        If .Execute <> 0 Then

            'Display the number of files found.
            MsgBox "Files found: " & .FoundFiles.Count

            'Loop through the list of found files and
            'display the path of each one in a message box.
            For lngCount = 1 To .FoundFiles.Count
                If MsgBox(.FoundFiles.Item(lngCount), vbOKCancel, _
                    "Found files") = vbCancel Then

                    'Break out of the loop
                    lngCount = .FoundFiles.Count

                End If
            Next lngCount
        Else
            MsgBox "No files found."
        End If
    End With
End Sub


FilterIndex 属性

返回或设置一个 Long 类型，表示文件对话框的默认文件筛选。默认筛选决定首次打开文件对话框时显示的文件类型。可读写。

expression.FilterIndex

expression 必需。该表达式返回“应用于”列表中的对象之一。

说明

如果试图将该属性设置为大于筛选数量的数字，将选定最后一个筛选。

示例

本示例使用 FileDialog 对象显示“文件选取器”对话框，并在消息框中显示每个选定的文件。本示例还演示如何新添筛选并其成为默认筛选。

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Add a filter that includes GIF and JPEG images and make it the second item in the list.
        .Filters.Add "Images", "*.gif; *.jpg; *.jpeg", 2

        'Sets the initial file filter to number 2.
        .FilterIndex = 2

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next vrtSelectedItem
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


Filters 属性

返回一个 FileDialogFilters 集合。

expression.Filters

expression 必需。该表达式返回“应用于”列表中的对象之一。

示例

本示例使用 FileDialog 对象显示“文件选取器”对话框，并在消息框中显示每个选定的文件。本示例还新添一个名为 "Images" 的文件筛选。

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Add a filter that includes GIF and JPEG images and make it the first item in the list.
        .Filters.Add "Images", "*.gif; *.jpg; *.jpeg", 1

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next vrtSelectedItem
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


FixedWidthFont 属性

设置或返回宿主应用程序中的等宽字体设置。String 类型，可读写。

说明

在设置 FixedWidthFont 属性时，宿主应用程序不对该值的有效性进行检查。

示例

本示例为活动应用程序中的 English/Western European/Other Latin Script 字符集设置等宽字体和等宽字体的大小。

Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.FixedWidthFont = "System"
Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.FixedWidthFontSize = 12


FixedWidthFontSize 属性

设置或返回宿主应用程序中对等宽字体大小的设置，以磅值为单位。Single 类型，可读写。

说明

设置 FixedWidthFontSize 属性时，宿主应用程序不对该值的有效性进行检查。如果输入了无效的值（如非数字），宿主应用程序会将字体大小设为 0 磅。可以输入精确到 0.5 磅的大小值；如果输入了其他的小数磅值，则该值会被舍入到最接近的半磅值。

示例

本示例为活动应用程序中的 English/Western European/Other Latin Script 字符集设置等宽字体和等宽字体的大小。

Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.FixedWidthFont = "System"
Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.FixedWidthFontSize = 12


FoundFiles 属性

返回一个 FoundFiles 对象，该对象包括一次查找操作中找到的所有文件的文件名。只读。

示例

本示例可实现的功能为：逐个查看找到的文件列表中的每个文件，并显示各文件的路径。

With Application.FileSearch
For i = 1 To .FoundFiles.Count
    MsgBox .FoundFiles(i)
Next I
End With


GuessHelp 属性

本主题中的某些内容可能不适用于某些语言。

如果“Office 助手”气球显示一组关于“帮助”主题的列表，则返回 True。这些主题是根据用户单击“助手”窗口或按 F1 前所选的关键词来确定的。Boolean 类型，可读写。

说明

GuessHelp 属性对应“使用 Office 助手”下的“推测帮助主题”选项，“使用 Office 助手”位于“Office 助手”对话框中的“选项”选项卡中。

示例

本示例使“Office 助手”可以推测“帮助”的主题。

Assistant.GuessHelp = True


Guid 属性

返回指定 COMAddIn 对象的全局唯一类标识符（GUID）。String 类型，只读。

示例

以下示例显示在消息框中第一个 COM 加载项的 ProgID 和 GUID。

MsgBox "My ProgID is " & _
    Application.COMAddIns(1).ProgID & _
    " and my GUID is " & _
    Application.COMAddIns(1).Guid


Heading 属性

本主题中的某些内容可能不适用于某些语言。

返回或设置显示在“Office 助手”气球中的标题。String 类型，可读写。

说明

可通过以下语法指定显示在气球标题中的图形：{type location sizing_factor}，其中 type 是 bmp（位图）或 wmf（Windows 图元文件）；location 是资源 ID 或路径及文件名；sizing_factor 指定 wmf 的宽度，对于 bmp 可省略此值。

气球标题同时支持带下划线的文字以及使用系统调色板的 16 种颜色之一的文字。若要在标题中显示带下划线的文字，请使用语法 {ul} 或 {ul 1}；用 {ul 0} 可清除下划线。若要改变标题字符的颜色，请在字符串之前加上字符序列 {cf number}，其中 number 是下表中所列的系统颜色值之一：

系统颜色值 | 对应颜色
0 | 黑色
1 | 暗红
2 | 深绿
3 | 深黄
4 | 深蓝
5 | 深品红
6 | 深青
7 | 浅灰
248 | 灰
249 | 红
250 | 绿
251 | 黄
252 | 蓝
253 | 品红
254 | 青
255 | 白

如果指定了上述系统颜色值以外的其他数值，那么标题文字为黑色。

示例

本示例创建并显示一个具有标题、文字和三个区域选项的气球。

With Assistant.NewBalloon
    .Button = msoButtonSetOkCancel
    .Heading = "Regional Sales Data"
    .Text = "Select a region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Show
End With


Height 属性

返回或设置命令栏控件或命令栏的高度。Long 类型，可读写。

expression.Height

expression 必需。该表达式返回上面对象之一。

示例

本示例在名为 Custom 的命令栏上添加一个自定义控件。本示例设置该自定义控件的高度为命令栏高度的两倍，并设置宽度为 50 像素。请注意命令栏如何自动调整自身以符合控件。

Set myBar = CommandBars("Custom")
barHeight = myBar.Height
Set myControl = myBar.Controls _
    .Add(Type:=msoControlButton, _
    Id:= CommandBars("Standard").Controls("Save").Id, _
     Temporary:=True)
With myControl
    .Height = barHeight * 2
    .Width = 50
End With
myBar.Visible = True


HelpContextId 属性

返回或设置附加于命令栏控件“帮助”主题的帮助上下文 Id 号。Long 类型，可读写。

说明

若要使用此属性，必须同时设置 HelpFile 属性。帮助主题响应 Shift+F1。

示例

本示例可实现的功能为：添加一个自定义命令栏，该命令栏包含跟踪股票数据的组合框。当用户按下 Shift+F1 时，显示指定的帮助主题。

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlComboBox, ID:=1
    .Visible = True
End With
With CommandBars("Custom").Controls(1)
    .AddItem "Get Stock Quote", 1
    .AddItem "View Chart", 2
    .AddItem "View Fundamentals", 3
    .AddItem "View News", 4
    .Caption = "Stock Data"
    .DescriptionText = "View Data For Stock"
    .HelpFile = "C:\corphelp\custom.hlp"
    .HelpContextID = 47
End With


HelpFile 属性

返回或设置附加于命令栏控件“帮助”主题的“帮助文件”名。String 类型，可读写。

说明

若要使用该属性，必须同时设置 HelpContextID 属性。帮助主题响应 Shift+F1。

示例

本示例可实现的功能为：添加一个自定义命令栏，该命令栏包含跟踪股票数据的组合框。当用户按下 Shift+F1 时，显示指定的帮助主题。

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlComboBox, ID:=1
    .Visible = True
End With
With CommandBars("Custom").Controls(1)
    .AddItem "Get Stock Quote", 1
    .AddItem "View Chart", 2
    .AddItem "View Fundamentals", 3
    .AddItem "View News", 4
    .Caption = "Stock Data"
    .DescriptionText = "View Data For Stock"
    .HelpFile = "C:\corphelp\custom.hlp"
    .HelpContextID = 47
End With


HighPriorityTips 属性

本主题中的某些内容可能不适用于某些语言。

如果“Office 助手”只显示高优先级的提示，则返回 True。Boolean 类型，可读写。

说明

HighPriorityTips 属性对应于“显示有关提示”下的“只显示高优先级提示”选项。“显示有关提示”位于“Office 助手”对话框的“选项”选项卡中。

示例

本示例设置“Office 助手”以便只显示高优先级的提示。

Assistant.HighPriorityTips = True


HTMLProjectItems 属性

返回包含在指定的 HTML 工程中的 HTMLProjectItems 集合。HTMLProjectItems 类型，只读。

示例

本示例返回活动工作簿的 HTML 工程的 HTMLProjectItems 集合中的工程项数。

intCount = ActiveWorkbook.HTMLProject.HTMLProjectItems.Count


HyperlinkType 属性

设置或返回与指定命令栏按钮相关联的超链接的类型。MsoCommandBarButtonHyperlinkType 类型，可读写。

MsoCommandBarButtonHyperlinkType 可为以下 MsoCommandBarButtonHyperlinkType 常量之一：
msoCommandBarButtonHyperlinkInsertPicture
msoCommandBarButtonHyperlinkNone
msoCommandBarButtonHyperlinkOpen

示例

本示例检查命令栏“Custom”上指定命令栏按钮的 HyperlinkType 属性。如果 HyperlinkType 设为 msoCommandBarButtonHyperlinkNone，那么本示例将其设为 msoCommandBarButtonHyperlinkOpen，并且将 URL 设置为 www.microsoft.com。

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
Set myButton = myBar.Controls.Add(Type:=msoControlButton)
With myButton
    .FaceId = 277
    .HyperlinkType = msoCommandBarButtonHyperlinkNone
End With
If myButton.HyperlinkType <> _
    msoCommandBarButtonHyperlinkOpen Then
    myButton.HyperlinkType = _
        msoCommandBarButtonHyperlinkOpen
    myButton.TooltipText = "www.microsoft.com"
End If


Icon 属性

本主题中的某些内容可能不适用于某些语言。

返回或设置显示在“Office 助手”气球左上角的图标类型。 MsoIconType 类型，可读写。

MsoIconType 可为以下 MsoIconType 常量之一：
msoIconAlert
msoIconAlertCritical
msoIconAlertInfo
msoIconAlertQuery
msoIconAlertWarning
msoIconNone
msoIconTip

示例

本示例创建一个带有警告图标的气球，指导用户选择一台打印机。

With Assistant.NewBalloon
    .Heading = "Select A Printer"
    .Text = "You must select a printer before printing."
    .Icon = msoIconAlert
    .CheckBoxes(1).Text = "Local printer"
    .CheckBoxes(2).Text = "Network printer"
    .Show
End With


Id 属性

Id 属性应用于 CommandBarButton、CommandBarComboBox 和 CommandBarControl 对象的情形。

返回内置的命令栏控件的 ID 号。Long 类型，只读。

expression.Id

expression 必需。该表达式返回上述对象之一。

说明

控件的 ID 号决定了控件的内置动作。所有自定义控件 ID 属性的值都是 1。

Id 属性应用于 Script 对象的情形。

设置或返回 Script 对象的 ID。String 类型，可读写。

expression.Id

expression 必需。该表达式返回一个 Script 对象。

说明

该 ID 返回的是 HTML 中 <SCRIPT> 标签的 ID 属性。如果在该 <SCRIPT> 标签中未指定 ID 属性，那么 Id 属性返回空字符串。

Id 指定了一个用于命名元素的 SGML 标识符。合法的标识符可以是任何以字母开头的、由字母数字字符构成的字符串；该字符串还可包含下划线字符（_）。

该 ID 在 HTML 文档中必须唯一。

示例

应用于 CommandBarButton、CommandBarComboBox 和 CommandBarControl 对象的情形。

本示例可实现的功能为：如果“Custom2”命令栏中的第一个控件的 ID 值小于 25，那么更改其按钮图符。

Set ctrl = CommandBars("Custom").Controls(1)
With ctrl
    If .Id < 25 Then
        .FaceId = 17
        .Tag = "Changed control"
    End If
End With

以下示例将工具栏“Standard”中每个控件的标题改为该控件当前的 Id 属性值。

For Each ctl In CommandBars("Standard").Controls
    ctl.Caption = CStr(ctl.Id)
Next ctl

应用于 Script 对象的情形。

本示例将某活动工作簿中工作表的第一个脚本的 Id 属性设置为一个新值。

ActiveWorkbook.Worksheets(1).Scripts(1).Id = "UpdatedScriptName"


Index 属性

返回集合中指定对象的索引号。Long 类型，只读。

expression.Index

expression 必需。该表达式返回“应用于”列表中的对象之一。

说明

第一个命令栏控件的位置为 1。CommandBarControls 集合中的分隔符不算在内。

示例

本示例可实现的功能为：在命令栏“Custom2”中搜索 ID 值为 23 的控件。如果能找到这样的控件，并且其索引号大于 5，那么该控件将放置在命令栏的第一个位置上。

Set myBar = CommandBars("Custom2")
Set ctrl1 = myBar.FindControl(Id:=23)
If ctrl1.Index > 5 Then
    ctrl1.Move before:=1
End If


InitialFileName 属性

设置或返回一个 String 类型，表示文件对话框中初始显示的路径和/或文件名。可读写。

expression.InitialFileName

expression 必需。该表达式返回“应用于”列表中的对象之一。

说明

在指定文件名时可以使用“*”和“?”通配符，但是指定路径时不能使用。“*”表示任何数量的连续字符，而“?”表示单个字符。例如，.InitialFileName = "c:\c*s.txt" 将同时返回“charts.txt”和“checkregister.txt.”。

如果指定了路径而没有指定文件名，则对话框中将显示文件筛选所允许的所有文件。

如果指定了存在于初始文件夹中的文件，则对话框中只显示该文件。

如果指定了初始文件夹中不存在的，则对话框中将没有文件。在 InitialFileName 属性中指定的文件类型将覆盖文件筛选设置。

如果指定了无效路径，则使用上次使用的路径。使用无效路径时将向用户显示警告信息。

将该属性设置为大于 256 个字符的字符串将导致运行时出错。

示例

本示例使用 FileDialog 对象显示“文件选取器”对话框，并在消息框中显示每个选定的文件。

Sub Main()

    'Declare a variable as a FileDialog object
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Set the initial path to the C:\ drive.
        .InitialFileName = "C:\"

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next vrtSelectedItem
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


InitialView 属性

返回或设置一个 MsoFileDialogView 常量，表示文件对话框中文件和文件夹的初始显示。可读写。

MsoFileDialogView 可以为下列 MsoFileDialogView 常量之一。
msoFileDialogViewDetails
msoFileDialogViewLargeIcons
msoFileDialogViewList
msoFileDialogViewPreview
msoFileDialogViewProperties
msoFileDialogViewSmallIcons
msoFileDialogViewThumbnail 该常量仅在 Microsoft Windows 2000 或 Microsoft Windows Millennium Edition 及更高版本中可用。
msoFileDialogViewWebView 不可用。如果选择该常量，将使用默认视图。

expression.InitialView

expression 必需。该表达式返回“应用于”列表中的对象之一。

示例

本示例使用 FileDialog 对象显示“文件选取器”对话框，并在消息框中显示每个选定的文件。

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Set the initial view to the details view.
        .InitialView = msoFileDialogViewDetails

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next vrtSelectedItem
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


Introduction 属性

设置或返回使用 MsoEnvelope 对象发送的文档中包含的介绍性文本。介绍性文本包含于电子邮件中文档的顶部。String 类型，可读写。

expression.Introduction

expression 必需。该表达式返回“应用于”列表中的对象之一。

示例

本示例将活动的 Microsoft Word 文档以电子邮件发送到传递给子例程的电子邮件地址。

Sub SendMail(ByVal strRecipient As String)

    'Use a With...End With block to reference the MsoEnvelope object.
    With Application.ActiveDocument.MailEnvelope

        'Add some introductory text before the body of the e-mail.
        .Introduction = "Please read this and send me your comments."

        'Return a MailItem object that you can use to send the document.
        With .Item

            'All of the mail item settings are saved with the document.
            'When you add a recipient to the Recipients collection
            'or change other properties these settings will persist.

            .Recipients.Add strRecipient
            .Subject = "Here is the document."

            'The body of this message will be
            'the content of the active document.
            .Send
        End With
    End With
End Sub


IsCertificateExpired 属性

如果对应于 Signature 对象的数码证书已经过期，则返回 True。Boolean 类型，只读。

expression.IsCertificateExpired

expression 必需。该表达式返回“应用于”列表中的对象之一。

示例

本示例提示用户选择 Microsoft Word 中活动文档的数字签名。要使用本示例，请在 Word 中打开文档，并向该函数传递与“数码证书”对话框中数码证书的“颁发者”和“颁发给”字段相符的证书颁发者名字和证书签署者名字。该函数在将新签名提交到磁盘之前将进行测试以确保用户所选择的数字签名满足指定条件，例如没有过期。

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test several properties before commiting the Signature object to disk.
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "Signed"
        AddSignature = True
    'Otherwise, remove the Signature object from the SignatureSet collection.
    Else
        sig.Delete
        MsgBox "Not signed"
        AddSignature = False
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


IsCertificateRevoked 属性

如果对应于 Signature 对象的数码证书已经被证书颁发者宣布无效，则返回 。Boolean 类型，只读。

expression.IsCertificateRevoked

expression 必需。该表达式返回“应用于”列表中的对象之一。

示例

本示例提示用户选择 Microsoft Word 中活动文档的数字签名。要使用本示例，请在 Word 中打开文档，并向该函数传递与“数码证书”对话框中数码证书的“颁发者”和“颁发给”字段相符的证书颁发者名字和证书签署者名字。该函数在将新签名提交到磁盘之前将进行测试以确保用户所选择的数字签名满足指定条件，例如没有过期。

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test several properties before commiting the Signature object to disk.
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "Signed"
        AddSignature = True
    'Otherwise, remove the Signature object from the SignatureSet collection.
    Else
        sig.Delete
        MsgBox "Not signed"
        AddSignature = False
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


IsOpen 属性

如果指定的 HTML 工程项在“Microsoft 脚本编辑器”中处于打开状态，则返回 True。Boolean 类型，只读。

示例

本示例将判断指定的 HTML 工程项是否处于打开状态。如果是，本示例则从指定文件加载脚本。

If ActiveWorkbook.HTMLProject.HTMLProjectItems _
    .Item(1).IsOpen Then
    ActiveWorkbook.HTMLProject.HTMLProjectItems _
        .Item(1).LoadFromFile ("C:\MyScript.txt")
Else
    MsgBox "The HTMLProjectItem is not open."
End If


IsPriorityDropped 属性

如果已根据使用统计和布局空间将指定控件从菜单或工具栏中略去，则返回 True。注意：这与通过 Visible 属性设置控件的可见性不同。控件的 Visible 属性为 True 时，如果 IsPriorityDropped 属性为 True，则不能在“个性化菜单”或“工具栏”中立即看到该控件。Boolean 类型，只读。

说明

为了确定何时将某个菜单项的 IsPriorityDropped 属性设置为 True，Office 会记录下该菜单项的使用次数的总和，并记录下用户使用了同一菜单中的其他菜单项而没有使用该菜单项的应用程序会话数。当该会话数达到了一定的阈值之后，便会减少使用次数总和。当总次数减为零时，便将 IsPriorityDropped 设置为 True。程序开发人员不能设置会话值和阈值，也不能设置 IsPriorityDropped 属性。但开发人员可以使用 AdaptiveMenus 属性来禁用应用程序中指定菜单的自适应功能。

为了确定何时将某个工具栏控件的 IsPriorityDropped 属性设置为 True，Office 维护了一张列表，记录下了该工具栏中各个控件的最后使用顺序。工具栏会在空间允许的前提下尽可能多地显示控件，控件按使用时间由近向远排列，最近使用过的控件显示在最前面。Priority 属性值为 1 的控件将始终显示在工具栏上，而且为了显示这样的控件，在必要时工具栏还将换行。程序开发人员可利用 Priority 属性来确保始终显示特定的工具栏控件，或重新定位工具栏以便使其有足够的空间显示其中所有的控件。

根据下表可以预测在菜单项的 IsPriorityDropped 属性被设置为 True 之前，它仍将出现在个性化菜单中的会话数。

命令栏控件的使用次数 | 应用程序的会话数
0，1 | 3
2 | 6
3 | 9
4，5 | 12
6– 8 | 17
9–13 | 23
14–24 | 29
25 及 25 以上 | 31

示例

本示例可实现的功能为：检查“Custom”命令栏上的第一个控件的 IsPriorityDropped 属性值。如果 IsPriorityDropped 的值为 True，则将 AdaptiveMenus 属性的值置为 False，恢复已略去的命令栏。

If CommandBars("Custom").Controls(1).IsPriorityDropped Then
    CommandBars.AdaptiveMenus = True
End If


Issuer 属性

返回一个 String 类型，表示对应于 Signature 对象的数码证书的颁发者名字。只读。

expression.Issuer

expression 必需。该表达式返回“应用于”列表中的对象之一。

示例

本示例提示用户选择 Microsoft Word 中活动文档的数字签名。要使用本示例，请在 Word 中打开文档，并向该函数传递与“数码证书”对话框中数码证书的“颁发者”和“颁发给”字段相符的证书颁发者名字和证书签署者名字。该函数在将新签名提交到磁盘之前将进行测试以确保用户所选择的数字签名满足指定条件，例如没有过期。

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test several properties before commiting the Signature object to disk.
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "Signed"
        AddSignature = True
    'Otherwise, remove the Signature object from the SignatureSet collection.
    Else
        sig.Delete
        MsgBox "Not signed"
        AddSignature = False
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


IsValid 属性

如果对应于 Signature 对象的数码证书为有效证书，则返回 True。证书无效有多种原因，包括已经过期和所在文档的更改。Boolean 类型，只读。

expression.IsValid

expression 必需。该表达式返回“应用于”列表中的对象之一。

示例

本示例提示用户选择 Microsoft Word 中活动文档的数字签名。要使用本示例，请在 Word 中打开文档，并向该函数传递与“数码证书”对话框中数码证书的“颁发者”和“颁发给”字段相符的证书颁发者名字和证书签署者名字。该函数在将新签名提交到磁盘之前将进行测试以确保用户所选择的数字签名满足指定条件，例如没有过期。

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test several properties before commiting the Signature object to disk.
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "Signed"
        AddSignature = True
    'Otherwise, remove the Signature object from the SignatureSet collection.
    Else
        sig.Delete
        MsgBox "Not signed"
        AddSignature = False
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


Item 属性

Item 属性应用于 FileTypes 集合的情形。

返回一个数值，指出 FileSearch 对象的 Execute 方法将搜索的文件类型。MsoFileType 类型，只读。

MsoFileType 可以为下列 MsoFileType 常量之一。
msoFileTypeAllFiles
msoFileTypeBinders
msoFileTypeCalendarItem
msoFileTypeContactItem
msoFileTypeDatabases
msoFileTypeDataConnectionFiles
msoFileTypeDesignerFiles
msoFileTypeDocumentImagingFiles
msoFileTypeExcelWorkbooks
msoFileTypeJournalItem
msoFileTypeMailItem
msoFileTypeNoteItem
msoFileTypeOfficeFiles
msoFileTypeOutlookItems
msoFileTypePhotoDrawFiles
msoFileTypePowerPointPresentations
msoFileTypeProjectFiles
msoFileTypePublisherFiles
msoFileTypeTaskItem
msoFileTypeTemplates
msoFileTypeVisioFiles
msoFileTypeWebPages
msoFileTypeWordDocuments

expression.Item(Index)

expression 必需。该表达式返回一个 FileTypes 集合。

Index Long 类型，必需。要返回的对象索引号。

Item 属性应用于 CommandBars 对象的情形。

返回 CommandBars 集合中的 CommandBar 对象。

expression.Item(Index)

expression 必需。该表达式返回一个 CommandBars 对象。

Index Variant 类型，必需。要返回的对象名称或索引号。

Item 属性应用于 CommandBarControls 对象的情形。

返回 CommandBarControls 集合中的 CommandBarControl 对象。

expression.Item(Index)

expression 必需。该表达式返回一个 CommandBarControls 对象。

Index Variant 类型，必需。要返回的对象名称或索引号。

Item 属性应用于 DocumentProperties 对象的情形。

返回 DocumentProperties 集合中的 DocumentProperty 对象。

expression.Item(Index)

expression 必需。该表达式返回一个 DocumentProperties 对象。

Index Variant 类型，必需。要返回的文档属性名称或索引号。

Item 属性应用于 BalloonCheckboxes 和 BalloonLabels 对象的情形。

返回 BalloonCheckBox 或 BalloonLabel 对象。

expression.Item(Index)

expression 必需。该表达式返回上面对象之一。

Index Long 类型，必需。要返回的复选框或标签的索引号。

Item 属性应用于 MsoEnvelope 对象的情形。

返回可用于将文档以电子邮件发送的 MailItem 对象。

expression.Item

expression 必需。该表达式返回一个 MsoEnvelope 对象。

Item 属性应用于 PropertyTests 对象的情形。

返回 PropertyTests 集合中的 PropertyTest 对象。

expression.Item(Index)

expression 必需。该表达式返回一个 PropertyTests 对象。

Index Long 类型，必需。要返回的属性测试的索引号。

Item 属性应用于 ScopeFolders 和 SearchFolders 对象的情形。

返回一个表示父对象的子文件夹的 ScopeFolder 对象。

expression.Item(Index)

expression 必需。该表达式返回上面对象之一。

Index Long 类型，必需。确定要返回的子文件夹。

Item 属性应用于 SearchScopes 对象的情形。

返回一个 SearchScope 对象，对应于执行文件搜索的区域，例如本地驱动器或 Microsoft Outlook 文件夹。

expression.Item(Index)

expression 必需。该表达式返回一个 SearchScopes 对象。

Index Long 类型，必需。确定要返回的 SearchScope 对象。

Item 属性应用于 SignatureSet 对象的情形。

返回一个 Signature 对象，对应于文档当前使用的数字签名。

expression.Item(iSig)

expression 必需。该表达式返回一个 SignatureSet 对象。

iSig Long 类型，必需。确定要返回的 Signature 对象。

Item 属性应用于 AnswerWizardFiles 和 FoundFiles 对象的情形。

分别从 AnswerWizardFiles 集合中返回文件名字符串，或从 FoundFiles 对象表示的文件名列表中返回文件名。String 类型，只读。

expression.Item(Index)

expression 必需。该表达式返回上面对象之一。

Index Long 类型，必需。要返回的“应答向导”文件名字符串或文件名的索引号。

Item 属性应用于 Assistant、BalloonCheckbox、BalloonLabel 和 FileDialog 对象的情形。

返回对象相关的文本。String 类型，只读。

expression.Item

expression 必需。该表达式返回上面对象之一。

Item 属性应用于 WebPageFonts 对象的情形。

返回 WebPageFonts 集合中特定 MsoCharacterSet 值的 WebPageFont 对象。

expression.Item(Index)

expression 必需。该表达式返回上面对象之一。

Index MsoCharacterSet 类型，必需。指定的字符集。

MsoCharacterSet 可以为下列 MsoCharacterSet 常量之一。
msoCharacterSetArabic
msoCharacterSetCyrillic
msoCharacterSetEnglishWesternEuropeanOtherLatinScript
msoCharacterSetGreek
msoCharacterSetHebrew
msoCharacterSetJapanese
msoCharacterSetKorean
msoCharacterSetMultilingualUnicode
msoCharacterSetSimplifiedChinese
msoCharacterSetThai
msoCharacterSetTraditionalChinese
msoCharacterSetVietnamese

示例

应用于 CommandBars 对象的情形。

Item 为对象或集合的默认成员。下面两个语句均将 CommandBar 对象指定给 cmdBar。

Set cmdBar = CommandBars.Item("Standard")
Set cmdBar = CommandBars("Standard")

应用于 BalloonCheckboxes 和 BalloonLabels 对象的情形。

Item 为对象或集合的默认成员。下面两个语句均将指定给 myBalloon 的 Balloon 对象中的第一个标签的文本指定给 lblText。

lblText = myBalloon.Labels(1).Item
lblText = myBalloon.Labels(1)

应用于 AnswerWizardFiles 和 FoundFiles 对象的情形。

本示例重置当前“应答向导”的文件列表，并在消息框中显示文件数量和文件名，使用 Item 属性返回文件名。

Dim customAnswerWizard As AnswerWizard
Dim strFileList As String
Dim intCounter As Integer
Dim intNumFiles As Integer
Set customAnswerWizard = Application.AnswerWizard
intCounter = 1

customAnswerWizard.ResetFileList
strFileList = ""
intNumFiles = customAnswerWizard.Files.Count
For intCounter = 1 To (intNumFiles)
    strFileList = strFileList & _
    customAnswerWizard.Files.Item(intCounter) & Chr(13)
Next

MsgBox "There are " & customAnswerWizard.Files.Count & _
    " files avaialble through this AnswerWizard: " & _
    Chr(13) & strFileList

应用于 WebPageFonts 对象的情形。

本示例在活动应用程序中使用 Item 属性将 myFont 设置为应用 English/Western European/Other Latin Script 字符集的 WebPageFont 对象。

Dim myFont As WebPageFont
Set myFont = _
 Application.DefaultWebOptions.Fonts. _
 Item(msoCharacterSetEnglishWesternEuropeanOtherLatinScript)

应用于 MsoEnvelope 对象的情形。

本示例将活动的 Microsoft Word 文档以电子邮件发送到传递给子例程的电子邮件地址。

Sub SendMail(ByVal strRecipient As String)

    'Use a With...End With block to reference the msoEnvelope object.
    With Application.ActiveDocument.MailEnvelope

        'Add some introductory text before the body of the e-mail message.
        .Introduction = "Please read this and send me your comments."

        'Return a MailItem object that you can use to send the document.
        With .Item

            'All of the mail item settings are saved with the document.
            'When you add a recipient to the Recipients collection
            'or change other properties these settings will persist.

            .Recipients.Add strRecipient
            .Subject = "Here is the document."

            'The body of this message will be
            'the content of the active document.
            .Send
        End With
    End With
End Sub


KeyboardShortcutTips 属性

本主题中的某些内容可能不适用于某些语言。

如果“Office 助手”显示有关快捷键的帮助信息，则返回 True。Boolean 类型，可读写。

说明

KeyboardShortcutTips 属性对应于“显示有关提示”下的“键盘快捷方式”选项。“显示有关提示”位于“Office 助手”对话框中的“选项”选项卡中。

示例

本示例设置“Office 助手”以提供有关键盘快捷键的帮助信息。

Assistant.KeyboardShortcutTips = True


Labels 属性

本主题中的某些内容可能不适用于某些语言。

返回一个 BalloonLabels 集合，该集合代表指定的“Office 助手”气球中包含的所有按钮标签、编号标签和项目符号标签。只读。

有关返回单一集合成员的详细信息，请参阅返回集合中的对象。

示例

本示例创建一个带有三个选项的气球。设变量 x 为 Show 方法的返回值，可取 1、2 或 3，分别对应于用户所单击的标签。在本例中，用一个消息框显示变量 x 的值。当然，也可将该变量的值传递给其他过程，或在 Select Case 语句中使用该值。

Set b = Assistant.NewBalloon
With b
    .Heading = "This is my heading"
    .Text = "Select one of these things:"
    .Labels(1).Text = "Choice One"
    .Labels(2).Text = "Choice Two"
    .Labels(3).Text = "Choice Three"
    x = .Show
End With
MsgBox x


Language 属性

指定或返回活动脚本所使用的脚本语言。MsoScriptLanguage 类型，可读写。

MsoScriptLanguage 可为以下 MsoScriptLanguage 常量之一：
msoScriptLanguageASP
msoScriptLanguageJava
msoScriptLanguageOther
msoScriptLanguageVisualBasic

说明

带有 Language 属性的 MsoScriptLanguage 常量同时也用于 Scripts 集合的 Add 方法中的 Language 参数。

示例

本示例检查 Language 属性，以确保活动工作簿的第一个工作表中的第一个脚本是用 VBScript 写成的。

If ActiveWorkbook.Worksheets(1).Scripts(1).Language <> _
    msoScriptLanguageVisualBasic Then
      MsgBox "Language is not set to VBScript."
End If


LanguageID 属性

返回安装语言、用户界面语言或帮助语言的语言标识符（Locale Identifier, LCID）。Long 类型，只读。

expression.LanguageID(Id)

expression 必需。该表达式返回一个 LanguageSettings 对象。

Id MsoAppLanguageID 类型，必需。

MsoAppLanguageID 常量 | 含义
msoLanguageIDExeMode | 应用程序所使用的语言模式。此设置只用于 Microsoft Excel 和 Microsoft Access。此设置将影响可以显示及编辑的语言，可用的与语言相关的功能、数字格式和货币格式设置等。 如果没有使用任何 Excel 和 Access 支持的语言，那么就不能将宿主应用程序设置为支持从右向左显示的语言和东亚语言。支持的语言如下： 阿拉伯语 朝鲜语 法斯语 繁体中文 简体中文 日文 乌尔都语 希伯来语 犹太语
msoLanguageIDHelp | 联机帮助所用的语言。
msoLanguageIDInstall | Microsoft Office 建立默认设置时所使用的语言设置。例如，Microsoft Word 根据此设置决定工具栏的布局以及与语言相关的项目符号和编号的默认类型。
msoLanguageIDUI | 宿主应用程序的用户界面所用的语言。
msoLanguageIDUIPrevious | 上一次启动指定计算机时，用户界面的语言设置。程序或加载项可据此判断用户界面的语言是否发生了更改。

示例

此 Microsoft Excel 示例对用户界面和执行模式的 LanguageID 属性设置进行检查，以检验它们的 LCID 设置是否相同，如果不同，本示例将返回一条出错信息。

If Application.LanguageSettings.LanguageID(msoLanguageIDExeMode) _
    <> Application.LanguageSettings.LanguageID(msoLanguageIDUI) _
    Then MsgBox "The user interface language and execution " & _
    "mode are different."


LanguagePreferredForEditing 属性

如果常量 msoLanguageID 的值已在 Windows 注册表中被标识为编辑的首选语言，则返回 True。Boolean 类型，只读。

expression.LanguagePreferredForEditing(lid)

expression 必需。该表达式返回“应用于”列表中的一个对象。

lid MsoLanguageID 类型，必需。

MsoLanguageID 可为以下 MsoLanguageID 常量之一：
msoLanguageIDAfrikaans
msoLanguageIDAlbanian
msoLanguageIDAmharic
msoLanguageIDArabic
msoLanguageIDArabicAlgeria
msoLanguageIDArabicBahrain
msoLanguageIDArabicEgypt
msoLanguageIDArabicIraq
msoLanguageIDArabicJordan
msoLanguageIDArabicKuwait
msoLanguageIDArabicLebanon
msoLanguageIDArabicLibya
msoLanguageIDArabicMorocco
msoLanguageIDArabicOman
msoLanguageIDArabicQatar
msoLanguageIDArabicSyria
msoLanguageIDArabicTunisia
msoLanguageIDArabicUAE
msoLanguageIDArabicYemen
msoLanguageIDArmenian
msoLanguageIDAssamese
msoLanguageIDAzeriCyrillic
msoLanguageIDAzeriLatin
msoLanguageIDBasque
msoLanguageIDBelgianDutch
msoLanguageIDBelgianFrench
msoLanguageIDBengali
msoLanguageIDBrazilianPortuguese
msoLanguageIDBulgarian
msoLanguageIDBurmese
msoLanguageIDByelorussian
msoLanguageIDCatalan
msoLanguageIDCherokee
msoLanguageIDChineseHongKong
msoLanguageIDChineseMacao
msoLanguageIDChineseSingapore
msoLanguageIDCroatian
msoLanguageIDCzech
msoLanguageIDDanish
msoLanguageIDDutch
msoLanguageIDEnglishAUS
msoLanguageIDEnglishBelize
msoLanguageIDEnglishCanadian
msoLanguageIDEnglishCaribbean
msoLanguageIDEnglishIreland
msoLanguageIDEnglishJamaica
msoLanguageIDEnglishNewZealand
msoLanguageIDEnglishPhilippines
msoLanguageIDEnglishSouthAfrica
msoLanguageIDEnglishTrinidad
msoLanguageIDEnglishUK
msoLanguageIDEnglishUS
msoLanguageIDEnglishZimbabwe
msoLanguageIDEstonian
msoLanguageIDFaeroese
msoLanguageIDFarsi
msoLanguageIDFinnish
msoLanguageIDFrench
msoLanguageIDFrenchCameroon
msoLanguageIDFrenchCanadian
msoLanguageIDFrenchCotedIvoire
msoLanguageIDFrenchLuxembourg
msoLanguageIDFrenchMali
msoLanguageIDFrenchMonaco
msoLanguageIDFrenchReunion
msoLanguageIDFrenchSenegal
msoLanguageIDFrenchWestIndies
msoLanguageIDFrenchZaire
msoLanguageIDFrisianNetherlands
msoLanguageIDGaelicIreland
msoLanguageIDGaelicScotland
msoLanguageIDGalician
msoLanguageIDGeorgian
msoLanguageIDGerman
msoLanguageIDGermanAustria
msoLanguageIDGermanLiechtenstein
msoLanguageIDGermanLuxembourg
msoLanguageIDGreek
msoLanguageIDGujarati
msoLanguageIDHebrew
msoLanguageIDHindi
msoLanguageIDHungarian
msoLanguageIDIcelandic
msoLanguageIDIndonesian
msoLanguageIDInuktitut
msoLanguageIDItalian
msoLanguageIDJapanese
msoLanguageIDKannada
msoLanguageIDKashmiri
msoLanguageIDKazakh
msoLanguageIDKhmer
msoLanguageIDKirghiz
msoLanguageIDKonkani
msoLanguageIDKorean
msoLanguageIDLao
msoLanguageIDLatvian
msoLanguageIDLithuanian
msoLanguageIDMacedonian
msoLanguageIDMalayalam
msoLanguageIDMalayBruneiDarussalam
msoLanguageIDMalaysian
msoLanguageIDMaltese
msoLanguageIDManipuri
msoLanguageIDMarathi
msoLanguageIDMexicanSpanish
msoLanguageIDMixed
msoLanguageIDMongolian
msoLanguageIDNepali
msoLanguageIDNone
msoLanguageIDNoProofing
msoLanguageIDNorwegianBokmol
msoLanguageIDNorwegianNynorsk
msoLanguageIDOriya
msoLanguageIDOromo
msoLanguageIDPolish
msoLanguageIDPortuguese
msoLanguageIDPunjabi
msoLanguageIDRhaetoRomanic
msoLanguageIDRomanian
msoLanguageIDRomanianMoldova
msoLanguageIDRussian
msoLanguageIDRussianMoldova
msoLanguageIDSamiLappish
msoLanguageIDSanskrit
msoLanguageIDSerbianCyrillic
msoLanguageIDSerbianLatin
msoLanguageIDSesotho
msoLanguageIDSimplifiedChinese
msoLanguageIDSindhi
msoLanguageIDSlovak
msoLanguageIDSlovenian
msoLanguageIDSorbian
msoLanguageIDSpanish
msoLanguageIDSpanishArgentina
msoLanguageIDSpanishBolivia
msoLanguageIDSpanishChile
msoLanguageIDSpanishColombia
msoLanguageIDSpanishCostaRica
msoLanguageIDSpanishDominicanRepublic
msoLanguageIDSpanishEcuador
msoLanguageIDSpanishElSalvador
msoLanguageIDSpanishGuatemala
msoLanguageIDSpanishHonduras
msoLanguageIDSpanishModernSort
msoLanguageIDSpanishNicaragua
msoLanguageIDSpanishPanama
msoLanguageIDSpanishParaguay
msoLanguageIDSpanishPeru
msoLanguageIDSpanishPuertoRico
msoLanguageIDSpanishUruguay
msoLanguageIDSpanishVenezuela
msoLanguageIDSutu
msoLanguageIDSwahili
msoLanguageIDSwedish
msoLanguageIDSwedishFinland
msoLanguageIDSwissFrench
msoLanguageIDSwissGerman
msoLanguageIDSwissItalian
msoLanguageIDTajik
msoLanguageIDTamil
msoLanguageIDTatar
msoLanguageIDTelugu
msoLanguageIDThai
msoLanguageIDTibetan
msoLanguageIDTigrignaEritrea
msoLanguageIDTigrignaEthiopic
msoLanguageIDTraditionalChinese
msoLanguageIDTsonga
msoLanguageIDTswana
msoLanguageIDTurkish
msoLanguageIDTurkmen
msoLanguageIDUkrainian
msoLanguageIDUrdu
msoLanguageIDUzbekCyrillic
msoLanguageIDUzbekLatin
msoLanguageIDVenda
msoLanguageIDVietnamese
msoLanguageIDWelsh
msoLanguageIDXhosa
msoLanguageIDZulu

说明

必须测试所有有效的 msoLanguageID 值以列举出首选语言集。

示例

如果美式英语是首选编辑语言之一，那么本示例将显示一条消息。

If Application.LanguageSettings. _
    LanguagePreferredForEditing(msoLanguageIDEnglishUS) Then
    MsgBox "One of the preferred editing languages is US English."
End If


LargeButtons 属性

如果显示的工具栏按钮比常规的要大，则返回 True。Boolean 类型，可读写。

示例

本示例实现的功能是：指定所有命令栏上工具栏按钮的显示大小，即在大按钮和小按钮两种方式间切换。

Set allBars = CommandBars
If allBars.LargeButtons Then
    allBars.LargeButtons = False
Else
    allBars.LargeButtons = True
End If


LastModified 属性

返回或设置一个常量，该常量代表指定文件自从上次修改和保存以来的时间。 默认值为 msoLastModifiedAnyTime。MsoLastModified 可读写。

MsoLastModified 可为以下 MsoLastModified 常量之一：
msoLastModifiedAnyTime
msoLastModifiedLastMonth
msoLastModifiedLastWeek
msoLastModifiedThisMonth
msoLastModifiedThisWeek
msoLastModifiedToday
msoLastModifiedYesterday

示例

本示例可实现的功能为：为文件查找过程设置选项。该查找过程返回的是“C:\My Documents”文件夹或其子文件夹中，昨天修改过的文件。

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .SearchSubFolders = True
    .LastModified = msoLastModifiedYesterday
End With


Left 属性

本主题中的某些内容可能不适用于某些语言。

Left 属性应用于 Assistant 和 CommandBar 对象的情形。

从指定对象的左边相对于屏幕的左边，以点数为单位设置或返回“Office 助手”窗口的水平位置，或以像素为单位设置或返回命令栏的距离。Long 类型，可读写。

expression.Left

expression 必需。该表达式返回上面对象之一。

Left 属性应用于 CommandBarButton、CommandBarComboBox、CommandBarControl 和 CommandBarPopup 对象的情形。

以像素为单位设置或返回指定命令栏控件相对于屏幕左边缘的水平位置。返回与固定区域左边的距离。Long 类型，只读。

expression.Left

expression 必需。该表达式返回上面对象之一。

示例

应用于 Assistant 和 CommandBar 对象的情形。

本示例显示“Office 助手”并将其移动到窗口中指定的位置。

With Assistant
    .Visible = True
    .Left = 300
    .Top = 300
End With

本示例将名为 Custom 的命令栏从其固定位置沿窗口顶部移动窗口的左边。

Set myBar = CommandBars("Custom")
With myBar
    .Position = 1
    .RowIndex = 2
    .Left = 0
End With


LinkSource 属性

返回或设置所链接的自定义文档属性的链接源。String 类型，可读写。

说明

本属性只用于自定义文档属性，不能用于内置文档属性。

指定链接的链接源由容器应用程序定义。

设置 LinkSource 属性将使 LinkToContent 属性值设为 True。

示例

本示例可实现的功能为：显示自定义文档属性的链接状态。要使本示例正常工作，dp 必须是一个有效的 DocumentProperty 对象。

Sub DisplayLinkStatus(dp As DocumentProperty)
    Dim stat As String, tf As String
    If dp.LinkToContent Then
        tf = ""
    Else
        tf = "not "
    End If
    stat = "This property is " & tf & "linked"
    If dp.LinkToContent Then
        stat = stat + Chr(13) & "The link source is " & dp.LinkSource
    End If
    MsgBox stat
End Sub


LinkToContent 属性

如果指定的自定义文档属性链接到容器文档的内容上，则返回 True。如果该值是静态的，则该属性值为 False。Boolean 类型，可读写。

说明

该属性只用于自定义文档属性。对内置文档属性，该属性值总为 False。

用 LinkSource 属性可为指定的链接属性设置链接源。设置 LinkSource 属性将使 LinkToContent 属性值设置为 True。

示例

本示例可实现的功能为：显示自定义文档属性的链接状态。若要使本示例正常工作，dp 必须是一个有效的 DocumentProperty 对象。

Sub DisplayLinkStatus(dp As DocumentProperty)
    Dim stat As String, tf As String
    If dp.LinkToContent Then
        tf = ""
    Else
        tf = "not "
    End If
    stat = "This property is " & tf & "linked"
    If dp.LinkToContent Then
        stat = stat + Chr(13) & "The link source is " & dp.LinkSource
    End If
    MsgBox stat
End Sub


List 属性

返回或设置命令栏的组合框控件中某项的值。String 类型，可读写。

注意 对于内置的组合框控件，该属性为只读。

expression.List(Index)

expression 必需。该表达式返回一个 CommandBarComboBox 对象。

Index Long 类型，必需。要设置的项。

示例

本示例可实现的功能为：查看标题为“Stock Data”的组合框控件（该控件位于命令栏“Custom”上）中第四个列表项的值。如果该项不是“View News”，则显示一条消息提示用户组合框可能已损坏并要求重新安装应用程序。

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlComboBox, ID:=1
    .Visible = True
End With
With CommandBars("Custom").Controls(1)
    .AddItem "Get Stock Quote", 1
    .AddItem "View Chart", 2
    .AddItem "View Fundamentals", 3
    .AddItem "View News", 4
    .Caption = "Stock Data"
    .DescriptionText = "View Data For Stock"
End With
If CommandBars("Custom").Controls(1).List(4) _
     <> "View News" Then
MsgBox ("Stock Data appears to be damaged." & _
     " Please reinstall application.")
End If


ListCount 属性

返回指定命令栏组合框控件中列表项的数目。Long 类型，只读。

示例

本示例可实现的功能为：查看命令栏“Custom”上某组合框控件中的项数。如果过程所产生的列表中包含的项数小于三，则显示一条消息提示用户组合框可能已损坏并要求重新安装应用程序。

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlComboBox, ID:=1
    .Visible = True
End With
With CommandBars("Custom").Controls(1)
    .AddItem "Get Stock Quote", 1
    .AddItem "View Chart", 2
    .AddItem "View Fundamentals", 3
    .Caption = "Stock Data"
    .DescriptionText = "View Data For Stock"
End With
If CommandBars("Custom").Controls(1).ListCount _
     <> 4 Then
MsgBox ("ComboBox appears to be damaged." & _
     " Please reinstall.")
End If


ListHeaderCount 属性

返回或设置命令栏组合框控件中出现在分隔行之上的列表项的数目。Long 类型，可读写。

注意 对于内置的组合框控件，该属性为只读。

说明

ListHeaderCount 属性值为 - 1 时表示组合框控件中没有分隔行。

示例

本示例可实现的功能为：在命令栏“Custom”中添加一个组合框控件，然后在该组合框列表中添加两个列表项。并且用 ListHeaderCount 属性在组合框的第一项和第二项间显示一分隔行。此外，本示例还设置列表项的行数，组合框的宽度，并将该组合框的默认值设置为空。

Set myBar = CommandBars("Custom")
Set myControl = myBar.Controls.Add(Type:=msoControlComboBox)
With myControl
    .AddItem Text:="First Item", Index:=1
    .AddItem Text:="Second Item", Index:=2
    .DropDownLines = 3
    .DropDownWidth = 75
    .ListHeaderCount = 1
End With


ListIndex 属性

返回或设置在命令栏组合框控件的列表框中选定项的索引号。如果没有选中列表中的任何项，那么该属性的返回值为 0。Long 类型，可读写。

注意 此属性只能用于列表框控件。

说明

设置 ListIndex 属性，使指定控件选中给定的项，并在应用程序中执行与该选项对应的操作。

示例

本示例根据命令栏“My Custom Bar”组合框中的选项，用 ListIndex 属性确定需运行的正确的子程序。因为本示例使用 ListIndex 属性，所以组合框中的文本可为任意内容。

Sub processSelection()
Dim userChoice As Long
userChoice = CommandBars("My Custom Bar").Controls(1).ListIndex
    Select Case userChoice
        Case 1
            chartcourse
        Case 2
            displaygraph
        Case Else
            MsgBox ("Invalid choice. Please choose again.")
    End Select
End Sub


Location 属性

返回脚本标记在指定 HTML 文档中的位置。 MsoScriptLocation 类型，只读。

MsoScriptLocation 可为以下 MsoScriptLocation 常量之一：
msoScriptLocationInBody
msoScriptLocationInHead

说明

HTML 文档中的脚本标记可出现在文档的 <HTML> 标记之间的任何位置。在 Microsoft Word、Excel 或 PowerPoint中，只有位于 <BODY> 标记之间的脚本标记才是可见的。出现在 <BODY> 标记前后的其他 HTML 脚本可以保留，但对用户不可见。

Scripts 集合包含文档中出现的所有脚本标记，无论脚本标记位于正文之中还是正文之外。利用 Add 方法的 Location 参数，可在 HTML 文档的 <HEAD> 和 <BODY> 标记之间插入脚本标记。还可用 Location 属性判断某个脚本标记存储在文档中的位置。

示例

本示例检查活动工作簿中第一张工作表的第一个脚本的 Location 属性，并将该位置显示在消息框中。

If ActiveWorkbook.Worksheets(1).Scripts(1).Location = 1 Then
    MsgBox "The script in located in the header."
End If
If ActiveWorkbook.Worksheets(1).Scripts(1).Location = 2 Then
    MsgBox "The script in located in the body of the worksheet."
End If


LookIn 属性

返回或设置在指定的文件搜索过程中要搜索的文件夹。String 类型，可读写。

示例

本示例可实现的功能为：在“My Documents”文件夹中查找文件名以“Cmd”开头的文件，并显示找到的每个文件的文件名及其所在位置。

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .FileName = "cmd*.*"
    If .Execute > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
        " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With


Mask 属性

返回表示 CommandBarButton 对象的屏蔽图像的 IPictureDisp 对象。屏蔽图像决定按钮图像透明的部分。

expression.Mask

expression 必需。该表达式返回一个 CommandBarButton 对象。

说明

在创建要作为屏蔽图像使用的图像时，所有要透明的区域应该为白色，所有要显示的区域应该为黑色。

通常在设置了 CommandBarButton 对象的图片后设置屏蔽。

示例

本示例设置代码返回的第一个 CommandBarButton 的图像和屏蔽。要使本示例正常工作，请创建屏蔽图像和按钮图像，并以图像的路径替换范例中的路径。

Sub ChangeButtonImage()
    Dim picPicture As IPictureDisp
    Dim picMask As IPictureDisp

    Set picPicture = stdole.StdFunctions.LoadPicture( _
        "c:\images\picture.bmp")
    Set picMask = stdole.StdFunctions.LoadPicture( _
        "c:\images\mask.bmp")

    'Reference the first button on the first command bar
    'using a With...End With block.
    With Application.CommandBars.FindControl(msoControlButton)
        'Change the button image.
        .Picture = picButton

        'Use the second image to define the area of the
        'button that should be transparent.
        .Mask = picMask
    End With
End Sub

本示例获得代码返回的第一个 CommandBarButton 的图像和屏蔽，并输出到文件。要使本示例正常工作，请指定输出文件的路径。

Sub GetButtonImageAndMask()
    Dim picPicture As IPictureDisp
    Dim picMask As IPictureDisp

    With Application.CommandBars.FindControl(msoControlButton)
        'Get the button image and mask of the this CommandBarButton object
        Set picPicture = .Picture
        Set picMask = .Mask
    End With

    'Save the button image and mask in a folder.
    stdole.SavePicture picPicture, "c:\temp\image.bmp"
    stdole.SavePicture picMask, "c:\temp\mask.bmp"
End Sub


MatchAllWordForms 属性

本主题中的某些内容可能不适用于某些语言。

如果文件查找范围扩展到在文件正文或文件属性中出现的指定单词的所有形式，则返回 True。Boolean 类型，可读写。

说明

该属性只有在安装并注册文件“Mswds_en.lex”后才有效。注意：在“典型”安装过程中不会安装该文件。

示例

本示例可实现的功能为：返回所有在文件正文或文件属性中包含单词“run”、“running”、“runs”或“ran”的文件。TextOrProperty 属性设置需匹配的单词，并将查找范围限制在文件正文或文件属性中。

With Application.FileSearch
    .NewSearch
    .LookIn = "C:\My Documents"
    .SearchSubFolders = True
    .TextOrProperty = "run"
    .MatchAllWordForms = True
    .FileType = msoFileTypeAllFiles
End With


MatchTextExactly 属性

本主题中的某些内容可能不适用于某些语言。

如果仅查找这样的文件，其文件正文中或文件属性中包括指定单词或短语的完全匹配形式，则返回 True。Boolean 类型，可读写。

示例

本示例可实现的功能为：搜索“C:\My Documents”文件夹并返回所有在文件正文或文件属性中包含单词“Run”的文件。

With Application.FileSearch
    .NewSearch
    .LookIn = "C:\My Documents"
    .TextOrProperty = "Run"
    .MatchTextExactly = True
    .FileType = msoFileTypeAllFiles
End With


MenuAnimationStyle 属性

返回或设置指定命令栏的动画效果类型。MsoMenuAnimation 类型，可读写。

MsoMenuAnimation 可为以下 MsoMenuAnimation 常量之一：
msoMenuAnimationNone
msoMenuAnimationRandom
msoMenuAnimationSlide
msoMenuAnimationUnfold

示例

本示例可实现的功能为：设置 Microsoft Office 中所有命令栏的选项。

With CommandBars
    .LargeButtons = True
    .DisplayTooltips = True
    .DisplayKeysInTooltips = True
    .MenuAnimationStyle = msoMenuAnimationUnfold
End With


Mode 属性

本主题中的某些内容可能不适用于某些语言。

返回或设置“Office 助手”气球的模态行为。创建一个 Balloon 对象后，该属性的初始值将设定为 msoModeModal。MsoModeType 类型，可读写。

MsoModeType 可为以下常量之一：
msoModeAutoDown
msoModeModal
msoModeModeless

说明

如果一个气球的 Mode 属性设置为 msoModeModeless，那么在显示该气球的同时，用户可在应用程序中工作。如果属性设置为 msoModeModal，用户必须先取消该气球，才能返回应用程序进行工作。如果属性设置为 msoModeAutoDown，用户只需单击屏幕上的任意位置，气球就将自行消除。

如果一个气球的 Mode 属性设置为 msoModeModeless，并且未提供 Callback 属性的值，那么就会出错。只有在 Mode 的属性值设置为 msoModeModeless 时，才能在 Callback 属性指定的过程中使用 Close 方法。

示例

本示例创建一个有警告图标的气球，指导用户选择一台打印机。由于该气球是非模态的，用户可在该气球显示的同时使用打印机命令。当用户按下“确定”按钮时，Callback 属性指定的应用程序将运行。

With Assistant.NewBalloon
    .Heading = "Select A Printer"
    .Text = "You must select a printer before printing."
    .Icon = msoIconAlert
    .CheckBoxes(1).Text = "Local printer"
    .CheckBoxes(2).Text = "Network printer"
    .Mode = msoModeModeless
    .Callback = "ProcessPrinter"
    .Show
End With


MouseTips 属性

本主题中的某些内容可能不适用于某些语言。

如果“Office 助手”提供关于更有效地使用鼠标的建议，则返回 True。Boolean 类型，可读写。

说明

MouseTips 属性对应于“显示有关提示”下的“更有效地使用鼠标”选项。“显示有关提示”位于“Office 助手”对话框中的“选项”选项卡中。

示例

本示例设置“Office 助手”以提供有关更有效地使用鼠标的建议。

Assistant.MouseTips = True


MoveWhenInTheWay 属性

本主题中的某些内容可能不适用于某些语言。

如果当“Office 助手”窗口挡住用户工作区时，会自动移开，则返回 True。例如，如果“助手”窗口有碍于拖放操作或击键操作，它将自行移开。Boolean 类型，可读写。

说明

MoveWhenInTheWay 属性对应于“使用 Office 助手”下的“不方便时移动”选项，“使用 Office 助手”位于“Office 助手”对话框中的“选项”选项卡中。

示例

本示例在指定位置显示“Office 助手”窗口，并在显示该窗口之前设置若干选项。

With Assistant
    .On = True
    .Visible = True
    .Left = 400
    If Not MoveWhenInTheWay Then MoveWhenInTheWay = True
    .Animation = msoAnimationGetAttentionMajor
End With


Name 属性

返回或设置指定对象的名称。对于 CommandBar 对象，String 类型，可读写；对于其他所有对象，String 类型，只读。

说明

内置命令栏的本地名称显示在标题栏中（在命令栏未固定时）以及有效命令栏列表中（无论该列表显示在容器应用程序的哪个位置）。

对内置命令栏，Name 属性返回该命令栏的美式英语名称。用 NameLocal 属性可返回其本地化的名称。

如果改变了一个自定义命令栏的 LocalName 属性值，那么该命令栏的 Name 属性值也将改变，反之亦然。

示例

本示例可实现的功能为：在命令栏集合中查找命令栏“Custom”，如果找到，那么本示例显示该命令栏。

foundFlag = False
For Each bar In CommandBars
    If bar.Name = "Custom" Then
        foundFlag = True
        bar.Visible = True
    End If
Next
If Not foundFlag Then
    MsgBox "'Custom' bar isn't in collection."
Else
    MsgBox "'Custom' bar is now visible."
End If

本示例可显示一个文档属性的名称、类型和属性值。该过程需要有一个有效的 DocumentProperty 对象作参数。

Sub DisplayPropertyInfo(dp As DocumentProperty)
    MsgBox "value = " & dp.Value & Chr(13) & _
        "type = " & dp.Type & Chr(13) & _
        "name = " & dp.Name
End Sub


NameLocal 属性

返回内置的命令栏的名称，该名称用容器应用程序的语言版本显示。也可返回或设置自定义命令栏的名称。String 类型，可读写。

注意 如果要对内置命令栏设置该属性，就会出现错误。

说明

无论有效命令栏列表显示在容器应用程序的哪个位置，内置命令栏的本地名都将显示在标题栏中（当该命令栏未固定时），以及有效命令栏列表中。

如果改变了一个自定义命令栏的 LocalName 属性值，那么该命令栏的 Name 属性值也将改变，反之亦然。

示例

本示例可实现的功能为：显示容器应用程序中第一个命令栏的名称和本地化名称。

With CommandBars(1)
    MsgBox "The name of the command bar is " & .Name
    MsgBox "The localized name of the command bar is " & .NameLocal
End With


NewBalloon 属性

本主题中的某些内容可能不适用于某些语言。

新建一个“Office 助手”气球。返回一个 Balloon 对象。

示例

本示例创建并显示一个有标题、文字和三条区域选项的气球。

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select one or more regions"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Show
End With


Object 属性

设置或返回作为指定 COMAddIn 对象的基础的对象。Object 类型，可读写。

说明

此属性主要用于使一个 COMAddIn 能够与另一个 COMAddIn 进行通信。

示例

以下示例返回与 COM 加载项 msodraa9.ShapeSelect 相关联的对象。

Dim objBaseObject As Object
Set objBaseObject = _
    Application.COMAddIns.Item("msodraa9.ShapeSelect"). _
      Object


OLEMenuGroup 属性

当 OLE 服务器菜单组与 OLE 客户菜单组合并时（即当一个容器应用程序类型的对象嵌入另一个应用程序时），返回或设置指定命令栏弹出式控件所属的菜单组。 MsoOLEMenuGroup 类型，可读写。

MsoOLEMenuGroup 可为以下 MsoOLEMenuGroup 常量之一：
msoOLEMenuGroupContainer
msoOLEMenuGroupEdit
msoOLEMenuGroupFile
msoOLEMenuGroupHelp
msoOLEMenuGroupNone
msoOLEMenuGroupObject
msoOLEMenuGroupWindow

注意 该属性对内置控件是只读的。

说明

本属性允许加载应用程序指定其命令栏控件在 Office 应用程序中的表示方法。如果容器或服务器中的某一个不提供命令栏，那么就进行通用 OLE 菜单合并：菜单栏以及服务器的所有工具栏将进行合并，但容器的工具栏不会被合并。本属性只与菜单栏中的弹出式控件有关，因为菜单是根据其菜单组的类别进行合并的。

如果要合并的两个应用程序均提供命令栏，那么命令栏控件根据 OLEUsage 属性进行合并。

示例

本示例可实现的功能为：查看一个新建的自定义弹出式控件（该控件位于命令栏“Custom”上）的 OLEMenuGroup 属性，并将其设置为 msoOLEMenuGroupNone。

Set myControl = CommandBars("Custom").Controls _
    .Add(Type:=msoControlPopup,Temporary:=False)
myControl.OLEMenuGroup = msoOLEMenuGroupNone


OLEUsage 属性

返回或设置这样的 OLE 客户和 OLE 服务器角色，当两个 Microsoft Office 应用程序进行合并时将按照命令栏控件的角色进行处理。 MsoControlOLEUsage 类型，可读写。

MsoControlOLEUsage 可为以下 MsoControlOLEUsage 常量之一：
msoControlOLEUsageBoth
msoControlOLEUsageClient
msoControlOLEUsageNeither
msoControlOLEUsageServer

说明

本属性允许用户在某 Office 应用程序与另一个 Office 应用程序合并时，指定加载应用程序的各个命令栏控件在该 Office 应用程序中的表示方法。如果客户端和服务器均提供命令栏，那么命令栏控件将逐个嵌入客户端。系统将从服务器中略去标记为只用于客户端（或既不用于客户也不用于服务器）的自定义控件，而从客户端中略去标记为只用于服务器（或既不用于客户端也不用于服务器）的控件。剩下的控件再进行合并。

如果要合并的应用程序之一不是 Office 应用程序，那么就进行通用 OLE 菜单合并，该过程将由 OLEMenuGroup 属性控制。

示例

本示例可实现的功能为：向命令栏“Tools”中添加一个新按钮并设置其 OLEUsage 属性。

Set myControl = CommandBars("Tools").Controls _
    .Add(Type:=msoControlButton,Temporary:=True)
myControl.OLEUsage = msoControlOLEUsageNeither


On 属性

本主题中的某些内容可能不适用于某些语言。

如果启用了“Office 助手”，则返回 True。Boolean 类型，可读写。

示例

本示例可实现的功能为：不启用“Office 助手”，而是显示消息框向用户提问是否启用“助手”。如果用户单击“确定”，则启用此“助手”、显示此“助手”并执行动画效果 msoAnimationGreeting。

Assistant.On = False
If MsgBox("Enable Office Assistant?", _
    vbYesNo, "Assistant is Off") = vbYes Then
    Assistant.On = True
    Assistant.Visible = True
    Assistant.Animation = _
        msoAnimationGetAttentionMajor
End If


OnAction 属性

返回或设置这样一个 Visual Basic 的过程名，该过程在用户单击或更改某命令栏控件的值时运行。String 类型，可读写。

注意 容器应用程序将确定该值是否是一个合法的宏名。

示例

本示例可实现的功能为：在命令栏“Custom”中添加一个命令栏控件，该控件被单击时将运行名叫“MySub”的过程。

Set myBar = CommandBars("Custom")
Set myControl = myBar.Controls _
    .Add(Type:=msocontrolButton)
With myControl
    .FaceId = 2
    .OnAction = "MySub"
End With
myBar.Visible = True

本示例向命令栏“Custom”添加一个命令栏控件。COM 加载项“FinanceAddIn”将在每次单击该控件时运行。

Set myBar = CommandBars("Custom")
Set myControl = myBar.Controls _
    .Add(Type:=msocontrolButton)
With myControl
    .FaceId = 2
    .OnAction = "!<FinanceAddIn>"
End With
myBar.Visible = True


Parameter 属性

返回或设置这样一个字符串，应用程序可用此字符串执行命令。String 类型，可读写。

说明

如果为内置控件设置一个指定的参数，那么应用程序将修改其默认的操作，前提是该应用程序能分析和使用这个新值。如果为自定义控件设置参数，那么该参数可用来为 Visual Basic 程序传送信息，或保存关于该控件的信息（类似于另一个 Tag 属性值）。

示例

本示例可实现的功能为：将一个新参数赋予控件并将焦点置于新按钮上。

Set myControl = CommandBars("Custom").Controls(4)
With myControl
    .Copy , 1
    .Parameter = "2"
    .SetFocus
End With


Parent 属性

返回指定对象的父对象。只读。

示例

本示例可实现的功能为：显示一个文档属性的父对象名。该过程需要有一个有效的 DocumentProperty 对象作参数。

Sub DisplayParent(dp as DocumentProperty)
    MsgBox dp.Parent.Name
End Sub


Path 属性

返回一个 String 类型，表示 ScopeFolder 对象的完全路径。只读。

expression.Path

expression 必需。该表达式返回一个 ScopeFolder 对象。

示例

本示例显示“我的电脑”中每个目录的根路径。为了检索该信息，本示例首先获得“我的电脑”根目录下的 ScopeFolder 对象。该 ScopeFolder 的路径将总是 "*"。对于所有 ScopeFolder 对象，根对象包含一个 ScopeFolders 集合。本示例在该 ScopeFolders 集合中循环，并显示其中每个 ScopeFolder 对象的路径。这些 ScopeFolder 对象的路径将为 "A:\"、"C:\" 等等。

Sub DisplayRootScopeFolders()

    'Declare variables that reference a
    'SearchScope and a ScopeFolder object.
    Dim ss As SearchScope
    Dim sf As ScopeFolder

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Loop through the SearchScopes collection
        'and display all of the root ScopeFolders collections in
        'the My Computer scope.
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer

                    'Loop through each ScopeFolder collections in
                    'the ScopeFolders collection of the
                    'SearchScope object and display the path.
                    For Each sf In ss.ScopeFolder.ScopeFolders
                        MsgBox "Path: " & sf.Path
                    Next sf

                Case Else
            End Select
        Next ss
    End With
End Sub


Picture 属性

返回一个 IPictureDisp 对象，表示 CommandBarButton 对象的图像。

expression.Picture

expression 必需。该表达式返回一个 CommandBarButton 对象。

说明

在更改按钮图像时，还希望使用 Mask 属性设置屏蔽图像。屏蔽图像决定按钮图像透明的部分。通常在设置了 CommandBarButton 对象的图片后设置屏蔽。

注释 Visual Basic 编辑器中“常用”工具栏上的“查看 Microsoft 应用程序”和“插入项”按钮上的图像不能更改。

示例

本示例设置代码返回的第一个 CommandBarButton 的图像和屏蔽。要使本示例正常工作，请创建屏蔽图像和按钮图像，并以图像的路径替换范例中的路径。

Sub ChangeButtonImage()
    Dim picPicture As IPictureDisp
    Dim picMask As IPictureDisp

    Set picPicture = stdole.StdFunctions.LoadPicture( _
        "c:\images\picture.bmp")
    Set picMask = stdole.StdFunctions.LoadPicture( _
        "c:\images\mask.bmp")

    'Reference the first button on the first command bar
    'using a With...End With block.
    With Application.CommandBars.FindControl(msoControlButton)
        'Change the button image.
        .Picture = picButton

        'Use the second image to define the area of the
        'button that should be transparent.
        .Mask = picMask
    End With
End Sub

本示例获得代码返回的第一个 CommandBarButton 的图像和屏蔽，并输出到文件。要使本示例正常工作，请指定输出文件的路径。

Sub GetButtonImageAndMask()
    Dim picPicture As IPictureDisp
    Dim picMask As IPictureDisp

    With Application.CommandBars.FindControl(msoControlButton)
        'Get the button image and mask of the this CommandBarButton object.
        Set picPicture = .Picture
        Set picMask = .Mask
    End With

    'Save the button image and mask in a folder.
    stdole.SavePicture picPicture, "c:\temp\image.bmp"
    stdole.SavePicture picMask, "c:\temp\mask.bmp"
End Sub


Position 属性

返回或设置指定命令栏的位置。 MsoBarPosition 类型，可读写。

MsoBarPosition 可为以下 MsoBarPosition 常量之一：
msoBarBottom
msoBarFloating
msoBarLeft
msoBarMenuBar
msoBarPopup
msoBarRight
msoBarTop

示例

本示例对命令栏集合中的元素逐个进行如下操作：将自定义命令栏定位在应用程序窗口的底部，将内置命令栏定位在窗口的顶部。

For Each bar In CommandBars
    If bar.Visible = True Then
        If bar.BuiltIn Then
            bar.Position = msoBarTop
         Else
            bar.Position = msoBarBottom
        End If
    End If
Next


Priority 属性

返回或设置指定命令栏控件的优先级。对于固定的命令栏，当一行中无法容纳其中的所有控件时，控件的优先级将决定该控件是否会从命令栏中略去。Long 类型，可读写。

说明

有效的优先级数从 0（零）到 7。优先级为 1 则表示该控件不能从工具栏中删除。而优先级为其他值的控件将被忽略。

菜单项的命令栏控件不能使用 Priority 属性。

示例

本示例移动一控件并将其优先级设为 5，这样如果在命令栏的一行中无法容纳所有控件，那么该控件将有可能被略去。

Set allcontrols = CommandBars("Custom").Controls
For Each ctrl In allControls
    If ctrl.Type = msoControlComboBox Then
        With ctrl
            .Move Before:=7
            .Tag = "Selection box"
            .Priority = 5
        End With
    Exit For
End If
Next


Private 属性

本主题中的某些内容可能不适用于某些语言。

返回或设置一个标识“Office 助手”气球（该气球将初始化回调过程）的整数。Long 类型，可读写。

说明

用该属性可在一个以上的气球中调用相同的回调过程。

示例

本示例可实现的功能为：将 Private 属性值设置为 129，以标识“Office 助手”气球。

Set printerOrientation = Assistant.NewBalloon
With printerOrientation     .Heading = " Print portrait or landscape?"
     .Text = "Click OK when you've selected the " & _
        "printer orientation."
    .Labels(1).Text = "Portrait"
    .Labels(2).Text = "Landscape"
    .BalloonType = msoBalloonTypeButtons
    .Mode = msoModeModeless
    .Button = msoButtonSetOK
    .Private = 129
    .Callback = "PortraitOrLandscape "
    .Show
End With


ProgId 属性

返回指定 COMAddIn 对象的编程标识符（ProgID）。String 类型，只读。

示例

以下示例在消息框中显示第一个 COM 加载项的 ProgID 和 GUID。

MsgBox "My ProgID is " & _
    Application.COMAddIns(1).ProgID & _
    " and my GUID is " & _
    Application.COMAddIns(1).Guid


PropertyTests 属性

返回一个 PropertyTests 集合，该集合代表一个文件查找过程的所有搜索条件。只读。

有关返回单个集合成员的详细信息，请参阅返回集合中的对象。

示例

本示例可实现的功能为：显示属性测试集合中第一个属性测试过程的所有搜索条件。

With Application.FileSearch.PropertyTests(1)
myString = "This is the search criteria: " _
    & " The name is: " & .Name & ". The condition is: " _
    & .Condition
If .Value <> "" Then
    myString = myString & ". The value is: " & .Value
    If .SecondValue <> "" Then
        myString = myString _
            & ". The second value is: " _
            & .SecondValue & ", and the connector is" _
            & .Connector
    End If
End If
MsgBox myString
End With


ProportionalFont 属性

设置或返回宿主应用程序的比例字体的设置。String 类型，可读写。

说明

在设置 ProportionalFont 属性时，宿主应用程序不检查该值的有效性。

示例

本示例为活动应用程序中的 English/Western European/Other Latin Script 字符集设置比例字体和比例字体大小。

Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.ProportionalFont = "Tahoma"
Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.ProportionalFontSize = 14.5


ProportionalFontSize 属性

设置或返回宿主应用程序中比例字体大小的设置，以磅为单位。Single 类型，可读写。

说明

在设置 ProportionalFontSize 属性时，宿主应用程序不检查该值的有效性。如果输入了无效的值（如非数字值），宿主应用程序会将大小设置为 0 磅。可输入精确到 0.5 磅的值；如果输入了其他的小数值，会将其舍入到最接近的半磅值。

示例

本示例为活动应用程序中的 English/Western European/Other Latin Script 字符集设置比例字体和比例字体大小。

Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.ProportionalFont = "Tahoma"
Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.ProportionalFontSize = 14.5


Protection 属性

本主题中的某些内容可能不适用于某些语言。

返回或设置指定命令栏的保护方式，以防止用户改动。 MsoBarProtection 类型，可读写。

MsoBarProtection 可为以下 MsoBarProtection 常量之一：
msoBarNoChangeDock
msoBarNoChangeVisible
msoBarNoCustomize
msoBarNoHorizontalDock
msoBarNoMove
msoBarNoProtection
msoBarNoResize
msoBarNoVerticalDock

说明

用常量 msoBarNoCustomize 以防止用户访问“添加或删除按钮”菜单（此菜单项允许用户自定义工具栏）。

示例

本示例可实现的功能为：逐个筛选命令栏集合中的成员，以查找命令栏“Forms”。如果找到，那么本示例显示该命令栏并保护其定位状态。

foundFlag = False
For i = 1 To CommandBars.Count
    If CommandBars(i).Name = "Forms" Then
            CommandBars(i).Protection = msoBarNoChangeDock
            CommandBars(i).Visible = True
            foundFlag = True
    End If
Next
If Not foundFlag Then
    MsgBox "'Forms' command bar is not in the collection."
End If


Reduced 属性

本主题中的某些内容可能不适用于某些语言。

如果显示较小尺寸的“Office 助手”窗口，则返回 True。Boolean 类型，可读写。

说明

在 Microsoft Office 中不使用此属性。

示例

本示例在指定位置显示“Office 助手”窗口，并在显示该窗口之前设置若干选项。

With Assistant
    .Reduced = True
    .Left = 400
    .MoveWhenInTheWay = True
    .TipOfDay = True
    .Visible = True
    .Animation = msoAnimationGreeting
End With


RowCount 属性

返回一个 Long 类型，表示指定数据源中的记录数。只读。

expression.RowCount

expression 必需。该表达式返回“应用于”列表中的对象之一。

示例

本示例新添一个删除 Region 字段为空的所有记录的筛选，并将该筛选应用于活动的发布内容。

Sub OfficeFilters()
    Dim appOffice As OfficeDataSourceObject
    Dim appFilters As ODSOFilters

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    Set appFilters = appOffice.Filters

    MsgBox appOffice.RowCount

    appFilters.Add Column:="Region", Comparison:=msoFilterComparisonEqual, _
        Conjunction:=msoFilterConjunctionAnd, bstrCompareTo:="WA"
    appOffice.ApplyFilter

    MsgBox appOffice.RowCount

End Sub


RowIndex 属性

返回或设置指定命令栏相对于同一定位区域中其他命令栏的定位顺序。该属性值可设置为大于零的整数，或为以下 msoBarRow 常量之一：msoBarRowFirst 或 msoBarRowLast。Long 类型，可读写。

说明

多个命令栏可享有同一行索引号，具有较低数值的命令栏先固定。如果存在两个或两个以上命令栏具有同一行索引号的情况，那么最后指定的命令栏在这一组中最先显示。

示例

本示例可实现的功能为：将命令栏“Custom”的位置调整到默认值以左 140 个像素的地方，并将其行索引号改为 msoBarRowFirst，这样可使该命令栏最先固定。

Set myBar = CommandBars("Custom")
With myBar
    .RowIndex = msoBarRowFirst
    .Left = 140
End With


ScopeFolder 属性

返回 ScopeFolder 对象。

expression.ScopeFolder

expression 必需。该表达式返回“应用于”列表中的对象之一。

示例

本示例显示“我的电脑”中每个目录的根路径。为了检索该信息，本示例首先获得“我的电脑”根目录下的 ScopeFolder 对象。该 ScopeFolder 的路径将总是 "*"。对于所有 ScopeFolder 对象，根对象包含一个 ScopeFolders 集合。本示例在该 ScopeFolders 集合中循环，并显示其中每个 ScopeFolder 对象的路径。这些 ScopeFolder 对象的路径将为 "A:\"、"C:\" 等等。

Sub DisplayRootScopeFolders()

    'Declare variables that reference a
    'SearchScope and a ScopeFolder object.
    Dim ss As SearchScope
    Dim sf As ScopeFolder

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Loop through the SearchScopes collection
        'and display all of the root ScopeFolders collections in
        'the My Computer scope.
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer

                    'Loop through each ScopeFolder object in
                    'the ScopeFolders collection of the
                    'SearchScope object and display the path.
                    For Each sf In ss.ScopeFolder.ScopeFolders
                        MsgBox "Path: " & sf.Path
                    Next sf

                Case Else
            End Select
        Next ss
    End With
End Sub


ScopeFolders 属性

返回 ScopeFolders 集合。该集合中的项对应于父 ScopeFolder 对象的子文件夹。

expression.ScopeFolders

expression 必需。该表达式返回“应用于”列表中的对象之一。

示例

本示例显示“我的电脑”中每个目录的根路径。为了检索该信息，本示例首先获得“我的电脑”根目录下的 ScopeFolder 对象。该 ScopeFolder 的路径将总是 "*"。对于所有 ScopeFolder 对象，根对象包含一个 ScopeFolders 集合。本示例在该 ScopeFolders 集合中循环，并显示其中每个 ScopeFolder 对象的路径。这些 ScopeFolder 对象的路径将为 "A:\"、"C:\" 等等。

Sub DisplayRootScopeFolders()

    'Declare variables that reference a
    'SearchScope and a ScopeFolder object.
    Dim ss As SearchScope
    Dim sf As ScopeFolder

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Loop through the SearchScopes collection
        'and display all of the root ScopeFolders collections in
        'the My Computer scope.
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer

                    'Loop through each ScopeFolder object in
                    'the ScopeFolders collection of the
                    'SearchScope object and display the path.
                    For Each sf In ss.ScopeFolder.ScopeFolders
                        MsgBox "Path: " & sf.Path
                    Next sf

                Case Else
            End Select
        Nextb ss
    End With
End Sub


ScriptText 属性

设置或返回一段脚本中包含的文字。String 类型，可读写。

说明

Microsoft Office 宿主应用程序不检查脚本的语法。ScriptText 属性是 Script 对象的默认属性。

示例

本示例对活动工作簿中第一张工作表的第一个脚本的文字进行设置。

ActiveWorkbook.Worksheets(1).Scripts(1).ScriptText = _
    "MsgBox ""New ScriptText"""


SearchFolders 属性

返回 SearchFolders 集合。

expression.SearchFolders

expression 必需。该表达式返回“应用于”列表中的对象之一。

示例

本示例显示 SearchFolders 集合中 ScopeFolder 对象的当前数量。请参阅 SearchFolders 集合的主题获得详细示例。

MsgBox "Number of ScopeFolder objects in the SearchFolders collection: " & _
    Application.FileSearch.SearchFolders.Count


SearchScopes 属性

返回 SearchScopes 集合。

expression.SearchScopes

expression 必需。该表达式返回“应用于”列表中的对象之一。

示例

本示例显示 SearchScopes 集合中所有当前可用的 SearchScope 对象。

Sub DisplayAvailableScopes()

    'Declare a variable that references a
    'SearchScope object.
    Dim ss As SearchScope

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Loop through the SearchScopes collection
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer
                    MsgBox "My Computer is an available search scope."
                Case msoSearchInMyNetworkPlaces
                    MsgBox "My Network Places is an available search scope."
                Case msoSearchInOutlook
                    MsgBox "Outlook is an available search scope."
                Case msoSearchInCustom
                    MsgBox "A custom search scope is available."
                Case Else
                    MsgBox "Can't determine search scope."
            End Select
        Next ss
    End With
End Sub


SearchSubFolders 属性

如果搜索范围包括 LookIn 属性指定的文件夹中的所有子文件夹，则返回 True。Boolean 类型，可读写。

示例

本示例可实现的功能为：在“My Documents”文件夹及其所有子文件夹中查找文件名以“Cmd”开头的文件，并显示查找到的每个文件的文件名及其所在位置。

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .SearchSubFolders = True
    .FileName = "cmd*"
    If .Execute() > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
         " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With


SearchWhenProgramming 属性

本主题中的某些内容可能不适用于某些语言。

如果当用户使用 Visual Basic 时，“Office 助手”窗口同时显示应用程序帮助和编程帮助，则返回 True。Boolean 类型，可读写。

说明

默认值为 False。SearchWhenProgramming 属性对应于“使用 Office 助手”的“编程时搜索产品及编程帮助”复选框。“使用 Office 助手”位于“Office 助手”对话框的“选项”选项卡中。

示例

本示例实现的功能是：允许用户在使用 Visual Basic 时，可同时搜索有关应用程序和编程的帮助。

Assistant.SearchWhenProgramming = True


SecondValue 属性

返回用于文件搜索过程的另一个可选的属性测试值（以便构成一个取值范围）。Variant 类型，只读。

说明

该属性用于指定一个范围，并且它只能与 MsoCondition 常量 msoConditionAnyTimeBetween 或 msoConditionAnyNumberBetween 一起使用。

示例

本示例可实现的功能为：在对话框中显示搜索条件的第二个值（如果存在）。如果该值不存在，那么显示另外一条信息。

With Application.FileSearch.PropertyTests(1)
If .SecondValue = "" Then
   MsgBox "You haven't specified a second value."
Else
    MsgBox "The second value you've set is: " _
    & .SecondValue
End If
End With


SelectedItems 属性

返回 FileDialogSelectedItems 集合。该集合包含用户在文件对话框中所选文件的列表，该对话框由 FileDialog 对象的 Show 方法打开。

expression.SelectedItems

expression 必需。该表达式返回“应用于”列表中的对象之一。

示例

本示例使用 FileDialog 对象显示“文件选取器”对话框，并在消息框中显示每个选定的文件。

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Allow the user to select multiple files.
        .AllowMultiSelect = True

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then
            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


Shape 属性

根据 Microsoft Office 宿主应用程序，返回 Shape 对象或 InlineShape 对象。Object 类型，只读。

说明

在 Microsoft Excel 和 PowerPoint 中，Shape 属性返回一个 Shape 对象。在 Word 中，如果脚本标记是浮动的，那么 Shape 属性返回一个 Shape 对象；如果该脚本标记是嵌入式标记，则此属性返回 InlineShape 对象。

示例

本示例获得与 Scripts 集合中的第一个脚本相关的图形并将其从活动工作簿的第一张工作表中删除。

Dim objScriptShape As Object

Set objScriptShape = _
    ActiveWorkbook.Worksheets(1).Scripts(1).Shape
ObjScriptShape.Delete


ShortcutText 属性

返回或设置这样的快捷键文字，当指定的按钮控件出现在菜单、子菜单或快捷菜单中时，这些快捷键文字紧邻按钮控件。String 类型，可读写。

说明

只能对包含 OnAction 宏的命令栏按钮设置此属性。

示例

本示例可实现的功能为：在消息框中显示 Microsoft Excel 工作表菜单栏上的“文件”菜单中“打开”命令的快捷方式的文字。

MsgBox (CommandBars("Worksheet Menu Bar"). _
    Controls("File").Controls("New...).ShortcutText)


SignDate 属性

返回一个 Variant 类型，表示对应于 Signature 对象的数码证书附加到文档的日期和时间。只读。

expression.SignDate

expression 必需。该表达式返回“应用于”列表中的对象之一。

示例

本示例提示用户选择 Microsoft Word 中活动文档的数字签名。要使用本示例，请在 Word 中打开文档并调用该函数。该函数将进行测试以确保用户所选择的数字签名在 12 个月内不会过期。如果将会过期，则不附加证书。

Function AddSignature() As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test to make sure that the new Signature object
    'doesn't expire too soon. This expression calculates
    'the number of months until the Signature object expires.
    If DateDiff("m", sig.SignDate, sig.ExpireDate) < 12 Then

        MsgBox "This certificate will expire in less than 1 year." & vbCrLf & _
        "Please use a newer certificate."

        AddSignature = False
        sig.Delete
    Else
        AddSignature = True
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


Signer 属性

返回一个 String 类型，表示将对应于 Signature 对象的数码证书附加到文档的人员名字。只读。

expression.Signer

expression 必需。该表达式返回“应用于”列表中的对象之一。

示例

本示例提示用户选择 Microsoft Word 中活动文档的数字签名。要使用本示例，请在 Word 中打开文档，并向该函数传递与“数码证书”对话框中数码证书的“颁发者”和“颁发给”字段相符的证书颁发者名字和证书签署者名字。该函数在将新签名提交到磁盘之前将进行测试以确保用户所选择的数字签名满足指定条件，例如没有过期。

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test several properties before commiting the Signature object to disk.
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "Signed"
        AddSignature = True
    'Otherwise, remove the Signature object from the SignatureSet collection.
    Else
        sig.Delete
        MsgBox "Not signed"
        AddSignature = False
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


Sounds 属性

本主题中的某些内容可能不适用于某些语言。

如果“Office 助手”发出与动画相应的声音，则返回 True。Boolean 类型，可读写。

说明

默认值为 True。Sounds 属性对应于“使用 Office 助手”下的“声音效果”复选框。“使用 Office 助手”位于“Office 助手”对话框的“选项”选项卡中。如果没有安装声卡，本属性将不起作用。

示例

本示例显示“Office 助手”，并激活动画效果，然后发出声音。

With Assistant
    .Visible = True
    .On = True
    If Not Sounds Then Sounds = True
    .Animation = msoAnimationGreeting
End With


State 属性

State 属性应用于 CommandBarButton 对象的情形。

返回或设置命令栏按钮控件的外观。MsoButtonState 类型，可读写。

MsoButtonState 可以为下列 MsoButtonState 常量之一。
msoButtonDown
msoButtonMixed
msoButtonUp

expression.State

expression 必需。该表达式返回一个 CommandBarButton 对象。

State 属性应用于 HTMLProject 对象的情形。

返回 HTMLProject 对象的当前状态。MsoHTMLProjectState 类型，只读。

MsoHTMLProjectState 可以为下列 MsoHTMLProjectState 常量之一。
msoHTMLProjectStateDocumentLocked
msoHTMLProjectStateDocumentProjectUnlocked
msoHTMLProjectStateProjectLocked

expression.State

expression 必需。该表达式返回一个 HTMLProject 对象。

示例

应用于 CommandBarButton 对象的情形。

本示例创建名为 Custom 的命令栏并添加两个空按钮，然后设置左边的按钮为 msoButtonUp 并设置右边的按钮为 msoButtonDown。

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlButton, ID:=1
    .Controls.Add Type:=msoControlButton, ID:=2
    .Visible = True
End With
Set myControl1 = CommandBars("Custom").Controls(1)
myControl1.State = msoButtonUp
Set myControl2 = CommandBars("Custom").Controls(2)
myControl2.State = msoButtonDown


Style 属性

Style 属性应用于 CommandBarButton 对象时的情形。

返回或设置命令栏按钮控件的显示方式。 MsoButtonStyle 类型，可读写。

MsoButtonStyle 可为以下 MsoButtonStyle 常量之一：
msoButtonAutomatic
msoButtonCaption
msoButtonIcon
msoButtonIconAndCaption
msoButtonIconAndCaptionBelow
msoButtonIconAndWrapCaption
msoButtonIconAndWrapCaptionBelow
msoButtonWrapCaption

Style 属性应用于 CommandBarComboBox 对象时的情形。

返回或设置命令栏组合框控件 的显示方式。该属性值可设置为以下 MsoComboStyle 常量之一：msoComboLabel 或 msoComboNormal。MsoComboStyle 类型，可读写。

MsoComboStyle 可为以下 MsoComboStyle 常量之一：
msoComboLabel
msoComboNormal

示例

本示例可实现的功能为：创建一个快捷菜单，该菜单包含一个按钮控件和一个组合框控件，并分别设置两者的样式。

Set myBar = CommandBars _
    .Add(Name:="Custom1", Position:=msoBarPopup, Temporary:=False)
With myBar
    .Controls.Add Type:=msoControlButton, Id:=3
    .Controls(1).Style = msoButtonCaption
    .Controls.Add Type:=msoControlComboBox
    With .Controls(2)
        .Style = msoComboLabel
        .AddItem "vanilla"
        .AddItem "chocolate"
        .AddItem "cookie dough"
    End With
End With
myBar.ShowPopup


Table 属性

返回一个 String 类型，表示数据源文件中包含邮件合并记录的表名称。如果表名称为未知或不能用于当前数据源，则返回值为空。只读。

expression.Table

expression 必需。该表达式返回“应用于”列表中的对象之一。

示例

如果表名称当前为空，本示例则设置表名称。

Sub OfficeTest()

    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    If appOffice.Table = "" Then
        appOffice.Table = "Employees"
    End If

End Sub


Tag 属性

返回或设置有关命令栏控件的信息，例如，作为过程参数的数据或用于识别该控件的信息。String 类型，可读写。

expression.Tag

expression 必需。该表达式返回“应用于”列表中的对象之一。

说明

若要避免在触发事件时对同一类的重复调用，请为事件定义唯一的 Tag 属性。以下示例使用两个模块说明这一概念。

Public WithEvents oBtn As CommandBarButton

Private Sub oBtn_click(ByVal ctrl As Office.CommandBarButton, CancelDefault As Boolean)
    MsgBox "Clicked " & ctrl.Caption

End Sub

Dim oBtns As New Collection

Sub Use_Tag()

    Dim oEvt As CBtnEvent
    Set oBtns = Nothing

    For i = 1 To 5
        Set oEvt = New CBtnEvent
        Set oEvt.oBtn = Application.CommandBars("Worksheet Menu Bar").Controls.Add(msoControlButton)
        With oEvt.oBtn
            .Caption = "Btn" & i
            .Style = msoButtonCaption
            .Tag = "Hello" & i
        End With
        oBtns.Add oEvt
    Next

End Sub

示例

本示例可实现的功能为：将自定义工具栏上的按钮的标记设置为“Spelling Button”，并在消息框中显示此标记。

CommandBars("Custom").Controls(1).Tag = "Spelling Button"
MsgBox (CommandBars("Custom").Controls(1).Tag)


Text 属性

本主题中的某些内容可能不适用于某些语言。

BalloonLabel 或 BalloonCheckbox 对象：返回或设置 Office 助手气球中在标签或复选框旁显示的文字。String 类型，可读写。

Balloon 对象：返回或设置 Office 助手气球中在标题之后、标签或复选框之前显示的文字。String 类型，可读写。

CommandBarComboBox 对象：返回或设置命令栏组合框控件中显示或编辑区的文字。String 类型，可读写。

HTMLProjectItem 对象：返回或设置 HTML 编辑器中的 HTML 文字。String 类型，可读写。

expression.Text

expression 必需。该表达式返回“应用于”列表中的对象之一。

说明

对于 Balloon、BalloonLabel 和 BalloonCheckbox 对象，可以通过以下语法来指定显示一个的图形：{type location sizing_factor}，其中 type 是 bmp（位图）或 wmf（Windows 图元文件）；location 是资源 ID 或路径及文件名；sizing_factor 指出 .wmf 文件的宽度（对于 .bmp 文件忽略 sizing_factor）。

Balloon 对象还支持带下划线的文字，以及具有系统调色板的 16 种颜色之一的文字。用语法 {ul} 或 {ul 1} 可显示带下划线文字；用 {ul 0} 可清除下划线。若要改变文字的颜色，则可在文字字符串前添加字符序列 {cf number}，其中 number 是下表中列出的系统颜色值之一。

系统颜色值 | 对应颜色
0 | 黑色
1 | 暗红
2 | 深绿
3 | 深黄
4 | 深蓝
5 | 深品红
6 | 深青
7 | 浅灰
248 | 灰
249 | 红
250 | 绿
251 | 黄
252 | 蓝
253 | 品红
254 | 青
255 | 白

如果指定了上述系统颜色值以外的数值，则 Office 助手气球中的文字为黑色。

示例

本示例创建一个名为“Custom”的新命令栏，并向其添加一个包含有四个列表项的组合框。然后用 Text 属性将“Item 3”设置为默认列表项。

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlComboBox, ID:=1
    .Visible = True
End With
Set testComboBox = CommandBars("Custom").Controls(1)
With testComboBox
    .AddItem "Item 1", 1
    .AddItem "Item 2", 2
    .AddItem "Item 3", 3
    .AddItem "Item 4", 4
    .Text = "Item 3"
End With

本示例将新建一个带有标题、文本和三个区域选项的 Office 助手气球，并用 Text 属性为用户提供与气球相关的指导，每个文本框一个标签。

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select a region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Show
End With

本示例将新建一个 Office 助手气球，该气球包含带下划线的标题文字、红色文字和带下划线的蓝色文字。

With Assistant.NewBalloon
    .Heading = "Underlined {ul 1}Heading{ul 0}"
    .Text = "Some {cf 249}Red{cf 0} text and some " & _
    "underlined {cf 252}{ul 1}Blue{ul 0}{cf 0} text."
    .Show
End With

本示例将新建一个 Office 助手气球，该气球包含 Windows 图元文件。

With Assistant.NewBalloon
    .Heading = "Underlined {ul 1}Heading{ul 0}"
    .Text ="{WMF ""C:\Favorites\MyPicture.WMF""}"
    .Show
End With


TextOrProperty 属性

返回或设置在查找文件的过程中要搜索的单词或短语，它们可位于一个文件的正文或文件属性中。该单词或短语可包含 *（星号）或 ?（问号）通配符。String 类型，可读写。

说明

用问号通配符可匹配任意单个字符。例如，键入“gr?y”可找到符合如下条件的所有文件，即文件中至少有一处出现单词“gray”或“grey”。

用星号通配符可匹配任意数目的字符。例如，键入“San*”可找到符合如下条件的所有文件，即文件中至少有一处出现以“San”开头的单词。

示例

本示例可实现的功能为：搜索“C:\My Documents”文件夹及其子文件夹，并返回所有这样的文件，该文件在文件正文或文件属性中包含以“San”开头的单词。TextOrProperty 属性设置要查找的单词，并将搜索范围限制在文件正文或文件属性中。

With Application.FileSearch
    .NewSearch
    .LookIn = "C:\My Documents"
    .SearchSubFolders = True
    .TextOrProperty = "San*"
    .FileType = msoFileTypeAllFiles
End With


TipOfDay 属性

本主题中的某些内容可能不适用于某些语言。

如果每次打开 Office 应用程序时，“Office 助手”显示一个专门的提示，则返回 True。Boolean 类型，可读写。

说明

默认值为 False。TipOfDay 属性对应“显示有关提示”下的“启动时显示‘日积月累’”复选框。“显示有关提示”位于“Office 助手”对话框中的“选项”选项卡。

示例

本示例在指定位置显示“Office 助手”窗口，并在显示该窗口之前设置若干选项。

With Assistant
    .On = True
    .Visible = True
    .Left = 400
    .MoveWhenInTheWay = True
    If Not TipOfDay Then TipOfDay = True
    .Animation = msoAnimationGreeting
End With


Title 属性

设置或返回使用 FileDialog 对象显示的文件对话框的标题。String 类型，可读写。

expression.Title

expression 必需。该表达式返回“应用于”列表中的对象之一。

示例

本示例使用 FileDialog 对象显示“文件选取器”对话框，并在消息框中显示每个选定的文件。

Sub main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Change the title of the dialog
        .Title = "Archive"

        'Use the Show method to display the file picker dialog and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next vrtSelectedItem
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


TooltipText 属性

返回或设置这样的文本，该文本将显示在指定命令栏控件的“屏幕提示”中。String 类型，可读写。

说明

默认情况下，Caption 属性值将用作“屏幕提示”。

示例

本示例可实现的功能为：在活动菜单栏的最后一个控件上添加一条“屏幕提示”。

Set myMenuBar = CommandBars.ActiveMenuBar
Set lastCtrl = myMenuBar _
   .Controls(myMenuBar.Controls.Count)
lastCtrl.BeginGroup = True
lastCtrl.TooltipText = "Click for help on UI feature"


Top 属性

本主题中的某些内容可能不适用于某些语言。

Top 属性应用于 Assistant 和 CommandBar 对象的情形。

以点数为单位设置或返回从“Office 助手”的顶部或从指定命令栏顶边到屏幕顶边的距离。对于固定命令栏，该属性返回或设置从命令栏到固定区域顶部的距离。Long 类型，可读写。

expression.Top

expression 必需。该表达式返回上面对象之一。

Top 属性应用于 CommandBarButton、CommandBarComboBox、CommandBarControl 和 CommandBarPopup 对象的情形。

以像素为单位返回指定命令栏控件顶边到屏幕顶边的距离。Long 类型，只读。

expression.Top

expression 必需。该表达式返回上面对象之一。

示例

应用于 Assistant 和 CommandBar 对象的情形。

本示例将“Office 助手”移动到其他坐标并设置接下来显示的 Top 属性。

With Assistant
    .On = True
    .Visible = True
    .Sounds = True
    .Animation = msoAnimationBeginSpeaking
End With
Assistant.Top = 100
MsgBox "Click OK to move the Assistant to a " & _
         "new location."
Assistant.Top = 500

本示例将名为 Custom 的浮动命令栏的左上角定位为距离屏幕左边 140 像素、距离屏幕上边 100 像素。

Set myBar = CommandBars("Custom")
myBar.Position = msoBarFloating
With myBar
    .Left = 140
    .Top = 100
End With


Type 属性

Type 属性应用于 CommandBar 对象的情形。

返回命令栏的类型。MsoBarType 类型，只读。

MsoBarType 可以为下列 MsoBarType 常量之一。
msoBarTypeMenuBar
msoBarTypeNormal
msoBarTypePopup

expression.Type

expression 必需。该表达式返回一个 CommandBar 对象。

Type 属性应用于 CommandBarButton、CommandBarComboBox、CommandBarControl 和 CommandBarPopup 对象的情形。

返回命令栏控件的类型。MsoControlType 类型，只读。

MsoControlType 可以为下列 MsoControlType 常量之一。
msoControlActiveX
msoControlAutoCompleteCombo
msoControlButton
msoControlButtonDropdown
msoControlButtonPopup
msoControlComboBox
msoControlCustom
msoControlDropdown
msoControlEdit
msoControlExpandingGrid
msoControlGauge
msoControlGenericDropdown
msoControlGraphicCombo
msoControlGraphicDropdown
msoControlGraphicPopup
msoControlGrid
msoControlLabel
msoControlLabelEx
msoControlOCXDropdown
msoControlPane
msoControlPopup
msoControlSpinner
msoControlSplitButtonMRUPopup
msoControlSplitButtonPopup
msoControlSplitDropdown
msoControlSplitExpandingGrid
msoControlWorkPane

expression.Type

expression 必需。该表达式返回上面对象之一。

Type 属性应用于 SearchScope 对象的情形。

返回对应于 SearchScope 对象类型的值。类型指定 FileSearch 对象的 Execute 方法进行文件搜索的区域。MsoSearchIn 类型，只读。

MsoSearchIn 可以为下列 MsoSearchIn 常量之一。
msoSearchInCustom
msoSearchInMyComputer
msoSearchInMyNetworkPlaces
msoSearchInOutlook

expression.Type

expression 必需。该表达式返回一个 SearchScope 对象。

Type 属性应用于 DocumentProperty 对象的情形。

返回或设置文档属性类型。对于内置文档属性为只读，对于自定义文档属性为可读写。

expression.Type

expression 必需。该表达式返回一个 DocumentProperty 对象。

说明

返回值必须为 MsoDocProperties 常量。

MsoDocProperties 可以为下列 MsoDocProperties 常量之一。
msoPropertyTypeBoolean
msoPropertyTypeDate
msoPropertyTypeFloat
msoPropertyTypeNumber
msoPropertyTypeString

示例

应用于 CommandBar 对象的情形。

本示例查找名为 Custom 的命令栏上的第一个控件。本示例使用 Type 属性判断该控件是否为按钮。如果控件为按钮，本示例复制“常用”工具栏上“复制”按钮的表面并粘贴到控件。

Set oldCtrl = CommandBars("Custom").Controls(1)
If oldCtrl.Type = msoControlButton Then
    Set newCtrl = CommandBars.FindControl(Type:= _
        MsoControlButton, ID:= _
        CommandBars("Standard").Controls("Copy").ID)
    NewCtrl.CopyFace
    OldCtrl.PasteFace
End If

应用于 DocumentProperty 对象的情形。

本示例显示文档属性的名称、类型和值。必须向过程传递一个有效的 DocumentProperty 对象。

Sub DisplayPropertyInfo(dp As DocumentProperty)
    MsgBox "value = " & dp.Value & Chr(13) & _
        "type = " & dp.Type & Chr(13) & _
        "name = " & dp.Name
End Sub


Value 属性

Value 属性应用于 DocumentProperty 对象的情形。

返回或设置文档属性值。Variant 类型，可读写。

expression.Value

expression 必需。该表达式返回一个 DocumentProperty 对象。

说明

如果容器应用程序没有定义某个内置文档属性的值，则读取该文档属性的 Value 属性将导致出错。

Value 属性应用于 PropertyTest 对象的情形。

返回文件搜索的属性测试值。Variant 类型，只读。

expression.Value

expression 必需。该表达式返回一个 PropertyTest 对象。

示例

应用于 DocumentProperty 对象的情形。

本示例显示文档属性的名称、类型和值。要使本示例正常工作，dp 必须为有效的 DocumentProperty 对象。

Sub DisplayPropertyInfo(dp As DocumentProperty)
    MsgBox "value = " & dp.Value & Chr(13) & _
        "type = " & dp.Type & Chr(13) & _
        "name = " & dp.Name
End Sub

应用于 PropertyTest 对象的情形。

本示例在消息框中显示搜索条件的值（如果有）。如果第二个值不存在，本示例显示其他消息。

With Application.FileSearch.PropertyTests(1)
    If .Value = "" Then
       MsgBox "You haven't specified a value."
    Else
        MsgBox "The value you've set is: " _
            & .Value
    End If
End With


Visible 属性

本主题中的某些内容可能不适用于某些语言。

如果指定对象可见，则返回 True。Boolean 类型，可读写。

expression.Visible

expression 必需。该表达式返回“应用于”列表中的对象之一。

说明

新建自定义命令栏的 Visible 属性的默认值为 False。

只有先将命令栏的 Enabled 属性设置为 True，才可将其 Visible 属性设置为 True。

示例

本示例可实现的功能为：逐个检查命令栏集合中的成员，以找到“Forms”命令栏。如果找到该命令栏，那么显示该命令栏并保护其定位状态。

foundFlag = False
For Each cmdbar In CommandBars
    If cmdbar.Name = "Forms" Then
        cmdbar.Protection = msoBarNoChangeDock
        cmdbar.Visible = True
        foundFlag = True
    End If
Next
If Not foundFlag Then
    MsgBox "'Forms'command bar is not in the collection."
End If

本示例可显示“Office 助手”并设置其动态效果类型。

With Application.Assistant
    .Visible = True
    .Sounds = True
    .Animation = msoAnimationBeginSpeaking
End With


Width 属性

以像素为单位返回或设置指定命令栏或命令栏控件的宽度。Integer 类型，可读写。

expression.Width

expression 必需。该表达式返回“应用于”列表中的对象之一。

示例

本示例在名为 Custom 的命令栏上添加一个自定义控件。本示例设置该自定义控件的高度为命令栏高度的两倍，并设置宽度为 50 像素。请注意命令栏如何自动调整自身以符合控件。

Set myBar = CommandBars("Custom")
barHeight = myBar.Height
Set myControl = myBar.Controls _
    .Add(Type:=msoControlButton, _
    Id:= CommandBars("Standard").Controls("Save").Id, _
     Temporary:=True)
With myControl
    .Height = barHeight * 2
    .Width = 50
End With
myBar.Visible = True


Change 事件

该事件发生于最终用户改变命令栏组合框中的选项时。

Private Sub CommandBarComboBox_Change

(ByVal Ctrl As CommandBarComboBox)

说明

Change 事件由 CommandBarComboBox 对象识别。若要返回某个 CommandBarComboBox 控件的 Change 事件，请用关键词 WithEvents 声明一个变量，并将其值设置为该 CommandBarComboBox 控件。当触发 Change 事件时，将执行该控件的 OnAction 属性所指定的宏或代码。

示例

以下示例创建一个包含 CommandBarComboBox 控件的命令栏，该控件包含四个选项。该组合框通过 CommandBarComboBox_Change 事件响应用户操作。

Private ctlComboBoxHandler As New ComboBoxHandler
Sub AddComboBox()

    Set HostApp = Application

    Dim newBar As Office.CommandBar
    Set newBar = HostApp.CommandBars.Add(Name:="Test CommandBar", Temporary:=True)
    Dim newCombo As Office.CommandBarComboBox
    Set newCombo = newBar.Controls.Add(msoControlComboBox)
    With newCombo
        .AddItem "First Class", 1
        .AddItem "Business Class", 2
        .AddItem "Coach Class", 3
        .AddItem "Standby", 4
        .DropDownLines = 5
        .DropDownWidth = 75
        .ListHeaderCount = 0
    End With
    ctlComboBoxHandler.SyncBox newCombo
    newBar.Visible = True

End Sub

上述示例使用以下代码，此段代码保存在 VBA 工程的类模块中。

Private WithEvents ComboBoxEvent As Office.CommandBarComboBox
Public Sub SyncBox(box As Office.CommandBarComboBox)
    Set ComboBoxEvent = box
    If Not box Is Nothing Then
        MsgBox "Synced " & box.Caption & " ComboBox events."
    End If

End Sub

Private Sub Class_Terminate()
    Set ComboBoxEvent = Nothing
End Sub

Private Sub ComboBoxEvent_Change(ByVal Ctrl As Office.CommandBarComboBox)
    Dim stComboText As String

    stComboText = Ctrl.Text

        Select Case stComboText
        Case "First Class"
            FirstClass
        Case "Business Class"
            BusinessClass
        Case "Coach Class"
            CoachClass
        Case "Standby"
            Standby
    End Select

End Sub
Private Sub FirstClass()
    MsgBox "You selected First Class reservations"
End Sub
Private Sub BusinessClass()
    MsgBox "You selected Business Class reservations"
End Sub
Private Sub CoachClass()
    MsgBox "You selected Coach Class reservations"
End Sub
Private Sub Standby()
    MsgBox "You chose to fly standby"
End Sub


Click 事件

该事件发生在用户单击 CommandBarButton 对象时。

Private Sub CommandBarButton_Click

(ByVal Ctrl As CommandBarButton,

ByVal CancelDefault As Boolean)

Click 事件的语法中包含两个参数，下表中列出了对这两个参数的说明。

参数 | 说明
Ctrl | CommandBarButton 类型，必需。指示初始化该事件的 CommandBarButton 控件。
CancelDefault | Boolean 类型，必需。如果执行了与 CommandBarButton 控件关联的默认操作，该值为 False，除非其他过程或加载项取消了此操作。

说明

Click 事件由 CommandBarButton 对象识别。若要返回特定 CommandBarButton 控件的 Click 事件，请用关键词 WithEvents 声明一个变量，并将变量的值设置为该控件。

示例

以下示例在宿主应用程序的“文件”菜单中创建了一个新命令栏按钮，它使用户可以 CSV (逗号分隔）文件格式保存工作簿。（本示例可在所有应用程序中运行，但有关存为 CSV 格式的上下文只适用于 Microsoft Excel。）

Private HostApp As Object

Sub createAndSynch()
    Dim iIndex As Integer
    Dim iCount As Integer
    Dim fBtnExists As Boolean

    Dim obCmdBtn As Object
    Dim btnSaveAsCSVHandler as new Class1

    On Error GoTo errHandler

    Set HostApp = Application

    Dim barHelp As Office.CommandBar
    Set barHelp = Application.CommandBars("File")
    fBtnExists = False
    iCount = barHelp.Controls.Count
    For iIndex = 1 To iCount
        If barHelp.Controls(iIndex).Caption = "Save As CSV (Comma Delimited)" Then fBtnExists = True

    Next
    Dim btnSaveAsCSV As Office.CommandBarButton
    If fBtnExists Then
        Set btnSaveAsCSV = barHelp.Controls("Save As CSV (Comma Delimited)")
    Else
        Set btnSaveAsCSV = barHelp.Controls.Add(msoControlButton)
        btnSaveAsCSV.Caption = "Save As CSV (Comma Delimited)"
    End If

    btnSaveAsCSV.Tag = "btn1"
    btnSaveAsCSVHandler.SyncButton btnSaveAsCSV
    Exit Sub

errHandler:
    ' Insert error handling code here
End Sub


EnvelopeHide 事件

当隐藏 MsoEnvelope 对象相对应的用户界面 (UI) 时发生。

Private Sub object_EnvelopHide()

object 该变量引用在类模块中随事件声明的 MsoEnvelope 类型对象。

示例

本示例创建 MsoEnvelope 对象的事件处理例程。

Public WithEvents env As MsoEnvelope

Private Sub Class_Initialize()
    Set env = Application.ActiveDocument.MailEnvelope
End Sub

Private Sub env_EnvelopeShow()
    MsgBox "The MsoEnvelope UI is showing."
End Sub

Private Sub env_EnvelopeHide()
    MsgBox "The MsoEnvelope UI is hidden."
End Sub


EnvelopeShow 事件

当显示 MsoEnvelope 对象相对应的用户界面 (UI) 时发生。

Private Sub object_EnvelopShow()

object 该变量引用在类模块中随事件声明的 MsoEnvelope 类型对象。

示例

本示例创建 MsoEnvelope 对象的事件处理例程。

Public WithEvents env As MsoEnvelope

Private Sub Class_Initialize()
    Set env = Application.ActiveDocument.MailEnvelope
End Sub

Private Sub env_EnvelopeShow()
    MsgBox "The MsoEnvelope UI is showing."
End Sub

Private Sub env_EnvelopeHide()
    MsgBox "The MsoEnvelope UI is hidden."
End Sub


OnUpdate 事件

该事件发生于命令栏改变时。

Private Sub CommandBars_OnUpdate()

说明

OnUpdate 事件通过 CommandBar 对象和所有命令栏控件进行组织。对命令栏或命令栏控件的任何改变以及命令栏或命令栏控件状态的任何改变都会触发该事件。例如，选定文本或单元格可能会导致这种改变。由于大量 OnUpdate 事件可能在正常使用中发生，开发者使用这种事件时应当谨慎。强烈建议将此事件主要用于检查 COMAddIn 对自定义命令栏的添加或删除操作。


创建和修改气球

本主题中的某些内容可能不适用于某些语言。

可用“Office 助手”气球为用户提供信息。气球中的信息可以是一条简单的消息、希望了解详细信息的请求信息或供用户选择的一列选项。创建、显示、关闭和修改“Office 助手”气球的一系列操作只能在运行时间进行。

下表包括了大多数常用的属性和方法，用于修改新建（空白）气球或原有气球的外观或功能。使用 Show 方法时气球将被显示或刷新；对气球所作的修改将在下次使用 Show 方法时显示出来。

属性或方法 | 说明
Heading | 指定出现在“Office 助手”气球顶部的加粗文字。
Text | 指定出现在“Office 助手”气球体中的文本。该文本出现在标题之后但在复选框、标签或按钮之前。
Labels | 返回气球中标签的集合。标签的格式由 BalloonType 属性决定。标签出现在气球中的文本之后。可为标签列表设置编号或项目符号，同时该列表也可以是一系列按钮。与复选框不同的是，用户只须单击一个按钮即可记录该按钮对应的选项。
CheckBoxes | 返回气球中复选框的集合。用户可选中复选框，然后单击气球底部适当的按钮（例如，“确定”或“下一个”按钮）以记录其选择。
Close | 关闭并取消一个非模态气球，但不释放该对象变量。赋予该气球的对象变量仍然有效，因此可以重新显示该气球，或对它进行修改并在随后显示。本方法只能用于非模态气球。
Show | 向用户显示气球及其中所有的对象。本方法只能用于 Balloon 对象，对 Assistant 对象可使用 Visible 属性。

以下示例可实现：创建一个气球，该气球帮助用户选择打印机。本示例还提供了一个复选框选项，以帮助用户跳过气球中的信息。

Set bln = Assistant.NewBalloon
With bln
    .Heading = "Instructions for Choosing a Printer."
    .Text = "Click OK when you've chosen a printer."
    lblTxt = "From the File menu, choose Print."
    .Labels(1).Text = lblTxt
    .Labels(2).Text = "Click Setup."
    .Labels(3).Text = "Select the name of the printer."
    .CheckBoxes(1).Text = "Skip this information."
    .BalloonType = msoBalloonTypeNumbers
    .Mode = msoModeModal
    .Button = msoButtonSetOK
    .Show
End With

创建气球

用 Assistant 对象的 NewBalloon 属性可新建一个气球。新创建的气球是空白的，可用 Heading 属性添加一个标题，然后用 Text 属性在气球体中添加文字，还可根据需要添加控件。最后，用 Show 方法显示该气球。Show 方法在包含该方法的语句出现时立即显示气球，因此在设置完该气球的其他属性后，应该立即使用本方法。以下示例可实现：新建一个气球，然后设置标题和正文，并创建三个可供用户选择的复选框控件。

With Assistant.NewBalloon
    .Button = msoButtonSetOkCancel
    .Heading = "Regional Sales Data"
    .Text = "Select a region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Show
End With

管理多个气球

“Office 助手”中没有 Balloons 集合。要对多个气球进行管理，可为创建的各个气球分别设置对象变量，然后在需要时引用变量。此外，也可创建一个 Balloon 对象变量的数组，并给每个数组元素指定一个气球。以下示例可实现：创建一个数组并给该数组添加三个空白的 Balloon 对象。

Dim myBalloonArray(3) As Balloon

With Assistant
    For i = 1 To 3
        Set myBalloonArray(i) = .NewBalloon
    Next
End With


获得有关 Macintosh 关键词的帮助

您查询的是 Macintosh 专用的 Visual Basic 关键词。有关该关键词的帮助信息，请查阅 Microsoft Office Macintosh 版的语言参考帮助。


在运行时间修改气球

本主题中的某些内容可能不适用于某些语言。

在为“Office 助手”创建了一个气球后，可通过在气球的标题或文本中添加位图、图标或 Windows 图元文件来定义气球。也可在气球中添加各种控件，如复选框和按钮，以便当用户单击某项时，系统作出响应。还可用颜色、下划线等文本属性强调气球中的文本元素。

在气球中添加图标和位图

要添加一个图标，可为该 Balloon 对象的 Icon 属性指定一个 MsoIconType 常量。要在一个“Office 助手”气球的文本中添加位图或 Windows 图元文件，可在设置标题、文本、复选框或标签的 Text 属性时指定类型、位置和尺寸因数（如果可用）。以下示例可实现：在一个气球的文本中插入一个 Windows 位图文件。

myBmp = "{bmp c:\Windows\circles.gif}"
myText1 = "This is before the picture, "
myText2 = " and this is after the picture"
Set bln = Assistant.NewBalloon
With bln
    .Heading = "Instructions for Choosing a Bitmap."
    .Text = myText1 & myBmp & myText2
    .Show
End With

在气球中添加控件

可在气球中添加的控件有两种类型：复选框和按钮。气球在创建后就具有五个复选框；要显示复选框，可给控件指定文本。此外，如果气球的类型是 msoBalloonTypeButtons，那么气球中还有五个标签按钮，用与显示复选框相同的方法可显示任意一个标签按钮。如果试图在气球中添加多于五个的复选框或标签按钮，那么就会出现错误。

用气球中某控件的 Text 属性可改变该控件的外观。要改变气球中某复选框或按钮对应的功能，可为该控件指定另外一个过程，以便在选中（单击）该复选框或按钮后运行该过程。

以下示例可创建一个带标题、文本和三个选项的气球。当用户选中一个复选框并单击“确定”按钮时，就开始运行相应的过程。

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select your region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Button = msoButtonSetOkCancel
    .Show
    If .CheckBoxes(1).Checked Then
        runregion1
    End If
    If .CheckBoxes(2).Checked Then
        runregion2
    End If
    If .CheckBoxes(3).Checked Then
        runregion3
    End If
End With

在气球中添加文本的颜色和下划线

在气球中的文本有两种属性可以添加：颜色和下划线。可用 16 种系统支持的颜色强调文本。也可用下划线改变气球中文本的外观。气球中的文本包含文本特性并用括号将代码括入。下面的示例创建了新的“Office 助手”，其标题文字包含下划线，红色文字和蓝色文字也包含下划线。

With Assistant.NewBalloon
    .Heading = "Underlined {ul 1}Heading{ul 0}"
    .Text = "Some {cf 249}Red{cf 0} text and some " & _
    "underlined {cf 252}{ul 1}Blue{ul 0}{cf 0} text."
    .Show
End With


返回集合中的对象

用 Item 属性可从集合返回一个对象。以下示例将 cmdbar 变量设置为一个 CommandBar 对象，该对象代表 CommandBars 集合中第一个命令栏。

Set cmdbar = CommandBars.Item(1)

Item 属性是大多数集合的默认属性，因此可省略关键字 Item 以使语句更为简练。

Set cmdbar = CommandBars(1)

有关特定集合的详细信息，请参阅关于该集合或集合 Item 属性的帮助主题。


使用“Office 助手”

本主题中的某些内容可能不适用于某些语言。

在应用程序中“Office 助手”通常与其气球一同显示，提供信息和帮助。但没有气球“Office 助手”也能提供帮助。用户只需设置 Animation 属性就可得到助手的帮助。用 Assistant 对象的其他属性可自定义标准 Office 帮助向用户的展现方式。

“Office 助手”对话框的“选项”选项卡中列出的每一个属性都与运行时间可设置的助手属性相对应。下表中所列的属性是常用于修改“Office 助手”的属性：

属性 | 说明
Animation | 激活“Office 助手”。一些动态效果是连续发生的，其他的只发生一次。
FileName | 为“Office 助手”指定完整文件名，并以 .acs 作扩展名。例如，“Office 助手”聪聪（英文名字叫“Rocky”）的文件名是 Rocky.acs。
Name | 返回“Office 助手”的名字。用该属性可跟踪记录用户所选“Office 助手”。
Visible | 指定显示或隐藏“助手”。

以下示例可实现：选择“聪聪”（英文名字叫“Rocky”）作“Office 助手”，激活并显示该“助手”，设置了一种动态效果以及一些其他属性。

With Assistant
    .On = True
    .FileName = "Rocky.acs"
    .Animation = msoAnimationBeginSpeaking
    .AssistWithHelp = True
    .GuessHelp = True
    .FeatureTips = False
    .Visible = True
End With

用户可在六个不同的“Office 助手”中选择一个装入 Microsoft Office 中。但在任何时刻只能有一个“助手”是活动的。用户可在“Office 助手”库中选择“助手”，也可通过编程选择“助手”。用户不能修改已安装的“助手”文件，也不能用自定义的文件代替系统提供的“助手”文件。


无法使用帮助主题

如果没有安装或已删除 Microsoft Visual Basic for Application 帮助，则会因找不到而无法显示帮助主题。

要安装 Microsoft Visual Basic for Applications 帮助：

  1. 在“控制面板”中，双击“添加/删除程序”图标。
  2. 在“更改或删除程序”选项卡上，单击安装的 Microsoft Office 版本，然后单击“更改”按钮。
  3. 单击“添加或删除功能”，然后在功能列表中展开“Office 共享功能”。
  4. 展开功能列表中的 Visual Basic for Applications，然后单击“Visual Basic 帮助”旁的图标查看安装选项。
  5. 单击“从本机上运行”或“从网络上运行”，然后单击“开始更新”按钮。


Add 方法 (Microsoft Word)

在 Microsoft Word 中，通常忽略 Add 方法的 Temporary 参数（CommandBarControls 对象）。因此，在向命令栏上的菜单栏添加控件按钮时，它将保留在 Normal.dot 模板中，无论是否将 Temporary 参数设置为 True。要从 Normal.dot 模板中删除不需要的菜单项，可以使用下列方法之一。

  1. 删除 Normal.dot。该方法要求 Word 重新创建 Normal 默认模板，这还将删除对 Normal 模板所进行的任何其他更改，例如工具栏。由于所有 Word 文档均依赖于 Normal 模板，因此需要手动而不是自动删除模板。
  2. 重置命令栏。可以创建一个过程重置所有命令栏或指定命令栏。本示例重置所有命令栏，包括菜单栏和工具栏。
    Sub ResetAllCommandBars()
    Dim mnu As CommandBar

    'Error handler skips over custom toolbars,
    'which can't be reset
    On Error Resume Next

    For Each mnu In Application.CommandBars
        mnu.Reset
    Next mnu
End Sub
    本示例仅重置 Word 中菜单栏上的项而不是所有工具栏。
    Sub ResetMenuBar()
    Dim mnu As CommandBar
    For Each mnu In Application.CommandBars
        If mnu.Name = "Menu Bar" Then
            mnu.Reset
        End If
    Next mnu
End Sub


Context 属性

在 Microsoft Word 中，Context 属性为只读，返回指定 CommandBar 对象所在文档的相关模板的完全名称（和路径）。


新增事件

 新增方法

 New 对象

 新增属性（按字母顺序列表）

 新增属性（按对象）


CommandBarComboBox 对象


CommandBarButton 对象


MsoEnvelope 对象
EnvelopeShow 事件


MsoEnvelope 对象
EnvelopeHide 事件


CommandBars 集合对象


新增方法

 New 对象

 新增属性（按字母顺序列表）

 新增属性（按对象）

 为 Microsoft Office 开发人员提供的新增功能


在运行时间修改气球

 “Office 助手”概述


添加和显示快捷菜单

 添加和修改工具栏

 使用命令栏


Assistant 对象

 Balloon 对象

 创建和修改气球

 “Office 助手”概述


Animation 属性

 创建和修改气球

 FileName 属性

 Microsoft Office 对象


添加和显示快捷菜单

 添加和管理菜单栏和菜单项

 添加和修改工具栏

 Microsoft Office 对象


BalloonCheckboxes 集合对象

 BalloonLabels 集合对象

 CommandBarControls 集合对象

 CommandBars 集合对象

 DocumentProperties 集合对象

 PropertyTests 集合对象


添加和管理菜单栏和菜单项

 添加和修改工具栏

 使用命令栏


添加和显示快捷菜单

 添加和管理菜单栏和菜单项

 使用命令栏


Assistant 对象

 创建和修改气球

 在运行时间修改气球

 Microsoft Office 对象


Assistant 对象


AnswerWizardFiles 集合对象

 CommandBarControls 集合对象

 CommandBars 集合对象

 DocumentProperties 集合对象

 FileDialogFilters 集合

 FileTypes 集合

 NewFile 对象

 ODSOFilters 对象

 PropertyTests 集合对象

 Scripts 集合对象

 SearchFolders 集合

 SignatureSet 集合
CommandBars 集合对象

 DocumentProperties 集合对象

 Microsoft Office 对象
Add 方法 (Microsoft Word)


ScopeFolder 对象
Add 方法


OfficeDataSourceObject 对象


CommandBarComboBox 对象

 FileDialogFilters 集合
AddItem 方法

 CommandBarComboBox 对象

 Enabled 属性


AnswerWizard 对象


Balloon 对象


SignatureSet 集合


CommandBarButton 对象

 CommandBarComboBox 对象

 CommandBarControl 对象

 CommandBarPopup 对象


AnswerWizardFiles 集合对象

 CommandBar 对象

 CommandBarButton 对象

 CommandBarComboBox 对象

 CommandBarControl 对象

 CommandBarPopup 对象

 DocumentProperty 对象

 FileDialogFilters 集合

 ODSOFilters 对象

 Script 对象

 Scripts 集合对象

 Signature 对象


CommandBarButton 对象

 CommandBarComboBox 对象

 CommandBarControl 对象

 CommandBarPopup 对象

 FileDialog 对象

 FileSearch 对象


FindControls 方法


COMAddIns 集合对象

 FileDialogFilters 集合

 FileDialogSelectedItems 集合

 HTMLProjectItems 集合对象

 ODSOColumns 对象

 ODSOFilters 对象

 Scripts 集合对象


HTMLProjectItem 对象


Assistant 对象

 CommandBarButton 对象

 CommandBarComboBox 对象

 CommandBarControl 对象

 CommandBarPopup 对象

 OfficeDataSourceObject 对象


FileSearch 对象
FileSearch 对象


HTMLProject 对象

 HTMLProjectItem 对象

 OfficeDataSourceObject 对象


HTMLProject 对象


FileSearch 对象


CommandBars 集合对象
SetFocus 方法


FileTypes 集合

 NewFile 对象

 PropertyTests 集合对象

 SearchFolders 集合


ResetTips 方法


Assistant 对象
Reset 方法


Balloon 对象

 FileDialog 对象
BalloonCheckboxes 集合对象

 创建和修改气球

 Execute 方法

 NewBalloon 属性


CommandBar 对象


COMAddIns 集合对象


新增事件

 New 对象

 新增属性（按字母顺序列表）

 新增属性（按对象）

 为 Microsoft Office 开发人员提供的新增功能


ClearFileList 方法

 ResetFileList 方法
Application 属性

 Creator 属性

 Files 属性

 Parent 属性


Add 方法

 Delete 方法
Application 属性

 Count 属性

 Creator 属性

 Item 属性

 Parent 属性


Animation 属性

 Application 属性

 AssistWithAlerts 属性

 AssistWithHelp 属性

 AssistWithWizards 属性

 BalloonError 属性

 Creator 属性

 FeatureTips 属性

 FileName 属性

 GuessHelp 属性

 HighPriorityTips 属性

 Item 属性

 KeyboardShortcutTips 属性

 Left 属性

 MouseTips 属性

 MoveWhenInTheWay 属性

 Name 属性

 NewBalloon 属性

 On 属性

 Parent 属性

 Reduced 属性

 SearchWhenProgramming 属性

 Sounds 属性

 TipOfDay 属性

 Top 属性

 Visible 属性


Animation 属性

 Application 属性

 BalloonType 属性

 Button 属性

 Callback 属性

 Checkboxes 属性

 Creator 属性

 Heading 属性

 Icon 属性

 Labels 属性

 Mode 属性

 Name 属性

 Parent 属性

 Private 属性

 Text 属性
Microsoft Office 对象


Microsoft Office 对象


Microsoft Office 对象
BalloonLabels 集合对象


Item 方法

 Update 方法
Application 属性

 Count 属性

 Creator 属性

 Parent 属性


AdaptiveMenu 属性

 Application 属性

 BuiltIn 属性

 Context 属性

 Controls 属性

 Creator 属性

 Enabled 属性

 Height 属性

 Id 属性

 Index 属性

 Left 属性

 Name 属性

 NameLocal 属性

 Parent 属性

 Position 属性

 Protection 属性

 RowIndex 属性

 Top 属性

 Type 属性

 Visible 属性

 Width 属性
Microsoft Office 对象
CommandBars 集合对象


Click 事件
Copy 方法

 CopyFace 方法

 Delete 方法

 Execute 方法

 Move 方法

 PasteFace 方法

 Reset 方法

 SetFocus 方法
Application 属性

 BeginGroup 属性

 BuiltIn 属性

 BuiltInFace 属性

 Caption 属性

 Creator 属性

 DescriptionText 属性

 Enabled 属性

 FaceId 属性

 Height 属性

 HelpContextId 属性

 HelpFile 属性

 HyperlinkType 属性

 Id 属性

 Index 属性

 IsPriorityDropped 属性

 Left 属性

 Mask 属性

 OLEUsage 属性

 OnAction 属性

 Parameter 属性

 Parent 属性

 Picture 属性

 Priority 属性

 ShortcutText 属性

 State 属性

 Style 属性

 Tag 属性

 TooltipText 属性

 Top 属性

 Type 属性

 Visible 属性

 Width 属性
Microsoft Office 对象


Change 事件
AddItem 方法

 Clear 方法

 Copy 方法

 Delete 方法

 Execute 方法

 Move 方法

 RemoveItem 方法

 Reset 方法

 SetFocus 方法
Application 属性

 BeginGroup 属性

 BuiltIn 属性

 Caption 属性

 Creator 属性

 DescriptionText 属性

 DropDownLines 属性

 DropDownWidth 属性

 Enabled 属性

 Height 属性

 HelpContextId 属性

 HelpFile 属性

 Id 属性

 Index 属性

 IsPriorityDropped 属性

 Left 属性

 List 属性

 ListCount 属性

 ListHeaderCount 属性

 ListIndex 属性

 OLEUsage 属性

 OnAction 属性

 Parameter 属性

 Parent 属性

 Priority 属性

 Style 属性

 Tag 属性

 Text 属性

 TooltipText 属性

 Top 属性

 Type 属性

 Visible 属性

 Width 属性


Application 属性

 BeginGroup 属性

 BuiltIn 属性

 Caption 属性

 Creator 属性

 DescriptionText 属性

 Enabled 属性

 Height 属性

 HelpContextId 属性

 HelpFile 属性

 Id 属性

 Index 属性

 IsPriorityDropped 属性

 Left 属性

 OLEUsage 属性

 OnAction 属性

 Parameter 属性

 Parent 属性

 Priority 属性

 Tag 属性

 TooltipText 属性

 Top 属性

 Type 属性

 Visible 属性

 Width 属性
Microsoft Office 对象
CommandBarControls 集合对象


Add 方法
Application 属性

 Count 属性

 Creator 属性

 Item 属性

 Parent 属性
Microsoft Office 对象


Application 属性

 BeginGroup 属性

 BuiltIn 属性

 Caption 属性

 CommandBar 属性

 Controls 属性

 Creator 属性

 DescriptionText 属性

 Enabled 属性

 Height 属性

 HelpContextId 属性

 HelpFile 属性

 Id 属性

 Index 属性

 IsPriorityDropped 属性

 Left 属性

 OLEMenuGroup 属性

 OLEUsage 属性

 OnAction 属性

 Parameter 属性

 Parent 属性

 Priority 属性

 Tag 属性

 TooltipText 属性

 Top 属性

 Type 属性

 Visible 属性

 Width 属性
Microsoft Office 对象


OnUpdate 事件
Add 方法

 FindControl 方法

 FindControls 方法

 ReleaseFocus 方法
ActionControl 属性

 ActiveMenuBar 属性

 AdaptiveMenus 属性

 Application 属性

 Count 属性

 Creator 属性

 DisableAskAQuestionDropdown 属性

 DisableCustomize 属性

 DisplayFonts 属性

 DisplayKeysInTooltips 属性

 DisplayTooltips 属性

 Item 属性

 LargeButtons 属性

 MenuAnimationStyle 属性

 Parent 属性
Microsoft Office 对象


Delete 方法
Application 属性

 Creator 属性

 LinkSource 属性

 LinkToContent 属性

 Name 属性

 Parent 属性

 Type 属性

 Value 属性
Microsoft Office 对象


AllowMultiSelect 属性

 Application 属性

 ButtonName 属性

 Creator 属性

 DialogType 属性

 FilterIndex 属性

 Filters 属性

 InitialFileName 属性

 InitialView 属性

 Item 属性

 Parent 属性

 SelectedItems 属性

 Title 属性


Application 属性

 Creator 属性

 Description 属性

 Extensions 属性

 Parent 属性
FileDialog 对象

 FileDialogFilters 集合

 FileDialogSelectedItems 集合


Add 方法

 Clear 方法

 Delete 方法

 Item 方法
Application 属性

 Count 属性

 Creator 属性

 Parent 属性
FileDialog 对象

 FileDialogFilter 对象

 FileDialogSelectedItems 集合


Item 方法


Application 属性

 Creator 属性

 FileName 属性

 FileType 属性

 FileTypes 属性

 FoundFiles 属性

 LastModified 属性

 LookIn 属性

 MatchAllWordForms 属性

 MatchTextExactly 属性

 PropertyTests 属性

 SearchFolders 属性

 SearchScopes 属性

 SearchSubFolders 属性

 TextOrProperty 属性


Add 方法

 Remove 方法
Application 属性

 Count 属性

 Creator 属性

 Item 属性
FileName 属性

 FileSearch 对象

 FileType 属性

 FileTypes 属性

 SearchFolders 集合

 SearchScopes 集合


Open 方法

 RefreshDocument 方法

 RefreshProject 方法
Application 属性

 Creator 属性

 HTMLProjectItems 属性

 Parent 属性

 State 属性


LoadFromFile 方法

 Open 方法

 SaveCopyAs 方法
Application 属性

 Creator 属性

 IsOpen 属性

 Name 属性

 Parent 属性

 Text 属性


Application 属性

 Creator 属性

 LanguageID 属性

 LanguagePreferredForEditing 属性

 Parent 属性


EnvelopeHide 事件

 EnvelopeShow 事件
CommandBars 属性

 Introduction 属性

 Item 属性

 Parent 属性


Add 方法

 Remove 方法
Application 属性

 Creator 属性


Application 属性

 Creator 属性

 Index 属性

 Name 属性

 Parent 属性

 Value 属性
ODSOColumns 对象

 ODSOFilter 对象

 ODSOFilters 对象

 OfficeDataSourceObject 对象


Application 属性

 Column 属性

 CompareTo 属性

 Comparison 属性

 Conjunction 属性

 Creator 属性

 Index 属性

 Parent 属性
ODSOColumn 对象

 ODSOColumns 对象

 ODSOFilters 对象

 OfficeDataSourceObject 对象


Add 方法

 Delete 方法

 Item 方法
Application 属性

 Count 属性

 Creator 属性

 Parent 属性
ODSOColumn 对象

 ODSOColumns 对象

 ODSOFilter 对象

 OfficeDataSourceObject 对象


ApplyFilter 方法

 Move 方法

 Open 方法

 SetSortOrder 方法
ODSOColumns 对象

 ODSOFilters 对象
Columns 属性

 ConnectString 属性

 DataSource 属性

 Filters 属性

 RowCount 属性

 Table 属性
ODSOColumn 对象

 ODSOColumns 对象

 ODSOFilter 对象

 ODSOFilters 对象


PropertyTests 集合对象


AddToSearchFolders 方法


Application 属性

 Count 属性

 Creator 属性

 Item 属性
FileSearch 对象

 SearchFolders 集合

 SearchScopes 集合


Delete 方法
Application 属性

 Creator 属性

 Extended 属性

 Id 属性

 Language 属性

 Location 属性

 Parent 属性

 ScriptText 属性

 Shape 属性
Scripts 集合对象


Add 方法

 Delete 方法

 Item 方法
Application 属性

 Count 属性

 Creator 属性

 Parent 属性


Add 方法

 Remove 方法
Application 属性

 Count 属性

 Creator 属性

 Item 属性
FileSearch 对象

 FileTypes 集合

 LookIn 属性

 ScopeFolder 对象

 ScopeFolders 集合

 SearchFolders 属性

 SearchScopes 集合


Application 属性

 Creator 属性

 ScopeFolder 属性

 Type 属性
FileSearch 对象

 ScopeFolder 对象

 SearchScopes 集合


Delete 方法
Application 属性

 AttachCertificate 属性

 Creator 属性

 ExpireDate 属性

 IsCertificateExpired 属性

 IsCertificateRevoked 属性

 IsValid 属性

 Issuer 属性

 Parent 属性

 SignDate 属性

 Signer 属性


Add 方法

 Commit 方法
Application 属性

 Count 属性

 Creator 属性

 Item 属性

 Parent 属性


WebPageFonts 集合对象


Application 属性

 Count 属性

 Creator 属性

 Item 属性


新增事件

 新增方法

 新增属性（按字母顺序列表）

 新增属性（按对象）

 为 Microsoft Office 开发人员提供的新增功能


FileDialog 对象


Assistant 对象

 Balloon 对象
Assistant 对象

 FileName 属性

 “Office 助手”概述

 Visible 属性


AnswerWizard 对象

 AnswerWizardFiles 集合对象

 Assistant 对象

 Balloon 对象

 BalloonCheckBox 对象

 BalloonCheckboxes 集合对象

 BalloonLabel 对象

 BalloonLabels 集合对象

 COMAddIn 对象

 COMAddIns 集合对象

 CommandBar 对象

 CommandBarButton 对象

 CommandBarComboBox 对象

 CommandBarControl 对象

 CommandBarControls 集合对象

 CommandBarPopup 对象

 CommandBars 集合对象

 DocumentProperties 集合对象

 DocumentProperty 对象

 FileDialog 对象

 FileDialogFilter 对象

 FileDialogFilters 集合

 FileDialogSelectedItems 集合

 FileSearch 对象

 FileTypes 集合

 FoundFiles 对象

 HTMLProject 对象

 HTMLProjectItem 对象

 HTMLProjectItems 集合对象

 LanguageSettings 对象

 NewFile 对象

 ODSOColumn 对象

 ODSOColumns 对象

 ODSOFilter 对象

 ODSOFilters 对象

 PropertyTest 对象

 PropertyTests 集合对象

 ScopeFolder 对象

 ScopeFolders 集合

 Script 对象

 Scripts 集合对象

 SearchFolders 集合

 SearchScope 对象

 SearchScopes 集合

 Signature 对象

 SignatureSet 集合

 WebPageFont 对象

 WebPageFonts 集合对象


Signature 对象


使用命令栏


CommandBar 对象

 CommandBarButton 对象

 CommandBarComboBox 对象

 CommandBarControl 对象

 CommandBarPopup 对象
CommandBar 对象

 CommandBarControl 对象

 FaceId 属性

 PasteFace 方法

 使用命令栏


CommandBarButton 对象

 CommandBarComboBox 对象

 CommandBarControl 对象

 CommandBarPopup 对象
CommandBarControl 对象

 DescriptionText 属性

 Enabled 属性

 TooltipText 属性


BalloonCheckBox 对象


ODSOFilter 对象


CommandBarPopup 对象


MsoEnvelope 对象


PropertyTest 对象
NewSearch 方法


COMAddIn 对象


PropertyTest 对象


CommandBar 对象
添加和显示快捷菜单

 添加和管理菜单栏和菜单项

 添加和修改工具栏

 使用命令栏
Context 属性


AnswerWizardFiles 集合对象

 BalloonCheckboxes 集合对象

 BalloonLabels 集合对象

 COMAddIns 集合对象

 CommandBarControls 集合对象

 CommandBars 集合对象

 DocumentProperties 集合对象

 FileDialogFilters 集合

 FileDialogSelectedItems 集合

 FileTypes 集合

 FoundFiles 对象

 HTMLProjectItems 集合对象

 ODSOColumns 对象

 ODSOFilters 对象

 PropertyTests 集合对象

 ScopeFolders 集合

 Scripts 集合对象

 SearchFolders 集合

 SearchScopes 集合

 SignatureSet 集合

 WebPageFonts 集合对象


COMAddIn 对象

 FileDialogFilter 对象


CommandBarButton 对象

 CommandBarComboBox 对象

 CommandBarControl 对象

 CommandBarPopup 对象
Caption 属性

 DisplayKeysInTooltips 属性

 DisplayTooltips 属性


CommandBar 对象

 CommandBarButton 对象

 CommandBarComboBox 对象

 CommandBarControl 对象

 CommandBarPopup 对象
添加和显示快捷菜单

 添加和管理菜单栏和菜单项

 添加和修改工具栏

 使用命令栏


Script 对象


FileDialogFilter 对象


Assistant 对象

 FileSearch 对象
Animation 属性

 “Office 助手”概述

 使用“Office 助手”


FileDialog 对象

 OfficeDataSourceObject 对象


WebPageFont 对象


Assistant 对象
“Office 助手”概述


Controls 属性


CommandBarButton 对象

 CommandBarComboBox 对象

 CommandBarControl 对象

 CommandBarPopup 对象
Help 方法

 HelpFile 属性


CommandBarButton 对象

 CommandBarComboBox 对象

 CommandBarControl 对象

 CommandBarPopup 对象
Help 方法

 HelpContextId 属性


CommandBar 对象

 CommandBarButton 对象

 CommandBarComboBox 对象

 CommandBarControl 对象

 CommandBarPopup 对象

 Script 对象


CommandBar 对象

 CommandBarButton 对象

 CommandBarComboBox 对象

 CommandBarControl 对象

 CommandBarPopup 对象

 ODSOColumn 对象

 ODSOFilter 对象


Signature 对象
IsCertificateRevoked 属性


Signature 对象
IsCertificateExpired 属性


AnswerWizardFiles 集合对象

 Assistant 对象

 BalloonCheckBox 对象

 BalloonCheckboxes 集合对象

 BalloonLabel 对象

 BalloonLabels 集合对象

 CommandBarControls 集合对象

 CommandBars 集合对象

 DocumentProperties 集合对象

 FileDialog 对象

 FileTypes 集合

 FoundFiles 对象

 MsoEnvelope 对象

 PropertyTests 集合对象

 ScopeFolders 集合

 SearchFolders 集合

 SearchScopes 集合

 SignatureSet 集合

 WebPageFonts 集合对象


LanguageSettings 对象


FileSearch 对象
NewSearch 方法


Top 属性


DocumentProperty 对象
LinkToContent 属性


DocumentProperty 对象
LinkSource 属性


CommandBarButton 对象
Picture 属性


Assistant 对象

 Balloon 对象

 BalloonCheckBox 对象

 BalloonCheckboxes 集合对象

 BalloonLabel 对象

 BalloonLabels 集合对象

 CommandBar 对象

 DocumentProperty 对象

 HTMLProjectItem 对象

 ODSOColumn 对象

 PropertyTest 对象

 ScopeFolder 对象
NameLocal 属性


CommandBar 对象
Name 属性


AnswerWizard 对象

 AnswerWizardFiles 集合对象

 Assistant 对象

 Balloon 对象

 BalloonCheckBox 对象

 BalloonCheckboxes 集合对象

 BalloonLabel 对象

 BalloonLabels 集合对象

 COMAddIn 对象

 COMAddIns 集合对象

 CommandBar 对象

 CommandBarButton 对象

 CommandBarComboBox 对象

 CommandBarControl 对象

 CommandBarControls 集合对象

 CommandBarPopup 对象

 CommandBars 集合对象

 DocumentProperties 集合对象

 DocumentProperty 对象

 FileDialog 对象

 FileDialogFilter 对象

 FileDialogFilters 集合

 FileDialogSelectedItems 集合

 HTMLProject 对象

 HTMLProjectItem 对象

 HTMLProjectItems 集合对象

 LanguageSettings 对象

 MsoEnvelope 对象

 ODSOColumn 对象

 ODSOColumns 对象

 ODSOFilter 对象

 ODSOFilters 对象

 Script 对象

 Scripts 集合对象

 Signature 对象

 SignatureSet 集合


ScopeFolder 对象


CommandBarButton 对象
Mask 属性


SearchScope 对象


PropertyTest 对象
Value 属性


CommandBarButton 对象
“Office 助手”概述


CommandBarButton 对象

 HTMLProject 对象


CommandBarButton 对象

 CommandBarComboBox 对象


FindControl 方法


Balloon 对象

 BalloonCheckBox 对象

 BalloonLabel 对象

 CommandBarComboBox 对象

 HTMLProjectItem 对象
创建和修改气球

 Heading 属性

 “Office 助手”概述

 Show 方法


CommandBarButton 对象

 CommandBarComboBox 对象

 CommandBarControl 对象

 CommandBarPopup 对象
Caption 属性

 DescriptionText 属性


Left 属性


DocumentProperty 对象

 ODSOColumn 对象

 PropertyTest 对象


Assistant 对象

 CommandBar 对象

 CommandBarButton 对象

 CommandBarComboBox 对象

 CommandBarControl 对象

 CommandBarPopup 对象
“Office 助手”概述

 使用“Office 助手”


新增事件

 新增方法

 New 对象

 新增属性（按对象）

 为 Microsoft Office 开发人员提供的新增功能


新增事件

 新增方法

 New 对象

 新增属性（按字母顺序列表）

 为 Microsoft Office 开发人员提供的新增功能


Height 属性


创建和修改气球

 命令栏概述

 “Office 助手”概述

 使用命令栏

 使用“Office 助手”


INDEX~TEXT
seealso~"请参阅"
appliesto~"应用于"
elements~"元素"
properties~"属性"
methods~"方法"
events~"事件"
example~"示例"
specifics~"特性"
show~"显示说明"
hide~"隐藏说明"